var NooTech = {};
(function ($) {
    "use strict";
     NooTech = {
    	init: function(){
            NooTech.toolTip();
            NooTech.multipleSelect();

            NooTech.showLoginModal();
            NooTech.formTab();
            NooTech.ajaxLoginForm();
            NooTech.ajaxRegisterForm();

            NooTech.addLocationButton();
            NooTech.newLocationSubmit();

            NooTech.jobCustomJs();
            NooTech.jobAlertFormValidate();
            NooTech.jobLiveSearch();
            NooTech.mobileAdvanceFilter();
            NooTech.jobLiveFilter();
            NooTech.jobQuickSearch();

            NooTech.companyDetail();
            NooTech.contactCompany();
            NooTech.followCompany();
            NooTech.reviewCompany();

            NooTech.resumeSubmit();
            NooTech.resumeDetail();
            NooTech.resumeReview();
            NooTech.resumeContact();
    		NooTech.resumeLiveSearch();
            NooTech.resumeLiveFilter();

            NooTech.autoOrderFree();

            NooTech.layoutTemplate();
            NooTech.memberNav();

            NooTech.showMoreFieldRegister();

            NooTech.NooDatetimepicker();
            NooTech.hideClearAllFilter();
            NooTech.collaspe_expand_field_filter();
            NooTech.GetGeoLocationBingMap();
            NooTech.ProximityRange();
            NooTech.getMaxInput();
            NooTech.jobSalaryRange();
            NooTech.noo_mb_map_field_filter();
    	},
        toolTip: function(){
            if($('[data-toggle="tooltip"]').length > 0){
                $('[data-toggle="tooltip"]').tooltip();
            }
        },
        multipleSelect: function(){
            if($('select.form-control').length > 0){
                $('select.form-control').each(function () {

                    var select = $(this);
                    var parent = $(this).parents('.form-group');

                    var placeholder = (typeof parent.data('placeholder') != "undefined") ? parent.data('placeholder') : select.data('placeholder');
                    var no_selected_txt = (typeof placeholder != "undefined") ? placeholder : Noo_BMS.nonSelectedText;

                    select.multiselect({
                        templates: {
                            filter: '<li class="multiselect-filter"><div class="input-group"><input class="form-control multiselect-search" type="text"></div></li>',
                            filterClearBtn: '<span class="multiselect-clear-filter"><i class="fa fa-remove"></i></span>',
                        },
                        enableFiltering: true,
                        enableCaseInsensitiveFiltering: true,
                        numberDisplayed: 2,
                        nonSelectedText: no_selected_txt,
                        filterPlaceholder: 'Search',
                        buttonText: function (options, select) {
                            if (options.length == 0) {
                                return no_selected_txt;
                            }
                            else {
                                var selected = [];
                                var i = 0;
                                var numberDisplayed = this.numberDisplayed;
                                options.each(function () {
                                    var label = ($(this).attr('label') !== undefined) ? $(this).attr('label') : $(this).html();
                                    if (i < numberDisplayed) {
                                        selected.push(label);
                                    } else {
                                        selected.push('...(' + options.length + ')');
                                        return false;
                                    }

                                    i++;
                                });
                                return (selected.join(', '));
                            }
                        },
                        onChange: function(option, checked) {
                            // Get selected options.
                            var selectedOptions = select.find(':selected');
                            var limitselect = Noo_BMS.limitMultiSelect;
                            if (selectedOptions.length >= Number(limitselect)) {
                                // Disable all other checkboxes.
                                var nonSelectedOptions = select.find(' option').filter(function() {
                                    return !$(this).is(':selected');
                                });

                                nonSelectedOptions.each(function() {
                                    var input = $('input[value="' + $(this).val() + '"]');
                                    input.prop('disabled', true);
                                    input.parent('li').addClass('disabled');
                                });
                            }
                            else {
                            // Enable all checkboxes.
                            select.find(' option').each(function() {
                                var input = $('input[value="' + $(this).val() + '"]');
                                input.prop('disabled', false);
                                input.parent('li').addClass('disabled');
                            });
                            }
                        },
                        // includeResetOption: true,
                    });
                });
            }
        },
        showMoreFieldRegister: function(){
                $('select.user_role').on('change',function () {
                    var role = $(this).val();
                    if(role === 'employer'){
                        console.log(role);
                        $(this).closest('.noo-ajax-register-form').find('#field_employer_added').show();
                        $(this).closest('.noo-ajax-register-form').find('#field_candidate_added ').hide();
                    }else if (role ==='candidate'){
                        console.log(role);
                        $(this).closest('.noo-ajax-register-form').find('#field_candidate_added').show();
                        $(this).closest('.noo-ajax-register-form').find('#field_employer_added').hide();
                    }
                });
        },
        nooIsMobile: function(){
            var isMobile = false;

            if (/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|ipad|iris|kindle|Android|Silk|lge |maemo|midp|mmp|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows (ce|phone)|xda|xiino/i.test(navigator.userAgent)
                || /1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i.test(navigator.userAgent.substr(0, 4))) isMobile = true;

            return isMobile;
        },
        /* Login/Register Form */
        showLoginModal: function() {
            $(document).on('click', '.member-login-link', function (e) {
                // if (!NooTech.nooIsMobile()) {
                    e.stopPropagation();
                    e.preventDefault();

                    var message = $(this).attr("data-login-message") ? $(this).data("login-message") : "";
                     // hideRegisterModal();
                    $('.memberModalLogin').modal('show');
                    if (message !== "") {
                        $('.memberModalLogin').find('.noo-ajax-result').show().html('<span class="success-response">' + message + '</span>');
                    } else {
                        $('.memberModalLogin').find('.noo-ajax-result').html("").hide();
                    }

                    return false;
                // }
            });
           
        },
        /* Tab form for Login and Register */
        formTab: function(){
            $('.form-tab a').on('click',function(e){
                e.preventDefault();
                var form_show = $($(this).parent().data('show'));
                var str = $(this).text();
                form_show.removeClass('active');
                form_show.addClass('active');
                $(this).closest('.modal-member').find('.modal-header .modal-title').html(str);
                $(this).closest('.modal-member').find('form').removeClass('open');
                form_show.addClass('open');

            });
        },
        ajaxLoginForm: function(){
            $('form.noo-ajax-login-form').on('submit', function (e) {
                e.stopPropagation();
                e.preventDefault();
                var _this = $(this);
                _this.find('.noo-ajax-result').show().html(jmcoreL10n.loadingmessage);
                $.ajax({
                    type: 'POST',
                    dataType: 'json',
                    url: jmcoreL10n.ajax_url,
                    data: {
                        action: 'noo_ajax_login',
                        log: _this.find('.log').val(),
                        pwd: _this.find('.pwd').val(),
                        remember: (_this.find('.rememberme').is(':checked') ? true : false),
                        security: _this.find('.security').val(),
                        redirect_to: _this.find('.redirect_to').length ? _this.find('.redirect_to').val() : ''
                    },
                    success: function (data) {
                        if (typeof data == 'object' && data != null) {
                            _this.find('.noo-ajax-result').show().html(data.message);
                            if (data.loggedin == true) {
                                if ($('body').hasClass('interim-login')) {
                                    $('body').addClass('interim-login-success');
                                    $('.wp-auth-check-close', window.parent.document).trigger('click');
                                } else {
                                    if (data.redirecturl == null) {
                                        document.location.reload();
                                    }
                                    else {
                                        document.location.href = data.redirecturl;
                                    }
                                }
                            }
                        } else {
                            document.location.reload();
                        }
                    },
                    complete: function () {

                    },
                    error: function () {
                        _this.off('submit');
                        _this.submit();
                    }
                });

                return false;
            });
        },
        ajaxRegisterForm: function(){
            $('form.noo-ajax-register-form').on('submit', function (e) {
                e.stopPropagation();
                e.preventDefault();
                var _this = $(this);
                if (_this.find(".account_reg_term").length > 0 && !_this.find(".account_reg_term").is(':checked')) {
                    _this.find('.noo-ajax-result').hide();
                    alert(jmcoreL10n.confirm_not_agree_term);
                    return false;
                } else {
                    _this.find('.noo-ajax-result').show().html(jmcoreL10n.loadingmessage);
                    var formData = _this.serializeArray();
                    $.ajax({
                        type: 'POST',
                        dataType: 'json',
                        url: jmcoreL10n.ajax_url,
                        data: formData,
                        success: function (data) {
                            if (typeof data == 'object' && data != null) {
                                _this.find('.noo-ajax-result').show().html(data.message);
                                if (typeof data.redirecturl !== "undefined" && data.redirecturl != null && data.redirecturl != '') {
                                    document.location.href = data.redirecturl;
                                } else if (typeof grecaptcha !== "undefined") {
                                    grecaptcha.reset();
                                }
                            } else {
                                document.location.reload();
                            }
                        },
                        complete: function (data) {
                        },
                        error: function (data) {
                            _this.off('submit');
                            _this.submit();
                        }
                    });
                }

                return false;
            });
        },
        /* Location */
        addLocationButton: function(){
            $(document).on('click', '.add-new-location-btn', function (e) {
                e.stopPropagation();
                e.preventDefault();
                $('.add-new-location-content').toggle();

                return false;
            });
        },
        newLocationSubmit: function(){
            $(document).on('click','.add-new-location-submit',function(e){

                e.stopPropagation();
                e.preventDefault();
                var _this = $(this);
                var _location =  $('#noo-map-address').val();
                var _long =   $('#noo-map-lon').val();
                var _lat =   $('#noo-map-lat').val();
                if($.trim(_location) !=''){
                    _this.prop('disabled', 'disabled').prepend('<i class="fa fa-spinner fa-spin"></i>');
                    $.post(jmcoreL10n.ajax_url,{
                        action: 'add_new_job_location',
                        location: _location,
                        long: _long,
                        lat: _lat,
                        security: jmcoreL10n.ajax_security
                    },function(res){
                        if(res.success == true){

                            var option = $('<option>');
                            var chosenLocation = $('.job_location_field').find('.form-control-chosen');
                            var value = res.location_id;
                            option.text(res.location_title).val(value);
                            option.prop('selected', true).attr('selected', 'selected');
                            if( !chosenLocation.is("[multiple]") ) {
                                chosenLocation.find("option:selected").attr("selected",false);
                            }
                            chosenLocation.append(option);
                            chosenLocation.multiselect('rebuild');

                            $('#noo-map-address').val('');

                            var modal = $('#modalLocationPicker');
                            modal.modal('hide');

                        }

                        _this.prop('disabled', '').find('i').remove();

                    },'json');
                }
                return false;
            });
        },
        /* Job */
        jobCustomJs: function(){
            if(document.getElementById('applyJobviaLinkedInModal')){
                $('#applyJobviaLinkedInModal').modal('show');
            }
            if($('#use_company_address')){
                $('#use_company_address').on('change',function () {
                    if ($(this).is(":checked")) {
                        $('.noo-location-picker-field-wrap').addClass('hidden');
                    } else {
                        $('.noo-location-picker-field-wrap').removeClass('hidden');
                    }
                }).trigger('change');
            }
            if($('#use_company_address')){
                $("#noo-mb-location-address").on('change',function () {
                    var $form = $(this).parents('.form-group');
                    $form.find('option:selected').removeAttr('selected');

                    $form.find('select.form-control').multiselect('refresh');
                    return false;
                });
            }
            if($('#use_company_location')){
                $("#use_company_location").on('change',function () {
                    if ($(this).is(":checked")) {
                        $("#job_location_field").addClass('hidden');
                    } else {
                        $("#job_location_field").removeClass('hidden');
                    }
                }).trigger('change');
            }
        },
        jobAlertFormValidate: function(){
            // Init validate
            $('form#noo-job-alert-form').validate({
                onkeyup: false,
                errorClass: "jform-error",
                validClass: "jform-valid",
                errorElement: "span",
                ignore: ":hidden:not(.ignore-valid)",
                errorPlacement: function (error, element) {
                    if (element.is(':radio') || element.is(':checkbox') || element.is(':file'))
                        error.appendTo(element.parent().parent());
                    else
                        error.appendTo(element.parent());
                }
            });
        },
        getMaxInput: function(){
            if($('.price-range').length > 0){
                $('.price-range').each(function(){
                    var min = $(this).find('.min');
                    var max = $(this).find('.max');
                    min.on('keyup change',function(){
                        var val = $(this).val();
                        max.val(val);
                    })
                });
            }
        },
        jobSalaryRange: function(){
            if($('.noo-filter-range').length > 0){
                $('.noo-filter-range').each(function(){
                    var $this = $(this);
                    $this.slider({
                        range: true,
                        min: 0,
                        max: $this.data('max'),
                        values: [ $this.parent().find('#min_price').val(), $this.parent().find('#max_price').val() ],
                        stop: function( event, ui ) {
                            $this.parent().find('#min_price').val( ui.values[ 0 ] )
                            $this.parent().find('#max_price').val( ui.values[ 1 ] );
                            setTimeout(function(){
                                $this.parent().find('#max_price').trigger('change');
                            },1000);

                        },
                        slide: function(event,ui){
                            $this.parent().find('.min-text .noo-range-text').text( ui.values[ 0 ] );
                            $this.parent().find('.max-text .noo-range-text').text( ui.values[ 1 ] );
                        }
                    } );
                });
            }
        },
        jobLiveFilter: function(){

            var form_id = $('.widget-csf-live-filter').attr('id');
            var is_tax = $('#' + form_id).data('is-tax');
            if(!is_tax){
                $('#' + form_id + ' .reset-search').on('click',function (e) {
                    e.preventDefault();

                    var $form = $(this).parent('form');
                    $form.find('option:selected').removeAttr('selected');

                    $form.get(0).reset(); /* Reset form value*/

                    /* Get any input tag and run the function change() --> callback ajax*/
                    $form.find('.form-group').first().find(':input').not(':button, :submit, :reset, :hidden').trigger('change');

                    $('select.form-control').multiselect('refresh');

                    return false;
                });
            }
            /* Ajax Live Search */
            var container = $(".noo-main > .jobs");
            var off_livesearch = $('#' + form_id).data('off-livesearch');

            if(!$('.map-info').length && container.length > 0 && !off_livesearch){
                $('#' + form_id).on('change','select,input:not(.filter-search-option):not(.noo-mb-lat-filter):not(.noo-mb-lon-filter):not(.noo-mb-location-address-filter)', function (event) {
                    event.preventDefault();
                    // Filter button when run on Mobile
                    $(this).closest('.widget_noo_advanced_job_search_widget').removeClass('on-filter');

                    $('.noo-main').addClass('noo-loading').append('<div class="noo-loader loadmore-loading"><span></span><span></span><span></span><span></span><span></span><span></span><span></span><span></span></div>');
                    $('html,body').animate({ scrollTop: $('.noo-main').offset().top -200}, 500);
                    var $form = $('#' + form_id + ' .form-control');
                    var data = $(this).parents('form').serialize();
                    history.pushState(null, null, "?" + $form.serialize());
                    $.ajax({
                        url: jmcoreL10n.ajax_url,
                        data: data
                    })
                        .done(function (data) {
                            if (data !== "-1") {

                                var $newElems = $(data).find(".filter-post-content").html()
                                var $newSidebar = $(data).find('.filter-sidebar').contents();
                                var $resultsFilter = $(data).find('.filter-selected').contents();
                                $(".noo-main").html($newElems);
                                $('.noo-main').removeClass('noo-loading');
                                $('.widget-fields-live-filter').html($newSidebar);
                                $('.results-filter').html($resultsFilter);
                                if ($('[data-paginate="loadmore"]').find(".loadmore-action").length) {
                                    $('[data-paginate="loadmore"]').each(function () {
                                        var $this = $(this);
                                        var maxPage = $this.find('.btn-loadmore').data('maxpage');
                                        $this.nooLoadmore({
                                            navSelector: $this.find("div.pagination"),
                                            nextSelector: $this.find("div.pagination a.next"),
                                            itemSelector: "article.loadmore-item",
                                            maxPage: maxPage,
                                            finishedMsg: jmcoreL10n.all_jobs_displayed
                                        });
                                    });
                                }
                                NooTech.jobQuickSearch();
                                NooTech.NooDatetimepicker();
                                NooTech.hideClearAllFilter();
                                NooTech.collaspe_expand_field_filter();
                                NooTech.jobSalaryRange();
                                NooTech.ProximityRange();
                                NooTech.GetGeoLocationBingMap();
                                if($('.noo-mb-job-location-filter').length >=1){
                                    NooTech.noo_mb_map_field_filter();
                                }else if($('.noo-mb-job').length >=1){
                                    JM_Bing_Map();
                                }
                            } else {
                                location.reload();
                            }
                        })
                        .fail(function () {

                        })
                });
            }
            $('#' + form_id).on('submit',function () {
                $(this).find("input[name='action']").remove();
                $(this).find("input[name='_wp_http_referer']").remove();
                $(this).find("input[name='live-filter-nonce']").remove();

                return true;
            });
        },
        jobLiveSearch: function(){
            /* Reset search */
            var form_id = $('.widget-advanced-search').attr('id');
            var is_tax = $('#' + form_id).data('is-tax');
            if(!is_tax){
                $('#' + form_id + ' .reset-search').on('click',function (e) {
                    e.preventDefault();

                    var $form = $(this).parent('form');
                    $form.find('option:selected').removeAttr('selected');

                    $form.get(0).reset(); /* Reset form value*/

                    /* Get any input tag and run the function change() --> callback ajax*/
                    $form.find('.form-group').first().find(':input').not(':button, :submit, :reset, :hidden').trigger('change');

                    $('select.form-control').multiselect('refresh');

                    return false;
                });
            }
            /* Ajax Live Search */
            var container = $(".noo-main > .jobs");
            var off_livesearch = $('#' + form_id).data('off-livesearch');
            
            if(!$('.map-info').length && container.length > 0 && !off_livesearch){
                $('#' + form_id).on('change','select, input:not([type="checkbox"]):not([type="radio"])', function (event) {
                    event.preventDefault();
                    // Filter button when run on Mobile
                    $(this).closest('.widget_noo_advanced_job_search_widget').removeClass('on-filter');

                    $('.noo-main').addClass('noo-loading').append('<div class="noo-loader loadmore-loading"><span></span><span></span><span></span><span></span><span></span><span></span><span></span><span></span></div>');
                        $('html,body').animate({ scrollTop: 0 }, 500);
                    var $form = $('#' + form_id + ' .form-control');
                    var data = $(this).parents('form').serialize();
                    history.pushState(null, null, "?" + $form.serialize());
                    $.ajax({
                        url: jmcoreL10n.ajax_url,
                        data: data
                    })
                        .done(function (data) {
                            if (data !== "-1") {
                                var $newElems = $(data).css({
                                    opacity: 0
                                });
                                $(".noo-main").html($newElems);
                                $newElems.animate({
                                    opacity: 1
                                },1000);
                                $('.noo-main').removeClass('noo-loading');

                                if ($('[data-paginate="loadmore"]').find(".loadmore-action").length) {
                                    $('[data-paginate="loadmore"]').each(function () {
                                        var $this = $(this);
                                        var maxPage = $this.find('.btn-loadmore').data('maxpage');
                                        $this.nooLoadmore({
                                            navSelector: $this.find("div.pagination"),
                                            nextSelector: $this.find("div.pagination a.next"),
                                            itemSelector: "article.loadmore-item",
                                            maxPage: maxPage,
                                            finishedMsg: jmcoreL10n.all_jobs_displayed
                                        });
                                    });
                                }
                            } else {
                                location.reload();
                            }
                        })
                        .fail(function () {

                        })
                });
            }
            $('#' + form_id).on('submit',function () {
                $(this).find("input[name='action']").remove();
                $(this).find("input[name='_wp_http_referer']").remove();
                $(this).find("input[name='live-search-nonce']").remove();

                return true;
            });
        },
        /* Advand search (Job and Resume) in Mobile */
        mobileAdvanceFilter: function(){
            var filter_text = $('.mobile-job-filter').html();
            $(document).on('click','.mobile-job-filter', function(){
                var filter_class = $(this).closest('.noo-main').next().find('div[id^="noo_advanced_"]');
                $(this).toggleClass('active');
                if(filter_class.hasClass('on-filter')){
                    filter_class.removeClass('on-filter');
                    $(this).html(filter_text);
                }else{
                    filter_class.addClass('on-filter');
                    $(this).html('<i class="fa fa-close" aria-hidden="true"></i>' + jmcoreL10n.close);
                }
            });
        },

        /* Company */
        companyDetail: function(){
            if(document.getElementById('company-photo')){
                lightGallery(document.getElementById('company-photo'), {
                    thumbnail:true
                });
            }
        },
        contactCompany: function(){
            $("#contact_company_form").validate({
                onkeyup: false,
                errorClass: "jform-error",
                validClass: "jform-valid",
                errorElement: "span",
                ignore: ":hidden:not(.ignore-valid)",
                errorPlacement: function (error, element) {
                    if (element.is(":radio") || element.is(":checkbox") || element.is(":file"))
                        error.appendTo(element.parent().parent());
                    else
                        error.appendTo(element.parent());
                },
                submitHandler: function (form) {
                    var _form = $(form);
                    _form.find(".noo-ajax-result").show().html(jmcoreL10n.loadingmessage);
                    var formData = _form.serializeArray();
                    $.ajax({
                        type: 'POST',
                        dataType: 'json',
                        url: jmcoreL10n.ajax_url,
                        data: formData,
                        success: function (data) {
                            if (typeof data == 'object' && data != null) {
                                _form.find('.noo-ajax-result').show().html(data.message);
                                if (data.success == true) {
                                    _form.find('input, textarea').val('');
                                }
                            }
                        },
                        complete: function () {

                        },
                        error: function () {
                            _form.off('submit');
                            _form.submit();
                        }
                    });
                }
            });
        },
        followCompany: function(){
            $(document).on('click', '.noo-follow-company', function (event) {
                event.preventDefault();

                var current_event = $(this),
                    company_id = current_event.data('company-id'),
                    current_txt = current_event.html(),
                    user_id = current_event.data('user-id');

                $.ajax({
                    url: jmcoreL10n.ajax_url,
                    type: "POST",
                    dataType: "json",
                    data: {
                        action: 'noo_follow_company',
                        company_id: company_id,
                        user_id: user_id
                    },
                    beforeSend: function () {
                        current_event.append('<i class="fa fa-spinner fa-spin"></i>');
                    },
                    success: function (response) {
                        if(response.status === 'error'){
                            $.notify(response.message, {
                                position: "right bottom",
                                className: 'error'
                            });
                        }
                        current_event.html(current_txt);
                        try {
                            if (response.status === 'success') {
                                current_event.html(response.label);
                                current_event.closest('.noo-company-action').find('.total-follow > span').html(response.total);
                                $.notify(response.message, {
                                    position: "right bottom",
                                    className: 'success'
                                });
                            }
                        } catch (err) {
                            alert(err);
                        }
                    }
                });
            });
        },
        /* Resume */
        reviewCompany: function(){
            $('.noo-company-review').on('click', '.resume-review', function (event) {
                event.preventDefault();
                var current_event = $(this),
                    current_txt = current_event.html(),
                    current_url = current_event.data('url');

                $.ajax({
                    url: jmcoreL10n.ajax_url,
                    type: 'POST',
                    dataType: 'json',
                    data: current_event.closest('.noo-form-comment').serializeArray(),
                    beforeSend: function () {
                        current_event.append('<i class="fa fa-spinner fa-spin"></i>');
                    },
                    success: function (response) {

                        current_event.html(current_txt);

                        if('success' === response.status){

                            current_event.closest('.noo-company-review').find('.noo-list-comment').append(response.html).fadeIn('slow');

                            $('.noo-rating').each(function (index, el) {
                                var readonly = $(this).data('readonly');

                                var score_name = $(this).data('score-name');

                                $(this).raty({
                                    score: 5,
                                    readOnly: readonly,
                                    half: true,
                                    scoreName: score_name
                                });
                            });
                        } else{
                            current_event.next().html(response.message);
                            return;
                        }
                        window.location.href = current_url;

                    }
                })
            });
        },
        resumeSubmit: function(){
            $(".noo-clone-fields").on("click", function () {
                var $this = $(this);
                var $template = $($this.data('template'));
                $this.closest('.noo-metabox-addable').find('.noo-addable-fields').append($template);
                $template.find('.form-control-editor').wysihtml5({
                    "font-styles": true,
                    "blockquote": true,
                    "emphasis": true,
                    "lists": true,
                    "html": true,
                    "link": true,
                    "image": true,
                    "stylesheets": [wysihtml5L10n.stylesheet_rtl]
                });
                $(".noo-remove-fields").on("click", function () {
                    var $this = $(this);
                    $this.parent('.fields-group').remove();
                    return false;
                });
                $(function () {
                    $('.icon-picker').iconPicker();
                });

                $template.find('input:first-child').focus();
                return false;
            });

            $(".noo-remove-fields").on("click", function () {
                var $this = $(this);
                $this.parent('.fields-group').remove();
                return false;
            });
        },
        resumeDetail: function(){
            if($('.timeline-container').length > 0){
                $.timeliner({
                    timelineContainer:'.resume-timeline .timeline-container',
                    baseSpeed: 50,
                });
            }
            if(document.getElementById('portfolio')){
                lightGallery(document.getElementById('portfolio'), {
                    thumbnail:true
                });
            }
            if($('.resume-view-remain').length > 0){
                var view_remain = $('.resume-view-remain').attr('data-remain');
                $.notify(view_remain,{
                    position: "right bottom",
                    className:"success",
                })
            }
            
        },
        resumeReview: function(){
            $('.noo-resume-review').on('click', '.noo-review-submit', function (event) {
                event.preventDefault();
                var current_event = $(this),
                    current_txt = current_event.html(),
                    current_url = current_event.data('url');
                $.ajax({
                    url: jmcoreL10n.ajax_url,
                    type: 'POST',
                    dataType: 'json',
                    data: current_event.closest('.noo-form-resume-comment').serializeArray(),
                    beforeSend: function () {
                        current_event.append('<i class="fa fa-spinner fa-spin"></i>');
                    },
                    success: function (response) {
                        current_event.html(current_txt);

                        if('success' === response.status){
                            current_event.closest('.noo-resume-review').find('.noo-list-comment').append(response.html).fadeIn('slow');

                            $('.noo-rating').each(function (index, el) {
                                var readonly = $(this).data('readonly');

                                var score_name = $(this).data('score-name');

                                $(this).raty({
                                    score: 5,
                                    readOnly: readonly,
                                    half: true,
                                    scoreName: score_name
                                });
                            });
                        }else{
                            current_event.next().html(response.message);
                            return;
                        }
                        window.location.href = current_url;

                    }
                })
            });
        },
        resumeContact: function(){
            $(document).on('click', '.resume-contact button', function (event) {
                event.preventDefault();

                var current_event = $(this),
                    current_txt = current_event.html(),
                    elm_wrap = current_event.closest('.resume-contact');

                $.ajax({
                    url: jmcoreL10n.ajax_url,
                    type: 'POST',
                    dataType: 'json',
                    data: elm_wrap.serializeArray(),
                    beforeSend: function () {
                        elm_wrap.find('.notice').html('');
                        current_event.append('<i class="fa fa-spinner fa-spin"></i>');
                    },
                    success: function (res) {
                        current_event.html(current_txt);
                        try {
                            elm_wrap.find('.notice').html(res.message);
                        } catch (e) {
                            elm_wrap.find('.notice').html(e);
                        }

                    }
                })
            });
        },
        resumeLiveSearch: function(){
            /* Reset search */
            var form_id = $('.widget-advanced-search').attr('id');

            $('#' + form_id + ' .reset-search').on('click',function (e) {
                e.preventDefault();

                var $form = $(this).parent('form');
                $form.find('option:selected').removeAttr('selected');

                $form.get(0).reset(); /* Reset form value*/

                /* Get any input tag and run the function change() --> callback ajax*/
                $form.find('.form-group').first().find(':input').not(':button, :submit, :reset, :hidden').trigger('change');

                $('select.form-control').multiselect('refresh');

                return false;
            });
            /* Ajax Live Search */
            var container = $(".noo-main > .resumes");
            var off_livesearch = $('#' + form_id).data('off-livesearch');
            var can_view_resume = $('#' + form_id).data('can-view');
            if(!$('.map-info').length && container.length > 0 && !off_livesearch && can_view_resume){
                $('#' + form_id).on('change','select, input:not([type="checkbox"]):not([type="radio"])', function (event) {
                    event.preventDefault();
                    // Filter button when run on Mobile
                    $(this).closest('.widget_noo_advanced_resume_search_widget').removeClass('on-filter');

                    $('.noo-main').addClass('noo-loading').append('<div class="noo-loader loadmore-loading"><span></span><span></span><span></span><span></span><span></span><span></span><span></span><span></span></div>');
                        $('html,body').animate({ scrollTop: 0 }, 500);
                    var $form = $('#' + form_id + ' .form-control');
                    var data = $(this).parents('form').serialize();
                    history.pushState(null, null, "?" + $form.serialize());
                    $.ajax({
                        url: jmcoreL10n.ajax_url,
                        data: data
                    })
                        .done(function (data) {
                            var $newElems = $(data).css({
                                opacity: 0
                            });
                            $(".noo-main").html($newElems);
                            $newElems.animate({
                                opacity: 1
                            },1000);
                            $('.noo-main').removeClass('noo-loading');
                        })
                        .fail(function () {

                        })
                });
            }
            $('#' + form_id).on('submit',function () {
                $(this).find("input[name='action']").remove();
                $(this).find("input[name='_wp_http_referer']").remove();
                $(this).find("input[name='live-search-nonce']").remove();

                return true;
            });
        },
        resumeLiveFilter: function(){
            /* Reset search */
            var form_id = $('.widget-csf-resume-live-filter').attr('id');

            $('#' + form_id + ' .reset-search').on('click',function (e) {
                e.preventDefault();

                var $form = $(this).parent('form');
                $form.find('option:selected').removeAttr('selected');

                $form.get(0).reset(); /* Reset form value*/

                /* Get any input tag and run the function change() --> callback ajax*/
                $form.find('.form-group').first().find(':input').not(':button, :submit, :reset, :hidden').trigger('change');

                $('select.form-control').multiselect('refresh');

                return false;
            });
            /* Ajax Live Search */
            var container = $(".noo-main > .resumes");
            var off_livesearch = $('#' + form_id).data('off-livesearch');
            var can_view_resume = $('#' + form_id).data('can-view');
            if(!$('.map-info').length && container.length > 0 && !off_livesearch && can_view_resume){
                $('#' + form_id).on('change','select,input:not(.filter-search-option)', function (event) {
                    event.preventDefault();
                    // Filter button when run on Mobile
                    $(this).closest('.widget_noo_advanced_resume_search_widget').removeClass('on-filter');

                    $('.noo-main').addClass('noo-loading').append('<div class="noo-loader loadmore-loading"><span></span><span></span><span></span><span></span><span></span><span></span><span></span><span></span></div>');
                    $('html,body').animate({ scrollTop: $('.noo-main').offset().top -200}, 500);
                    var $form = $('#' + form_id + ' .form-control');
                    var data = $(this).parents('form').serialize();
                    history.pushState(null, null, "?" + $form.serialize());
                    $.ajax({
                        url: jmcoreL10n.ajax_url,
                        data: data
                    })
                        .done(function (data) {
                            if (data !== "-1") {

                                var $newElems = $(data).find(".filter-post-content").html()
                                var $newSidebar = $(data).find('.filter-sidebar').contents();
                                var $resultsFilter = $(data).find('.filter-selected').contents();
                                $(".noo-main").html($newElems);
                                $('.noo-main').removeClass('noo-loading');
                                $('.widget-fields-live-filter').html($newSidebar);
                                $('.results-filter').html($resultsFilter);
                                if ($('[data-paginate="loadmore"]').find(".loadmore-action").length) {
                                    $('[data-paginate="loadmore"]').each(function () {
                                        var $this = $(this);
                                        var maxPage = $this.find('.btn-loadmore').data('maxpage');
                                        $this.nooLoadmore({
                                            navSelector: $this.find("div.pagination"),
                                            nextSelector: $this.find("div.pagination a.next"),
                                            itemSelector: "article",
                                            maxPage: maxPage,
                                            finishedMsg: jmcoreL10n.all_resume_displayed
                                        });
                                    });
                                }
                                NooTech.jobQuickSearch();
                                NooTech.NooDatetimepicker();
                                NooTech.hideClearAllFilter();
                                NooTech.collaspe_expand_field_filter();
                                JM_Bing_Map();
                                NooTech.ProximityRange();
                                NooTech.GetGeoLocationBingMap();
                            } else {
                                location.reload();
                            }
                        })
                        .fail(function () {

                        })

                });
            }
            $('#' + form_id).on('submit',function () {
                $(this).find("input[name='action']").remove();
                $(this).find("input[name='_wp_http_referer']").remove();
                $(this).find("input[name='live-filter-nonce']").remove();

                return true;
            });
        },
        /* Resume, Job Template Detail*/
        layoutTemplate: function(){
            // Set detail template (Job, Resume)
            if($('.template-img').length > 0){
                $('.template-img').each(function () {
                    if ($(this).find('input[type="radio"]').first().attr("checked")) {
                        $(this).addClass('image-checkbox-checked');
                    }
                    else {
                        $(this).removeClass('image-checkbox-checked');
                    }
                });
            }
            // sync the state to the input
            if($('.job-form-detail-post').length > 0){
                $('.apply-template').on("click", function () {
                    $(this).closest('.job-post').find('.job-form-detail-post,.job-form-company').fadeIn(3000);
                    $(this).closest('.job-post').find('.post-bnt-actions button[type="submit"]').fadeIn(3000);
                    $(this).closest('#template-list').hide();
                    var $checkbox = $(this).find('input[type="radio"]');
                    if ($checkbox.is(":checked")) {
                        var group = "input:radio[name='" + $checkbox.attr("name") + "']";
                        $(group).prop("checked", false);
                        $(group).closest(".template-img").removeClass('image-checkbox-checked');
                        $checkbox.prop("checked", true);
                        $checkbox.closest(".template-img").addClass('image-checkbox-checked');
                    } else {
                        $checkbox.prop("checked", false);
                    }
                });
            }
            if($('.resume-detail-input').length > 0){
                $(".apply-template").on("click", function () {
                    $(this).closest('.resume-post').find('.resume-detail-input').fadeIn(3000);
                    $(this).closest('.resume-post').find('.post-bnt-actions button[type="submit"]').fadeIn(3000);
                    $(this).closest('#template-list').hide();
                    var $checkbox = $(this).find('input[type="radio"]');
                    if ($checkbox.is(":checked")) {
                        var group = "input:radio[name='" + $checkbox.attr("name") + "']";
                        $(group).prop("checked", false);
                        $(group).closest(".template-img").removeClass('image-checkbox-checked');
                        $checkbox.prop("checked", true);
                        $checkbox.closest(".template-img").addClass('image-checkbox-checked');
                    } else {
                        $checkbox.prop("checked", false);
                    }
                });
            }
            if(document.getElementById('resume-post-accordion')){
                $('#resume-post-accordion').on('show.bs.collapse', function (e) {
                    $(e.target).prev('.panel-heading').addClass('active');
                });
                $('#resume-post-accordion').on('hide.bs.collapse', function (e) {
                    $(e.target).prev('.panel-heading').removeClass('active');
                });
            }
        },
        // Create Order Free Package (Resume and Job)
        autoOrderFree: function(){
            $(document).on('click', '.auto_create_order_free', function (event) {
                event.preventDefault();
                var user_id = $(this).data('id');
                var package_id = $(this).data('package');
                var security = $(this).data('security');
                var url_package = $(this).data('url-package');
                $.post(jmcoreL10n.ajax_url, {
                    action: 'auto_create_order',
                    user_id: user_id,
                    package_id: package_id,
                    security: security
                }, function (data) {
                    window.location.href = url_package;
                });
            });
        },  
        /* Nav Dashboard */
        memberNav: function(){
            /* ---- Sidebar menu toggle, dash sticky menu */
            if(document.getElementById('content-dashboard-tc')){
                if ($('body').width() <= 1200) {
                    $('#sidebar-dashboard,#content-dashboard-tc').addClass('toggle');
                    $('.noo-canvas-menu-close').on('click',function(e){
                        e.preventDefault();
                         $('#sidebar-dashboard,#content-dashboard-tc').addClass('toggle');
                    });
                }else{
                    $('#sidebar-dashboard,#content-dashboard-tc').removeClass('toggle');
                }

                $(window).on('resize',function () {
                    if ($('body').width() <= 1200) {
                        $('#sidebar-dashboard,#content-dashboard-tc').addClass('toggle');
                        $('.noo-canvas-menu-close').on('click',function(e){
                            e.preventDefault();
                             $('#sidebar-dashboard,#content-dashboard-tc').addClass('toggle');
                        });
                    }else{
                        $('#sidebar-dashboard,#content-dashboard-tc').removeClass('toggle');
                    }
                });
                // Menu toggle
                $('#sidebarCollapse').on('click', function () {
                    $('#sidebar-dashboard,#content-dashboard-tc').toggleClass('toggle');
                    
                    var a = $('#content-dashboard-tc').outerWidth();
                    $('.fixed-top').css("width", a +"px"); // 
                });
                if($('.logged-in').length > 0 && $('.wrapper-dashboard').length > 0){
                    var a = $('#content-dashboard-tc').outerWidth();
                    if(a > 0){
                        $('.fixed-top').css({
                            "width": a +"px",
                            "left" : "auto",
                            "right": "0"
                        });
                    }
                    $(window).on('resize',function () {
                        var a = $('#content-dashboard-tc').outerWidth();
                        $('.fixed-top').css({
                            "width": a +"px",
                            "left" : "auto",
                            "right": "0"
                        });
                    });
                }
            }
        },
        jobQuickSearch:function () {
            $('.form-group').each(function () {
                var filter = $(this).find('.form-control-flat label');
                var qs =  $(this).find('.filter-search-option').quicksearch(filter );
                qs.cache();
            });
        },
        NooDatetimepicker:function () {
            var date_format = nooJobL10n.date_format ? nooJobL10n.date_format : 'Y/m/d';
            $('.jform-datepicker').datetimepicker({
                format: date_format,
                timepicker: false,
                scrollMonth: false,
                scrollTime: false,
                scrollInput: false,
                step: 15,
                validateOnBlur: false,
                onChangeDateTime: function (dp, $input) {
                    if ($input.next('.jform-datepicker_value').length) {
                        $input.next('.jform-datepicker_value').val(parseInt(dp.getTime() / 1000) - 60 * dp.getTimezoneOffset());
                    }
                }
            });

            $('#closing.jform-datepicker').datetimepicker({
                format: date_format,
                timepicker: false,
                scrollMonth: false,
                scrollTime: false,
                scrollInput: false,
                step: 15,
                minDate: 0,
                validateOnBlur: false,
                onChangeDateTime: function (dp, $input) {
                    if (dp && $input.next('.jform-datepicker_value').length) {
                        $input.next('.jform-datepicker_value').val(parseInt(dp.getTime() / 1000) - 60 * dp.getTimezoneOffset());
                    }
                }
            });

            jQuery('.jform-datepicker_start').datetimepicker({
                format: date_format,
                timepicker: false,
                scrollMonth: false,
                scrollTime: false,
                scrollInput: false,
                step: 15,
                validateOnBlur: false,
                onShow: function (ct, $input) {
                    var $maxDate = $input.siblings('.jform-datepicker_end_value').val() ? $input.siblings('.jform-datepicker_end_value').val() : false;
                    if ($maxDate) {
                        $maxDate = Date.parseDate($maxDate, 'unixtime');
                        if ($maxDate) {
                            this.setOptions({
                                maxDate: $maxDate.format0()
                            });
                        }
                    } else {
                        this.setOptions({
                            maxDate: false
                        });
                    }
                },
                onChangeDateTime: function (dp, $input) {
                    if (dp && $input.next('.jform-datepicker_start_value').length) {
                        $input.next('.jform-datepicker_start_value').val(parseInt(dp.getTime() / 1000) - 60 * dp.getTimezoneOffset());
                    }
                }
            });
            jQuery('.jform-datepicker_end').datetimepicker({
                format: date_format,
                timepicker: false,
                scrollMonth: false,
                scrollTime: false,
                scrollInput: false,
                step: 15,
                validateOnBlur: false,
                onShow: function (ct, $input) {
                    var $minDate = $input.siblings('.jform-datepicker_start_value').val() ? $input.siblings('.jform-datepicker_start_value').val() : false;
                    if ($minDate) {
                        $minDate = Date.parseDate($minDate, 'unixtime');
                        if ($minDate) {
                            this.setOptions({
                                minDate: $minDate.format0()
                            });
                        }
                    } else {
                        this.setOptions({
                            minDate: false
                        });
                    }
                },
                onChangeDateTime: function (dp, $input) {
                    if (dp && $input.next('.jform-datepicker_end_value').length) {
                        $input.next('.jform-datepicker_end_value').val(parseInt(dp.getTime() / 1000) - 60 * dp.getTimezoneOffset());
                    }
                }
            });

            $('.jform-datepicker, .jform-datepicker_start, .jform-datepicker_end').on('change',function () {
                var $this = $(this);
                if ($this.val() == '') {
                    $this.next('input[type="hidden"]').val('');
                }
            });

        },
        hideClearAllFilter: function () {
            if($('.widget-fields-live-filter').length > 0) {
                var $length_results_filter = $('.results-filter').find('li').length;
                if ($length_results_filter > 0) {
                    $('.result-filter-wraper').css("display", "block");
                }
            }
        },
        collaspe_expand_field_filter:function (){
            $('.widget-fields-live-filter').each(function () {
                $(this).find(".form-group .advance-filter-form-control").hide();
                var limit = 5;
                var x = Number(limit);
                $(this).find('.form-group .advance-filter-form-control:lt('+x+')').show();
                $(this).find('.form-group .expand-field:lt('+x+')').removeClass('fa-angle-up').addClass('fa-angle-down');
            });
            $('.widget-fields-live-filter').find('.form-group').each(function () {
                $(this).find('.show-expand').on('click', function () {
                    $(this).closest('.form-group').find('.advance-filter-form-control').slideToggle(500);
                    if( $(this).find('i').hasClass('fa-angle-down')){
                        $(this).find('i').removeClass('fa-angle-down').addClass('fa-angle-up');
                    }else {
                        $(this).find('i').removeClass('fa-angle-up').addClass('fa-angle-down');
                    }

                });
            })

        },
        showPosition:function (position) {
            if(jobicaL10n.map_using === 'google'){
                $.ajax({
                    url: "https://maps.googleapis.com/maps/api/geocode/json?latlng="+ position.coords.latitude +','+ position.coords.longitude +"&key=" + jmcoreL10n.google_map_key,
                })
                    .done(function (data) {
                        var formattedAddress = data.results[1].formatted_address;
                        $('.noo-mb-location-address-filter').val(formattedAddress);
                        $('.noo-mb-lat-filter').val(position.coords.longitude);
                        $('.noo-mb-lon-filter').val(position.coords.latitude);


                    });
            }else {
                $.ajax({
                    url: "https://dev.virtualearth.net/REST/v1/Locations/"+ position.coords.latitude +','+ position.coords.longitude + "?key=" + jmcoreL10n.bing_map_api,
                })
                    .done(function (data) {
                        var formattedAddress = data.resourceSets[0].resources[3].address.formattedAddress;
                        $('.noo-mb-location-address').val(formattedAddress);
                        $('.noo-mb-lon').val(position.coords.longitude);
                        $('.noo-mb-lat').val(position.coords.latitude);

                    });
            }

        },
        showGeoError:function(err){
            alert(err.message);
        },
        GetGeoLocationBingMap:function () {
            $('.geocode-location').on('click',function () {
                if (navigator.geolocation) {
                    navigator.geolocation.getCurrentPosition(NooTech.showPosition,NooTech.showGeoError);
                } else {
                    alert("Geolocation is not supported by this browser.");
                }
            });
        },
        ProximityRange:function () {
            $( 'input#min_proximity_range, input#max_proximity_range' ).hide();
            $( '.proximity_slider, .price_label' ).show();
            var current_value = $('.proximity_slider').data('value');
            $( ".proximity_slider" ).slider({
                range: "min",
                value: current_value,
                min: 1,
                max: 100,
                slide: function(event,ui){
                    $( ".text-distance" ).val(jmcoreL10n.proximity_text + ' '  + ui.value + ' ' + jmcoreL10n.proximity_unit );
                },
                stop: function( event, ui ) {
                    $("#filter_distance").val(ui.value);
                    setTimeout(function () {
                        $("#filter_distance").trigger('change');
                    },800)
                }
            });
            $( ".text-distance" ).val(jmcoreL10n.proximity_text + ' ' + $( ".proximity_slider" ).slider( "value" ) + ' ' + jmcoreL10n.proximity_unit);
            $( "#filter_distance" ).val($( ".proximity_slider" ).slider( "value" ));


        },
        noo_mb_map_field_filter:function () {
            var field = $('.noo-mb-job-location-filter');
            var lat =(typeof nooLocationPicker !== "undefined") ? parseFloat(nooLocationPicker.lat) : 0;
            var lon = (typeof nooLocationPicker !== "undefined") ? parseFloat( nooLocationPicker.lng) : 0;
            var zoom = (typeof nooLocationPicker !== "undefined") ? parseInt(nooLocationPicker.zoom) : 10;

            var lat_current = $('#noo-mb-lat-filter').val(),
                lng_current = $('#noo-mb-lon-filter').val();

            if (typeof lat_current !== 'undefined' && lat_current !== '') {
                lat = parseFloat(lat_current);
            }

            if (typeof lng_current !== 'undefined' && lng_current !== '') {
                lon = parseFloat(lng_current);
            }

            if (field.length > 0) {
                field.locationpicker({
                    location: {
                        latitude: lat,
                        longitude: lon,
                    },
                    radius: 0,
                    zoom: zoom,
                    inputBinding: {
                        latitudeInput: $('.noo-mb-lat-filter'),
                        longitudeInput: $('.noo-mb-lon-filter'),
                        locationNameInput: $('.noo-mb-location-address-filter')
                    },
                    enableAutocomplete: true,
                    enableAutocompleteBlur: true,
                });
            }
        },
    	
    };
    $(document).ready(function(){
    	NooTech.init();
    });
})(jQuery);