;(function ($) {
    "use strict";
    $(document).ready(function () {

        $('.job-manage-action.action-delete').on('click', function () {
            return confirm(nooMemberL10n.confirm_delete);
        });
        // Init validate
        $('form#candidate_profile_form').validate({
            onkeyup: false,
            errorClass: "jform-error",
            validClass: "jform-valid",
            errorElement: "span",
            ignore: ":hidden:not(.ignore-valid)",
            errorPlacement: function (error, element) {
                if (element.is(':radio') || element.is(':checkbox') || element.is(':file'))
                    error.appendTo(element.parent().parent());
                else
                    error.appendTo(element.parent());
            }
        });

        // Init validate
        $("form#noo-ajax-update-password, form#noo-ajax-update-email").each(function (index) {
            $(this).validate({
                onkeyup: false,
                errorClass: "jform-error",
                validClass: "jform-valid",
                errorElement: "span",
                ignore: ":hidden:not(.ignore-valid)",
                errorPlacement: function (error, element) {
                    if (element.is(":radio") || element.is(":checkbox") || element.is(":file"))
                        error.appendTo(element.parent().parent());
                    else
                        error.appendTo(element.parent());
                },
                submitHandler: function (form) {
                    var _form = $(form);
                    _form.find(".noo-ajax-result").show().html(nooMemberL10n.loadingmessage);
                    $.ajax({
                        type: "POST",
                        dataType: "json",
                        url: nooMemberL10n.ajax_url,
                        data: _form.serializeArray(),
                        success: function (data) {
                            _form.find(".noo-ajax-result").show().html(data.message);
                            if (data.success == true) {
                                if (data.redirecturl == null) {
                                    document.location.reload();
                                }
                                else {
                                    document.location.href = data.redirecturl;
                                }
                            }
                        },
                        complete: function () {

                        },
                        error: function () {
                            _form.off("submit");
                            _form.submit();
                        }
                    });
                }
            });

            $(this).on("submit", function (e) {
                e.stopPropagation();
                e.preventDefault();
                $(this).validate();
            });
        });


        // Init validate
        $('form#post_resume_form').validate({
            onkeyup: false,
            errorClass: "jform-error",
            validClass: "jform-valid",
            errorElement: "span",
            ignore: ":hidden:not(.ignore-valid)",
            errorPlacement: function (error, element) {
                if (element.is(':radio') || element.is(':checkbox') || element.is(':file'))
                    error.appendTo(element.parent().parent());
                else
                    error.appendTo(element.parent());
            }
        });

        $(document).on('click', '.bulk-manage-application-action', function (e) {
            e.preventDefault();
            e.stopPropagation();
            var $this = $(this);
            var $form = $this.closest('form');
            var $action = $this.closest(".bulk-actions").find("select[name='action']").val();

            if ($form.find("input[name='ids[]']:checked").length && $action !== "-1") {
                if ($action == 'delete') {
                    $form.submit();

                    return false;
                }
                var $application_id = $form.find("input[name='ids[]']:checked").map(function () {
                    return this.value;
                }).get().join(',');

                $form.find('.member-manage-table').block({
                    message: null, overlayCSS: {
                        backgroundColor: '#fff',
                        opacity: 0.5,
                        cursor: 'wait'
                    }
                });

                $.post(nooMemberL10n.ajax_url, {
                    action: 'noo_approve_reject_application_modal',
                    application_id: $application_id,
                    hander: $action,
                    security: nooMemberL10n.ajax_security
                }, function (respon) {
                    $form.find('.member-manage-table').unblock();
                    if (respon) {
                        var $modal = $(respon);
                        $('body').append($modal);
                        $modal.modal('show');
                        $('form#noo-ajax-approve-reject-application-form').validate({
                            onkeyup: false,
                            onfocusout: false,
                            onclick: false,
                            errorClass: "jform-error",
                            validClass: "jform-valid",
                            errorElement: "span",
                            ignore: ":hidden:not(.ignore-valid)",
                            errorPlacement: function (error, element) {
                                if (element.is(':radio') || element.is(':checkbox') || element.is(':file'))
                                    error.appendTo(element.parent().parent());
                                else
                                    error.appendTo(element.parent());
                            }
                        });
                        $modal.on('hidden.bs.modal', function () {
                            $modal.remove();
                        });
                    }
                });
            }

            return false;
        });

        $(document).on('click', '.member-manage-action.approve-reject-action', function (e) {
            e.preventDefault();
            e.stopPropagation();
            var $this = $(this),
            current_txt = $this.html();
            $this.html('<i class="fa fa-circle-o-notch fa-spin" aria-hidden="true"></i>');
            $this.closest('.member-manage-table').block({
                message: null, overlayCSS: {
                    backgroundColor: '#fff',
                    opacity: 0.5,
                    cursor: 'wait'
                }
            });
            $.post(nooMemberL10n.ajax_url, {
                action: 'noo_approve_reject_application_modal',
                application_id: $this.data('application-id'),
                hander: $this.data('hander'),
                security: nooMemberL10n.ajax_security
            }, function (respon) {
                $this.closest('.member-manage-table').unblock();
                if (respon) {
                    $this.html(current_txt);
                    var $modal = $(respon);
                    $('body').append($modal);
                    $modal.modal('show');
                    $('form#noo-ajax-approve-reject-application-form').validate({
                        onkeyup: false,
                        onfocusout: false,
                        onclick: false,
                        errorClass: "jform-error",
                        validClass: "jform-valid",
                        errorElement: "span",
                        ignore: ":hidden:not(.ignore-valid)",
                        errorPlacement: function (error, element) {
                            if (element.is(':radio') || element.is(':checkbox') || element.is(':file'))
                                error.appendTo(element.parent().parent());
                            else
                                error.appendTo(element.parent());
                        }
                    });
                    $modal.on('hidden.bs.modal', function () {
                        $modal.remove();
                    });
                }
            });

            return false;
        });

        $(document).on('click', '.member-manage-action.view-employer-message', function (e) {
            e.preventDefault();
            e.stopPropagation();
            var $this = $(this),
                current_txt = $this.html();
            $this.html('<i class="fa fa-spinner fa-spin"></i>');
            $this.closest('.member-manage-table').block({
                message: null, overlayCSS: {
                    backgroundColor: '#fff',
                    opacity: 0.5,
                    cursor: 'wait'
                }
            });
            $.post(nooMemberL10n.ajax_url, {
                action: 'noo_employer_message_application_modal',
                application_id: $this.data('application-id'),
                security: nooMemberL10n.ajax_security,
                mode: $this.data('mode') || 0
            }, function (respon) {
                $this.html(current_txt);
                $this.find('.fa').removeClass('fa-spin');
                $this.closest('.member-manage-table').unblock();
                if (respon) {
                    var $modal = $(respon);
                    $('body').append($modal);
                    $modal.modal('show');
                    $modal.on('hidden.bs.modal', function () {
                        $modal.remove();
                    });
                }
            });
        });
        $('.btn-print-invoice').on('click', function (event) {
            event.preventDefault();
            var invoice = $(this).data('invoice');
            var total_review = $(this).data('total-review');
            var layout = $(this).data('layout');
            var post_review = $(this).data('post-review');
            var printInvoiceWindow = window.open('', '', 'width=1024 ,height=842');

            $.ajax({
                url:nooMemberL10n.ajax_url,
                type: 'POST',
                dataType: 'html',
                data: {
                    action: 'noo_create_print_invoice',
                    invoice : invoice,
                    total: total_review,
                    layout: layout,
                    post_review : post_review,
                },
                success: function (data_print) {
                    try {
                        printInvoiceWindow.document.write(data_print);
                        printInvoiceWindow.document.close();
                        printInvoiceWindow.focus();
                    } catch (e) {
                    }
                }
            });
            return false;
        });
        
        /* Company Block*/
        if(document.getElementById('searchable')){
            $('#searchable').multiSelect({
                selectableHeader: "<input type='text' class='search-input' autocomplete='off' placeholder='" + nooMemberL10n.placeholder_company + "'>",
                selectionHeader: "<input type='text' class='search-input' autocomplete='off' placeholder='" + nooMemberL10n.placeholder_blocked + "'>",
                afterInit: function(ms){
                    var that = this,
                        $selectableSearch = that.$selectableUl.prev(),
                        $selectionSearch = that.$selectionUl.prev(),
                        selectableSearchString = '#'+that.$container.attr('id')+' .ms-elem-selectable:not(.ms-selected)',
                        selectionSearchString = '#'+that.$container.attr('id')+' .ms-elem-selection.ms-selected';

                    that.qs1 = $selectableSearch.quicksearch(selectableSearchString)
                        .on('keydown', function(e){
                            if (e.which === 40){
                                that.$selectableUl.focus();
                                return false;
                            }
                        });

                    that.qs2 = $selectionSearch.quicksearch(selectionSearchString)
                        .on('keydown', function(e){
                            if (e.which == 40){
                                that.$selectionUl.focus();
                                return false;
                            }
                        });
                },
                afterSelect: function(){
                    this.qs1.cache();
                    this.qs2.cache();
                },
                afterDeselect: function(){
                    this.qs1.cache();
                    this.qs2.cache();
                }
            });
        }
    });

})(jQuery);
