/* Icon Picker */

(function ($) {

    $.fn.iconPicker = function (options) {
        var options = ['linearicons', 'linearicons']; // default font set
        var icons;
        $list = $('');

        function font_set() {
          if (options[0] == 'linearicons') {
               icons = [
                    "home",
                    "home2",
                    "home3",
                    "home4",
                    "home5",
                    "home6",
                    "bathtub",
                    "toothbrush",
                    "bed",
                    "couch",
                    "chair",
                    "city",
                    "apartment",
                    "pencil",
                    "pencil2",
                    "pen",
                    "pencil3",
                    "eraser",
                    "pencil4",
                    "pencil5",
                    "feather",
                    "feather2",
                    "feather3",
                    "pen2",
                    "pen-add",
                    "pen-remove",
                    "vector",
                    "pen3",
                    "blog",
                    "brush",
                    "brush2",
                    "spray",
                    "paint-roller",
                    "stamp",
                    "tape",
                    "desk-tape",
                    "texture",
                    "eye-dropper",
                    "palette",
                    "color-sampler",
                    "bucket",
                    "gradient",
                    "gradient2",
                    "magic-wand",
                    "magnet",
                    "pencil-ruler",
                    "pencil-ruler2",
                    "compass",
                    "aim",
                    "gun",
                    "bottle",
                    "drop",
                    "drop-crossed",
                    "drop2",
                    "snow",
                    "snow2",
                    "fire",
                    "lighter",
                    "knife",
                    "dagger",
                    "tissue",
                    "toilet-paper",
                    "poop",
                    "umbrella",
                    "umbrella2",
                    "rain",
                    "tornado",
                    "wind",
                    "fan",
                    "contrast",
                    "sun-small",
                    "sun",
                    "sun2",
                    "moon",
                    "cloud",
                    "cloud-upload",
                    "cloud-download",
                    "cloud-rain",
                    "cloud-hailstones",
                    "cloud-snow",
                    "cloud-windy",
                    "sun-wind",
                    "cloud-fog",
                    "cloud-sun",
                    "cloud-lightning",
                    "cloud-sync",
                    "cloud-lock",
                    "cloud-gear",
                    "cloud-alert",
                    "cloud-check",
                    "cloud-cross",
                    "cloud-crossed",
                    "cloud-database",
                    "database",
                    "database-add",
                    "database-remove",
                    "database-lock",
                    "database-refresh",
                    "database-check",
                    "database-history",
                    "database-upload",
                    "database-download",
                    "server",
                    "shield",
                    "shield-check",
                    "shield-alert",
                    "shield-cross",
                    "lock",
                    "rotation-lock",
                    "unlock",
                    "key",
                    "key-hole",
                    "toggle-off",
                    "toggle-on",
                    "cog",
                    "cog2",
                    "wrench",
                    "screwdriver",
                    "hammer-wrench",
                    "hammer",
                    "saw",
                    "axe",
                    "axe2",
                    "shovel",
                    "pickaxe",
                    "factory",
                    "factory2",
                    "recycle",
                    "trash",
                    "trash2",
                    "trash3",
                    "broom",
                    "game",
                    "gamepad",
                    "joystick",
                    "dice",
                    "spades",
                    "diamonds",
                    "clubs",
                    "hearts",
                    "heart",
                    "star",
                    "star-half",
                    "star-empty",
                    "flag",
                    "flag2",
                    "flag3",
                    "mailbox-full",
                    "mailbox-empty",
                    "at-sign",
                    "envelope",
                    "envelope-open",
                    "paperclip",
                    "paper-plane",
                    "reply",
                    "reply-all",
                    "inbox",
                    "inbox2",
                    "outbox",
                    "box",
                    "archive",
                    "archive2",
                    "drawers",
                    "drawers2",
                    "drawers3",
                    "eye",
                    "eye-crossed",
                    "eye-plus",
                    "eye-minus",
                    "binoculars",
                    "binoculars2",
                    "hdd",
                    "hdd-down",
                    "hdd-up",
                    "floppy-disk",
                    "disc",
                    "tape2",
                    "printer",
                    "shredder",
                    "file-empty",
                    "file-add",
                    "file-check",
                    "file-lock",
                    "files",
                    "copy",
                    "compare",
                    "folder",
                    "folder-search",
                    "folder-plus",
                    "folder-minus",
                    "folder-download",
                    "folder-upload",
                    "folder-star",
                    "folder-heart",
                    "folder-user",
                    "folder-shared",
                    "folder-music",
                    "folder-picture",
                    "folder-film",
                    "scissors",
                    "paste",
                    "clipboard-empty",
                    "clipboard-pencil",
                    "clipboard-text",
                    "clipboard-check",
                    "clipboard-down",
                    "clipboard-left",
                    "clipboard-alert",
                    "clipboard-user",
                    "register",
                    "enter",
                    "exit",
                    "papers",
                    "news",
                    "reading",
                    "typewriter",
                    "document",
                    "document2",
                    "graduation-hat",
                    "license",
                    "license2",
                    "medal-empty",
                    "medal-first",
                    "medal-second",
                    "medal-third",
                    "podium",
                    "trophy",
                    "trophy2",
                    "music-note",
                    "music-note2",
                    "music-note3",
                    "playlist",
                    "playlist-add",
                    "guitar",
                    "trumpet",
                    "album",
                    "shuffle",
                    "repeat-one",
                    "repeat",
                    "headphones",
                    "headset",
                    "loudspeaker",
                    "equalizer",
                    "theater",
                    "3d-glasses",
                    "ticket",
                    "presentation",
                    "play",
                    "film-play",
                    "clapboard-play",
                    "media",
                    "film",
                    "film2",
                    "surveillance",
                    "surveillance2",
                    "camera",
                    "camera-crossed",
                    "camera-play",
                    "time-lapse",
                    "record",
                    "camera2",
                    "camera-flip",
                    "panorama",
                    "time-lapse2",
                    "shutter",
                    "shutter2",
                    "face-detection",
                    "flare",
                    "convex",
                    "concave",
                    "picture",
                    "picture2",
                    "picture3",
                    "pictures",
                    "book",
                    "audio-book",
                    "book2",
                    "bookmark",
                    "bookmark2",
                    "label",
                    "library",
                    "library2",
                    "contacts",
                    "profile",
                    "portrait",
                    "portrait2",
                    "user",
                    "user-plus",
                    "user-minus",
                    "user-lock",
                    "users",
                    "users2",
                    "users-plus",
                    "users-minus",
                    "group-work",
                    "woman",
                    "man",
                    "baby",
                    "baby2",
                    "baby3",
                    "baby-bottle",
                    "walk",
                    "hand-waving",
                    "jump",
                    "run",
                    "woman2",
                    "man2",
                    "man-woman",
                    "height",
                    "weight",
                    "scale",
                    "button",
                    "bow-tie",
                    "tie",
                    "socks",
                    "shoe",
                    "shoes",
                    "hat",
                    "pants",
                    "shorts",
                    "flip-flops",
                    "shirt",
                    "hanger",
                    "laundry",
                    "store",
                    "haircut",
                    "store-24",
                    "barcode",
                    "barcode2",
                    "barcode3",
                    "cashier",
                    "bag",
                    "bag2",
                    "cart",
                    "cart-empty",
                    "cart-full",
                    "cart-plus",
                    "cart-plus2",
                    "cart-add",
                    "cart-remove",
                    "cart-exchange",
                    "tag",
                    "tags",
                    "receipt",
                    "wallet",
                    "credit-card",
                    "cash-dollar",
                    "cash-euro",
                    "cash-pound",
                    "cash-yen",
                    "bag-dollar",
                    "bag-euro",
                    "bag-pound",
                    "bag-yen",
                    "coin-dollar",
                    "coin-euro",
                    "coin-pound",
                    "coin-yen",
                    "calculator",
                    "calculator2",
                    "abacus",
                    "vault",
                    "telephone",
                    "phone-lock",
                    "phone-wave",
                    "phone-pause",
                    "phone-outgoing",
                    "phone-incoming",
                    "phone-in-out",
                    "phone-error",
                    "phone-sip",
                    "phone-plus",
                    "phone-minus",
                    "voicemail",
                    "dial",
                    "telephone2",
                    "pushpin",
                    "pushpin2",
                    "map-marker",
                    "map-marker-user",
                    "map-marker-down",
                    "map-marker-check",
                    "map-marker-crossed",
                    "radar",
                    "compass2",
                    "map",
                    "map2",
                    "location",
                    "road-sign",
                    "calendar-empty",
                    "calendar-check",
                    "calendar-cross",
                    "calendar-31",
                    "calendar-full",
                    "calendar-insert",
                    "calendar-text",
                    "calendar-user",
                    "mouse",
                    "mouse-left",
                    "mouse-right",
                    "mouse-both",
                    "keyboard",
                    "keyboard-up",
                    "keyboard-down",
                    "delete",
                    "spell-check",
                    "escape",
                    "enter2",
                    "screen",
                    "aspect-ratio",
                    "signal",
                    "signal-lock",
                    "signal-80",
                    "signal-60",
                    "signal-40",
                    "signal-20",
                    "signal-0",
                    "signal-blocked",
                    "sim",
                    "flash-memory",
                    "usb-drive",
                    "phone",
                    "smartphone",
                    "smartphone-notification",
                    "smartphone-vibration",
                    "smartphone-embed",
                    "smartphone-waves",
                    "tablet",
                    "tablet2",
                    "laptop",
                    "laptop-phone",
                    "desktop",
                    "launch",
                    "new-tab",
                    "window",
                    "cable",
                    "cable2",
                    "tv",
                    "radio",
                    "remote-control",
                    "power-switch",
                    "power",
                    "power-crossed",
                    "flash-auto",
                    "lamp",
                    "flashlight",
                    "lampshade",
                    "cord",
                    "outlet",
                    "battery-power",
                    "battery-empty",
                    "battery-alert",
                    "battery-error",
                    "battery-low1",
                    "battery-low2",
                    "battery-low3",
                    "battery-mid1",
                    "battery-mid2",
                    "battery-mid3",
                    "battery-full",
                    "battery-charging",
                    "battery-charging2",
                    "battery-charging3",
                    "battery-charging4",
                    "battery-charging5",
                    "battery-charging6",
                    "battery-charging7",
                    "chip",
                    "chip-x64",
                    "chip-x86",
                    "bubble",
                    "bubbles",
                    "bubble-dots",
                    "bubble-alert",
                    "bubble-question",
                    "bubble-text",
                    "bubble-pencil",
                    "bubble-picture",
                    "bubble-video",
                    "bubble-user",
                    "bubble-quote",
                    "bubble-heart",
                    "bubble-emoticon",
                    "bubble-attachment",
                    "phone-bubble",
                    "quote-open",
                    "quote-close",
                    "dna",
                    "heart-pulse",
                    "pulse",
                    "syringe",
                    "pills",
                    "first-aid",
                    "lifebuoy",
                    "bandage",
                    "bandages",
                    "thermometer",
                    "microscope",
                    "brain",
                    "beaker",
                    "skull",
                    "bone",
                    "construction",
                    "construction-cone",
                    "pie-chart",
                    "pie-chart2",
                    "graph",
                    "chart-growth",
                    "chart-bars",
                    "chart-settings",
                    "cake",
                    "gift",
                    "balloon",
                    "rank",
                    "rank2",
                    "rank3",
                    "crown",
                    "lotus",
                    "diamond",
                    "diamond2",
                    "diamond3",
                    "diamond4",
                    "linearicons",
                    "teacup",
                    "teapot",
                    "glass",
                    "bottle2",
                    "glass-cocktail",
                    "glass2",
                    "dinner",
                    "dinner2",
                    "chef",
                    "scale2",
                    "egg",
                    "egg2",
                    "eggs",
                    "platter",
                    "steak",
                    "hamburger",
                    "hotdog",
                    "pizza",
                    "sausage",
                    "chicken",
                    "fish",
                    "carrot",
                    "cheese",
                    "bread",
                    "ice-cream",
                    "ice-cream2",
                    "candy",
                    "lollipop",
                    "coffee-bean",
                    "coffee-cup",
                    "cherry",
                    "grapes",
                    "citrus",
                    "apple",
                    "leaf",
                    "landscape",
                    "pine-tree",
                    "tree",
                    "cactus",
                    "paw",
                    "footprint",
                    "speed-slow",
                    "speed-medium",
                    "speed-fast",
                    "rocket",
                    "hammer2",
                    "balance",
                    "briefcase",
                    "luggage-weight",
                    "dolly",
                    "plane",
                    "plane-crossed",
                    "helicopter",
                    "traffic-lights",
                    "siren",
                    "road",
                    "engine",
                    "oil-pressure",
                    "coolant-temperature",
                    "car-battery",
                    "gas",
                    "gallon",
                    "transmission",
                    "car",
                    "car-wash",
                    "car-wash2",
                    "bus",
                    "bus2",
                    "car2",
                    "parking",
                    "car-lock",
                    "taxi",
                    "car-siren",
                    "car-wash3",
                    "car-wash4",
                    "ambulance",
                    "truck",
                    "trailer",
                    "scale-truck",
                    "train",
                    "ship",
                    "ship2",
                    "anchor",
                    "boat",
                    "bicycle",
                    "bicycle2",
                    "dumbbell",
                    "bench-press",
                    "swim",
                    "football",
                    "baseball-bat",
                    "baseball",
                    "tennis",
                    "tennis2",
                    "ping-pong",
                    "hockey",
                    "8ball",
                    "bowling",
                    "bowling-pins",
                    "golf",
                    "golf2",
                    "archery",
                    "slingshot",
                    "soccer",
                    "basketball",
                    "cube",
                    "3d-rotate",
                    "puzzle",
                    "glasses",
                    "glasses2",
                    "accessibility",
                    "wheelchair",
                    "wall",
                    "fence",
                    "wall2",
                    "icons",
                    "resize-handle",
                    "icons2",
                    "select",
                    "select2",
                    "site-map",
                    "earth",
                    "earth-lock",
                    "network",
                    "network-lock",
                    "planet",
                    "happy",
                    "smile",
                    "grin",
                    "tongue",
                    "sad",
                    "wink",
                    "dream",
                    "shocked",
                    "shocked2",
                    "tongue2",
                    "neutral",
                    "happy-grin",
                    "cool",
                    "mad",
                    "grin-evil",
                    "evil",
                    "wow",
                    "annoyed",
                    "wondering",
                    "confused",
                    "zipped",
                    "grumpy",
                    "mustache",
                    "tombstone-hipster",
                    "tombstone",
                    "ghost",
                    "ghost-hipster",
                    "halloween",
                    "christmas",
                    "easter-egg",
                    "mustache2",
                    "mustache-glasses",
                    "pipe",
                    "alarm",
                    "alarm-add",
                    "alarm-snooze",
                    "alarm-ringing",
                    "bullhorn",
                    "hearing",
                    "volume-high",
                    "volume-medium",
                    "volume-low",
                    "volume",
                    "mute",
                    "lan",
                    "lan2",
                    "wifi",
                    "wifi-lock",
                    "wifi-blocked",
                    "wifi-mid",
                    "wifi-low",
                    "wifi-low2",
                    "wifi-alert",
                    "wifi-alert-mid",
                    "wifi-alert-low",
                    "wifi-alert-low2",
                    "stream",
                    "stream-check",
                    "stream-error",
                    "stream-alert",
                    "communication",
                    "communication-crossed",
                    "broadcast",
                    "antenna",
                    "satellite",
                    "satellite2",
                    "mic",
                    "mic-mute",
                    "mic2",
                    "spotlights",
                    "hourglass",
                    "loading",
                    "loading2",
                    "loading3",
                    "refresh",
                    "refresh2",
                    "undo",
                    "redo",
                    "jump2",
                    "undo2",
                    "redo2",
                    "sync",
                    "repeat-one2",
                    "sync-crossed",
                    "sync2",
                    "repeat-one3",
                    "sync-crossed2",
                    "return",
                    "return2",
                    "refund",
                    "history",
                    "history2",
                    "self-timer",
                    "clock",
                    "clock2",
                    "clock3",
                    "watch",
                    "alarm2",
                    "alarm-add2",
                    "alarm-remove",
                    "alarm-check",
                    "alarm-error",
                    "timer",
                    "timer-crossed",
                    "timer2",
                    "timer-crossed2",
                    "download",
                    "upload",
                    "download2",
                    "upload2",
                    "enter-up",
                    "enter-down",
                    "enter-left",
                    "enter-right",
                    "exit-up",
                    "exit-down",
                    "exit-left",
                    "exit-right",
                    "enter-up2",
                    "enter-down2",
                    "enter-vertical",
                    "enter-left2",
                    "enter-right2",
                    "enter-horizontal",
                    "exit-up2",
                    "exit-down2",
                    "exit-left2",
                    "exit-right2",
                    "cli",
                    "bug",
                    "code",
                    "file-code",
                    "file-image",
                    "file-zip",
                    "file-audio",
                    "file-video",
                    "file-preview",
                    "file-charts",
                    "file-stats",
                    "file-spreadsheet",
                    "link",
                    "unlink",
                    "link2",
                    "unlink2",
                    "thumbs-up",
                    "thumbs-down",
                    "thumbs-up2",
                    "thumbs-down2",
                    "thumbs-up3",
                    "thumbs-down3",
                    "share",
                    "share2",
                    "share3",
                    "magnifier",
                    "file-search",
                    "find-replace",
                    "zoom-in",
                    "zoom-out",
                    "loupe",
                    "loupe-zoom-in",
                    "loupe-zoom-out",
                    "cross",
                    "menu",
                    "list",
                    "list2",
                    "list3",
                    "menu2",
                    "list4",
                    "menu3",
                    "exclamation",
                    "question",
                    "check",
                    "cross2",
                    "plus",
                    "minus",
                    "percent",
                    "chevron-up",
                    "chevron-down",
                    "chevron-left",
                    "chevron-right",
                    "chevrons-expand-vertical",
                    "chevrons-expand-horizontal",
                    "chevrons-contract-vertical",
                    "chevrons-contract-horizontal",
                    "arrow-up",
                    "arrow-down",
                    "arrow-left",
                    "arrow-right",
                    "arrow-up-right",
                    "arrows-merge",
                    "arrows-split",
                    "arrow-divert",
                    "arrow-return",
                    "expand",
                    "contract",
                    "expand2",
                    "contract2",
                    "move",
                    "tab",
                    "arrow-wave",
                    "expand3",
                    "expand4",
                    "contract3",
                    "notification",
                    "warning",
                    "notification-circle",
                    "question-circle",
                    "menu-circle",
                    "checkmark-circle",
                    "cross-circle",
                    "plus-circle",
                    "circle-minus",
                    "percent-circle",
                    "arrow-up-circle",
                    "arrow-down-circle",
                    "arrow-left-circle",
                    "arrow-right-circle",
                    "chevron-up-circle",
                    "chevron-down-circle",
                    "chevron-left-circle",
                    "chevron-right-circle",
                    "backward-circle",
                    "first-circle",
                    "previous-circle",
                    "stop-circle",
                    "play-circle",
                    "pause-circle",
                    "next-circle",
                    "last-circle",
                    "forward-circle",
                    "eject-circle",
                    "crop",
                    "frame-expand",
                    "frame-contract",
                    "focus",
                    "transform",
                    "grid",
                    "grid-crossed",
                    "layers",
                    "layers-crossed",
                    "toggle",
                    "rulers",
                    "ruler",
                    "funnel",
                    "flip-horizontal",
                    "flip-vertical",
                    "flip-horizontal2",
                    "flip-vertical2",
                    "angle",
                    "angle2",
                    "subtract",
                    "combine",
                    "intersect",
                    "exclude",
                    "align-center-vertical",
                    "align-right",
                    "align-bottom",
                    "align-left",
                    "align-center-horizontal",
                    "align-top",
                    "square",
                    "plus-square",
                    "minus-square",
                    "percent-square",
                    "arrow-up-square",
                    "arrow-down-square",
                    "arrow-left-square",
                    "arrow-right-square",
                    "chevron-up-square",
                    "chevron-down-square",
                    "chevron-left-square",
                    "chevron-right-square",
                    "check-square",
                    "cross-square",
                    "menu-square",
                    "prohibited",
                    "circle",
                    "radio-button",
                    "ligature",
                    "text-format",
                    "text-format-remove",
                    "text-size",
                    "bold",
                    "italic",
                    "underline",
                    "strikethrough",
                    "highlight",
                    "text-align-left",
                    "text-align-center",
                    "text-align-right",
                    "text-align-justify",
                    "line-spacing",
                    "indent-increase",
                    "indent-decrease",
                    "text-wrap",
                    "pilcrow",
                    "direction-ltr",
                    "direction-rtl",
                    "page-break",
                    "page-break2",
                    "sort-alpha-asc",
                    "sort-alpha-desc",
                    "sort-numeric-asc",
                    "sort-numeric-desc",
                    "sort-amount-asc",
                    "sort-amount-desc",
                    "sort-time-asc",
                    "sort-time-desc",
                    "sigma",
                    "pencil-line",
                    "hand",
                    "pointer-up",
                    "pointer-right",
                    "pointer-down",
                    "pointer-left",
                    "finger-tap",
                    "fingers-tap",
                    "reminder",
                    "fingers-crossed",
                    "fingers-victory",
                    "gesture-zoom",
                    "gesture-pinch",
                    "fingers-scroll-horizontal",
                    "fingers-scroll-vertical",
                    "fingers-scroll-left",
                    "fingers-scroll-right",
                    "hand2",
                    "pointer-up2",
                    "pointer-right2",
                    "pointer-down2",
                    "pointer-left2",
                    "finger-tap2",
                    "fingers-tap2",
                    "reminder2",
                    "gesture-zoom2",
                    "gesture-pinch2",
                    "fingers-scroll-horizontal2",
                    "fingers-scroll-vertical2",
                    "fingers-scroll-left2",
                    "fingers-scroll-right2",
                    "fingers-scroll-vertical3",
                    "border-style",
                    "border-all",
                    "border-outer",
                    "border-inner",
                    "border-top",
                    "border-horizontal",
                    "border-bottom",
                    "border-left",
                    "border-vertical",
                    "border-right",
                    "border-none",
                    "ellipsis",
               ];
               options[1] = 'linearicons';
          } else if (options[0] == 'fa') {
               icons = [
                    "blank",
                    "language",
                    // Mail
                    "inbox",
                    "envelope",
                    "envelope-o",
                    "paperclip",
                    "reply-all",
                    "mail-reply-all",
                    "mail-forward",
                    "mail-reply",
                    "reply",
                    // Media
                    "music",
                    "film",
                    "step-backward",
                    "fast-backward",
                    "backward",
                    "play",
                    "play-circle",
                    "play-circle-o",
                    "pause",
                    "stop",
                    "forward",
                    "fast-forward",
                    "step-forward",
                    "eject",
                    "repeat",
                    "refresh",
                    "random",
                    "headphones",
                    "volume-off",
                    "volume-down",
                    "volume-up",
                    // Arrows
                    "angle-double-left",
                    "angle-double-right",
                    "angle-double-up",
                    "angle-double-down",
                    "angle-left",
                    "angle-right",
                    "angle-up",
                    "angle-down",
                    "arrows",
                    "arrow-left",
                    "arrow-right",
                    "arrow-up",
                    "arrow-down",
                    "arrows-alt",
                    "arrows-v",
                    "arrows-h",
                    "arrow-circle-left",
                    "arrow-circle-right",
                    "arrow-circle-up",
                    "arrow-circle-down",
                    "arrow-circle-o-down",
                    "arrow-circle-o-up",
                    "arrow-circle-o-right",
                    "arrow-circle-o-left",
                    "caret-down",
                    "caret-up",
                    "caret-left",
                    "caret-right",
                    "chevron-left",
                    "chevron-right",
                    "chevron-up",
                    "chevron-down",
                    "chevron-circle-left",
                    "chevron-circle-right",
                    "chevron-circle-up",
                    "chevron-circle-down",
                    "expand",
                    "compress",
                    "hand-o-right",
                    "hand-o-left",
                    "hand-o-up",
                    "hand-o-down",
                    "level-up",
                    "level-down",
                    "long-arrow-down",
                    "long-arrow-up",
                    "long-arrow-left",
                    "long-arrow-right",
                    "rotate-right",
                    "toggle-left",
                    "toggle-down",
                    "toggle-up",
                    "toggle-right",
                    // Search
                    "search",
                    "search-plus",
                    "search-minus",
                    // File Editing
                    "cut",
                    "crop",
                    "copy",
                    "paste",
                    "font",
                    "bold",
                    "italic",
                    "anchor",
                    "link",
                    "unlink",
                    "chain-broken",
                    "external-link",
                    "external-link-square",
                    "text-height",
                    "text-width",
                    "align-left",
                    "align-center",
                    "align-right",
                    "align-justify",
                    "list",
                    "quote-left",
                    "quote-right",
                    "outdent",
                    "indent",
                    "undo",
                    "adjust",
                    "tint",
                    "edit",
                    "list-ul",
                    "list-ol",
                    "list-alt",
                    "th-large",
                    "th",
                    "th-list",
                    "strikethrough",
                    "underline",
                    "magic",
                    "superscript",
                    "subscript",
                    "eraser",
                    "pagelines",
                    // Punctuation
                    "asterisk",
                    "question",
                    "info",
                    "exclamation",
                    // Emoticons
                    "smile-o",
                    "frown-o",
                    "meh-o",
                    // Math + Geometry
                    "check",
                    "times",
                    "plus",
                    "minus",
                    "crosshairs",
                    "spinner",
                    "circle",
                    "circle-o",
                    "dot-circle-o",
                    "minus-circle",
                    "times-circle",
                    "check-circle",
                    "exclamation-circle",
                    "question-circle",
                    "info-circle",
                    "plus-circle",
                    "plus-square",
                    "plus-square-o",
                    "square",
                    "square-o",
                    "h-square",
                    "share-square",
                    "share-square-o",
                    "check-square-o",
                    "times-circle-o",
                    "check-circle-o",
                    "ellipsis-h",
                    "ellipsis-v",
                    "minus-square",
                    "check-square",
                    "bullseye",
                    // Rate
                    "thumbs-o-up",
                    "thumbs-o-down",
                    "star",
                    "star-o",
                    "star-half",
                    "star-half-o",
                    "heart",
                    "heart-o",
                    "lemon-o",
                    "trophy",
                    "thumbs-up",
                    "thumbs-down",
                    // Accounts
                    "user",
                    "user-md",
                    "group",
                    "sign-in",
                    "sign-out",
                    "key",
                    "lock",
                    "unlock",
                    "unlock-alt",
                    "gear",
                    "gears",
                    "ban",
                    "female",
                    "male",
                    "comment",
                    "comments",
                    "ticket",
                    "tasks",
                    "calendar",
                    "calendar-o",
                    // Time
                    "sun-o",
                    "moon-o",
                    "clock-o",
                    // Site
                    "home",
                    "comment-o",
                    "comments-o",
                    "sitemap",
                    // File Operations
                    "upload",
                    "download",
                    "exchange",
                    "file-o",
                    "files-o",
                    "file",
                    "file-text",
                    "file-text-o",
                    "folder",
                    "folder-o",
                    "folder-open",
                    "hdd-o",
                    "cloud",
                    "cloud-download",
                    "cloud-upload",
                    "save",
                    "trash-o",
                    "print",
                    // Social Networks
                    "adn",
                    "dribbble",
                    "dropbox",
                    "facebook",
                    "facebook-square",
                    "flickr",
                    "foursquare",
                    "github",
                    "github-square",
                    "github-alt",
                    "gittip",
                    "google-plus",
                    "google-plus-square",
                    "instagram",
                    "linkedin",
                    "linkedin-square",
                    "pinterest",
                    "pinterest-square",
                    "renren",
                    "rss",
                    "rss-square",
                    "skype",
                    "stack-exchange",
                    "stack-overflow",
                    "trello",
                    "tumblr",
                    "tumblr-square",
                    "twitter",
                    "twitter-square",
                    "retweet",
                    "vimeo-square",
                    "vk",
                    "weibo",
                    "xing",
                    "xing-square",
                    "youtube",
                    "youtube-square",
                    "youtube-play",
                    // Computer
                    "desktop",
                    "laptop",
                    "tablet",
                    "mobile-phone",
                    "phone",
                    "phone-square",
                    "microphone",
                    "microphone-slash",
                    "apple",
                    "windows",
                    "android",
                    "linux",
                    "html5",
                    "css3",
                    "gamepad",
                    "keyboard-o",
                    "signal",
                    "power-off",
                    "terminal",
                    "code",
                    "code-fork",
                    "bug",
                    // Maps
                    "glass",
                    "globe",
                    "map-marker",
                    "thumb-tack",
                    "building-o",
                    "hospital-o",
                    "location-arrow",
                    "compass",
                    "road",
                    // Tools & Objects
                    "bell",
                    "book",
                    "bookmark",
                    "bookmark-o",
                    "bullhorn",
                    "camera",
                    "camera-retro",
                    "video-camera",
                    "picture-o",
                    "pencil",
                    "pencil-square",
                    "flask",
                    "briefcase",
                    "table",
                    "truck",
                    "wrench",
                    "plane",
                    "lightbulb-o",
                    "stethoscope",
                    "suitcase",
                    "bell-o",
                    "coffee",
                    "cutlery",
                    "umbrella",
                    "ambulance",
                    "medkit",
                    "fighter-jet",
                    "beer",
                    "wheelchair",
                    "gift",
                    "leaf",
                    "fire",
                    "eye",
                    "eye-slash",
                    "warning",
                    "magnet",
                    "flag",
                    "flag-o",
                    "flag-checkered",
                    "fire-extinguisher",
                    "rocket",
                    "shield",
                    "puzzle-piece",
                    "legal",
                    "dashboard",
                    "flash",
                    "bars",
                    "bar-chart-o",
                    // Sorting
                    "columns",
                    "filter",
                    "sort",
                    "sort-down",
                    "sort-up",
                    "sort-alpha-asc",
                    "sort-alpha-desc",
                    "sort-amount-asc",
                    "sort-amount-desc",
                    "sort-numeric-asc",
                    "sort-numeric-desc",
                    // e-Commerce
                    "money",
                    "certificate",
                    "credit-card",
                    "shopping-cart",
                    "euro",
                    "gbp",
                    "dollar",
                    "rupee",
                    "yen",
                    "ruble",
                    "won",
                    "bitcoin",
                    "bitbucket-square",
                    "turkish-lira",
                    "tag",
                    "tags",
                    "qrcode",
                    "barcode"
               ];
               options[1] = "fa";
          } else{
               icons = [
                    "arrow_up",
                    "arrow_down",
                    "arrow_left",
                    "arrow_right",
                    "arrow_left-up",
                    "arrow_right-up",
                    "arrow_right-down",
                    "arrow_left-down",
                    "arrow-up-down",
                    "arrow_up-down_alt",
                    "arrow_left-right_alt",
                    "arrow_left-right",
                    "arrow_expand_alt2",
                    "arrow_expand_alt",
                    "arrow_condense",
                    "arrow_expand",
                    "arrow_move",
                    "arrow_carrot-up",
                    "arrow_carrot-down",
                    "arrow_carrot-left",
                    "arrow_carrot-right",
                    "arrow_carrot-2up",
                    "arrow_carrot-2down",
                    "arrow_carrot-2left",
                    "arrow_carrot-2right",
                    "arrow_carrot-up_alt2",
                    "arrow_carrot-down_alt2",
                    "arrow_carrot-left_alt2",
                    "arrow_carrot-right_alt2",
                    "arrow_carrot-2up_alt2",
                    "arrow_carrot-2down_alt2",
                    "arrow_carrot-2left_alt2",
                    "arrow_carrot-2right_alt2",
                    "arrow_triangle-up",
                    "arrow_triangle-down",
                    "arrow_triangle-left",
                    "arrow_triangle-right",
                    "arrow_triangle-up_alt2",
                    "arrow_triangle-down_alt2",
                    "arrow_triangle-left_alt2",
                    "arrow_triangle-right_alt2",
                    "arrow_back",
                    "icon_minus-06",
                    "icon_plus",
                    "icon_close",
                    "icon_check",
                    "icon_minus_alt2",
                    "icon_plus_alt2",
                    "icon_close_alt2",
                    "icon_check_alt2",
                    "icon_zoom-out_alt",
                    "icon_zoom-in_alt",
                    "icon_search",
                    "icon_box-empty",
                    "icon_box-selected",
                    "icon_minus-box",
                    "icon_plus-box",
                    "icon_box-checked",
                    "icon_circle-empty",
                    "icon_circle-slelected",
                    "icon_stop_alt2",
                    "icon_stop",
                    "icon_pause_alt2",
                    "icon_pause",
                    "icon_menu",
                    "icon_menu-square_alt2",
                    "icon_menu-circle_alt2",
                    "icon_ul",
                    "icon_ol",
                    "icon_adjust-horiz",
                    "icon_adjust-vert",
                    "icon_document_alt",
                    "icon_documents_alt",
                    "icon_pencil",
                    "icon_pencil-edit_alt",
                    "icon_pencil-edit",
                    "icon_folder-alt",
                    "icon_folder-open_alt",
                    "icon_folder-add_alt",
                    "icon_info_alt",
                    "icon_error-oct_alt",
                    "icon_error-circle_alt",
                    "icon_error-triangle_alt",
                    "icon_question_alt2",
                    "icon_question",
                    "icon_comment_alt",
                    "icon_chat_alt",
                    "icon_vol-mute_alt",
                    "icon_volume-low_alt",
                    "icon_volume-high_alt",
                    "icon_quotations",
                    "icon_quotations_alt2",
                    "icon_clock_alt",
                    "icon_lock_alt",
                    "icon_lock-open_alt",
                    "icon_key_alt",
                    "icon_cloud_alt",
                    "icon_cloud-upload_alt",
                    "icon_cloud-download_alt",
                    "icon_image",
                    "icon_images",
                    "icon_lightbulb_alt",
                    "icon_gift_alt",
                    "icon_house_alt",
                    "icon_genius",
                    "icon_mobile",
                    "icon_tablet",
                    "icon_laptop",
                    "icon_desktop",
                    "icon_camera_alt",
                    "icon_mail_alt",
                    "icon_cone_alt",
                    "icon_ribbon_alt",
                    "icon_bag_alt",
                    "icon_creditcard",
                    "icon_cart_alt",
                    "icon_paperclip",
                    "icon_tag_alt",
                    "icon_tags_alt",
                    "icon_trash_alt",
                    "icon_cursor_alt",
                    "icon_mic_alt",
                    "icon_compass_alt",
                    "icon_pin_alt",
                    "icon_pushpin_alt",
                    "icon_map_alt",
                    "icon_drawer_alt",
                    "icon_toolbox_alt",
                    "icon_book_alt",
                    "icon_calendar",
                    "icon_film",
                    "icon_table",
                    "icon_contacts_alt",
                    "icon_headphones",
                    "icon_lifesaver",
                    "icon_piechart",
                    "icon_refresh",
                    "icon_link_alt",
                    "icon_link",
                    "icon_loading",
                    "icon_blocked",
                    "icon_archive_alt",
                    "icon_heart_alt",
                    "icon_star_alt",
                    "icon_star-half_alt",
                    "icon_star",
                    "icon_star-half",
                    "icon_tools",
                    "icon_tool",
                    "icon_cog",
                    "icon_cogs",
                    "arrow_up_alt",
                    "arrow_down_alt",
                    "arrow_left_alt",
                    "arrow_right_alt",
                    "arrow_left-up_alt",
                    "arrow_right-up_alt",
                    "arrow_right-down_alt",
                    "arrow_left-down_alt",
                    "arrow_condense_alt",
                    "arrow_expand_alt3",
                    "arrow_carrot_up_alt",
                    "arrow_carrot-down_alt",
                    "arrow_carrot-left_alt",
                    "arrow_carrot-right_alt",
                    "arrow_carrot-2up_alt",
                    "arrow_carrot-2dwnn_alt",
                    "arrow_carrot-2left_alt",
                    "arrow_carrot-2right_alt",
                    "arrow_triangle-up_alt",
                    "arrow_triangle-down_alt",
                    "arrow_triangle-left_alt",
                    "arrow_triangle-right_alt",
                    "icon_minus_alt",
                    "icon_plus_alt",
                    "icon_close_alt",
                    "icon_check_alt",
                    "icon_zoom-out",
                    "icon_zoom-in",
                    "icon_stop_alt",
                    "icon_menu-square_alt",
                    "icon_menu-circle_alt",
                    "icon_document",
                    "icon_documents",
                    "icon_pencil_alt",
                    "icon_folder",
                    "icon_folder-open",
                    "icon_folder-add",
                    "icon_folder_upload",
                    "icon_folder_download",
                    "icon_info",
                    "icon_error-circle",
                    "icon_error-oct",
                    "icon_error-triangle",
                    "icon_question_alt",
                    "icon_comment",
                    "icon_chat",
                    "icon_vol-mute",
                    "icon_volume-low",
                    "icon_volume-high",
                    "icon_quotations_alt",
                    "icon_clock",
                    "icon_lock",
                    "icon_lock-open",
                    "icon_key",
                    "icon_cloud",
                    "icon_cloud-upload",
                    "icon_cloud-download",
                    "icon_lightbulb",
                    "icon_gift",
                    "icon_house",
                    "icon_camera",
                    "icon_mail",
                    "icon_cone",
                    "icon_ribbon",
                    "icon_bag",
                    "icon_cart",
                    "icon_tag",
                    "icon_tags",
                    "icon_trash",
                    "icon_cursor",
                    "icon_mic",
                    "icon_compass",
                    "icon_pin",
                    "icon_pushpin",
                    "icon_map",
                    "icon_drawer",
                    "icon_toolbox",
                    "icon_book",
                    "icon_contacts",
                    "icon_archive",
                    "icon_heart",
                    "icon_profile",
                    "icon_group",
                    "icon_grid-2x2",
                    "icon_grid-3x3",
                    "icon_music",
                    "icon_pause_alt",
                    "icon_phone",
                    "icon_upload",
                    "icon_download",
                    "social_facebook",
                    "social_twitter",
                    "social_pinterest",
                    "social_googleplus",
                    "social_tumblr",
                    "social_tumbleupon",
                    "social_wordpress",
                    "social_instagram",
                    "social_dribbble",
                    "social_vimeo",
                    "social_linkedin",
                    "social_rss",
                    "social_deviantart",
                    "social_share",
                    "social_myspace",
                    "social_skype",
                    "social_youtube",
                    "social_picassa",
                    "social_googledrive",
                    "social_flickr",
                    "social_blogger",
                    "social_spotify",
                    "social_delicious",
                    "social_facebook_circle",
                    "social_facebook_circle",
                    "social_twitter_circle",
                    "social_pinterest_circle",
                    "social_googleplus_circle",
                    "social_tumblr_circle",
                    "social_stumbleupon_circle",
                    "social_wordpress_circle",
                    "social_instagram_circle",
                    "social_dribbble_circle",
                    "social_vimeo_circle",
                    "social_linkedin_circle",
                    "social_rss_circle",
                    "social_deviantart_circle",
                    "social_share_circle",
                    "social_myspace_circle",
                    "social_skype_circle",
                    "social_youtube_circle",
                    "social_picassa_circle",
                    "social_googledrive_alt2",
                    "social_flickr_circle",
                    "social_blogger_circle",
                    "social_spotify_circle",
                    "social_delicious_circle",
                    "social_facebook_square",
                    "social_twitter_square",
                    "social_pinterest_square",
                    "social_googleplus_square",
                    "social_tumblr_square",
                    "social_stumbleupon_square",
                    "social_wordpress_square",
                    "social_instagram_square",
                    "social_dribbble_square",
                    "social_vimeo_square",
                    "social_linkedin_square",
                    "social_rss_square",
                    "social_deviantart_square",
                    "social_share_square",
                    "social_myspace_square",
                    "social_skype_square",
                    "social_youtube_square",
                    "social_picassa_square",
                    "social_googledrive_square",
                    "social_flickr_square",
                    "social_blogger_square",
                    "social_spotify_square",
                    "social_delicious_square",
                    "icon_printer",
                    "icon_calulator",
                    "icon_building",
                    "icon_floppy",
                    "icon_drive",
                    "icon_search-2",
                    "icon_id",
                    "icon_id-2",
                    "icon_puzzle",
                    "icon_like",
                    "icon_dislike",
                    "icon_mug",
                    "icon_currency",
                    "icon_wallet",
                    "icon_pens",
                    "icon_easel",
                    "icon_flowchart",
                    "icon_datareport",
                    "icon_briefcase",
                    "icon_shield",
                    "icon_percent",
                    "icon_globe",
                    "icon_globe-2",
                    "icon_target",
                    "icon_hourglass",
                    "icon_balance",
                    "icon_rook",
                    "icon_printer-alt",
                    "icon_calculator_alt",
                    "icon_building_alt",
                    "icon_floppy_alt",
                    "icon_drive_alt",
                    "icon_search_alt",
                    "icon_id_alt",
                    "icon_id-2_alt",
                    "icon_puzzle_alt",
                    "icon_like_alt",
                    "icon_dislike_alt",
                    "icon_mug_alt",
                    "icon_currency_alt",
                    "icon_wallet_alt",
                    "icon_pens_alt",
                    "icon_easel_alt",
                    "icon_flowchart_alt",
                    "icon_datareport_alt",
                    "icon_briefcase_alt",
                    "icon_shield_alt",
                    "icon_percent_alt",
                    "icon_globe_alt",
                    "icon_clipboard"
               ];
               options[1] = "";
          } 
        };
        font_set();

        function build_list($popup, $button, clear) {
            $list = $popup.find('.icon-picker-list');
            if (clear == 1) {
                $list.empty(); // clear list //
            }
            if(options[0] == 'eleganticon'){
                 for(var i in icons){
                     $list.append('<li data-icon="' + icons[i] + '"><a href="#" title="' + icons[i] + '"><span class="' + icons[i] + '"></span></a></li>');
                 }
            }else{
               if(options[0] == 'linearicons'){
                    for (var i in icons) {
                         $list.append('<li data-icon="' + icons[i] + '"><a href="#" title="' + icons[i] + '"><span class="' + options[1] + '-' + icons[i] + '"></span></a></li>');
                    }
               }else{
                    for (var i in icons) {
                         $list.append('<li data-icon="' + icons[i] + '"><a href="#" title="' + icons[i] + '"><span class="' + options[0] + ' ' + options[1] + '-' + icons[i] + '"></span></a></li>');
                    }
               }
            }
            
            ;
            $('a', $list).click(function (e) {
                    e.preventDefault();
                    if(options[0] === 'eleganticon'){
                         var title = $(this).attr("title");
                         $target.val(title);
                         $button.removeClass().addClass("button icon-picker "  + title);
                         removePopup();
                    }else{
                          var title = $(this).attr("title");
                          $target.val(options[0] + "|" + options[1] + "-" + title);
                          $button.removeClass().addClass("button icon-picker " + options[0] + " " + options[1] + "-" + title);
                          removePopup();
                    }
               });
          };

        function removePopup() {
            $(".icon-picker-container").remove();
        }


        $button = $('.icon-picker');
        $button.each(function () {
            $(this).on('click.iconPicker', function () {
                createPopup($(this));
            });
        });


        function createPopup($button) {
            $target = $($button.data('target'));
            $popup = $('<div class="icon-picker-container"> \
						<div class="icon-picker-control" /> \
						<ul class="icon-picker-list" /> \
					</div>')
                .css({
                    'top': $button.offset().top,
                    'left': $button.offset().left
                });
            build_list($popup, $button, 0);
            var $control = $popup.find('.icon-picker-control');
            $control.html('<p>Select Font: <select><option value="linearicons">Linearicons</option><option value="fa">Font Awesome</option><option value="eleganticon">Eleganticons</option></select></p>' +
                '<a data-direction="back" href="#"><span class="linearicons-arrow-left"></span></a> ' +
                '<input type="text" class="" placeholder="Search" />' +
                '<a data-direction="forward" href="#"><span class="linearicons-arrow-right"></span></a>' +
                '');

            $('select', $control).on('change', function (e) {
                e.preventDefault();
                if (this.value != options[0]) {
                    options[0] = this.value;
                    font_set();
                    build_list($popup, $button, 1);
                }
                ;
            });

            $('a', $control).click(function (e) {
                e.preventDefault();
                if ($(this).data('direction') === 'back') {
                    //move last 25 elements to front
                    $('li:gt(' + (icons.length - 26) + ')', $list).each(function () {
                        $(this).prependTo($list);
                    });
                } else {
                    //move first 25 elements to the end
                    $('li:lt(25)', $list).each(function () {
                        $(this).appendTo($list);
                    });
                }
            });

            $popup.appendTo('body').show();

            $('input', $control).on('keyup', function (e) {
                var search = $(this).val();
                if (search === '') {
                    //show all again
                    $('li:lt(25)', $list).show();
                } else {
                    $('li', $list).each(function () {
                        if ($(this).data('icon').toString().toLowerCase().indexOf(search.toLowerCase()) !== -1) {
                            $(this).show();
                        } else {
                            $(this).hide();
                        }
                    });
                }
            });


            $(document).mouseup(function (e) {
                if (!$popup.is(e.target) && $popup.has(e.target).length === 0) {
                    removePopup();
                }
            });
        }
    }


    $(function () {
        $('.icon-picker').iconPicker();
    });

}(jQuery));
