(function ($) {
    "use strict";
    var NooAdmin = {
        init: function(){
            NooAdmin.nooWPmedia();
            NooAdmin.parentControl();
            NooAdmin.nooCustomType();
            NooAdmin.nooButonAjax();
            NooAdmin.nooCustomJs();
        },
        nooWPmedia: function(){
            // image upload
            $(document).on('click', '.noo-wpmedia', function (e) {
                e.preventDefault();
                var $this = $(this);
                var custom_uploader = wp.media({
                    title: nooAdminJS.title_wpmedia,
                    button: {
                        text: nooAdminJS.button_wpmedia
                    },
                    multiple: false  // Set this to true to allow multiple files to be selected
                })
                    .on('select', function () {
                        var attachment = custom_uploader.state().get('selection').first().toJSON();
                        $this.val(attachment.id).change();

                    })
                    .open();
            });
        },
        parentControl: function(){
            $('.parent-control').change(function () {
                var $this = $(this);
                var parent_active = false;
                var parent_type = $this.attr('type');
                var parent_id = $this.attr('id');
                if (parent_type == 'text') {
                    parent_active = ($this.val() !== '');
                } else if (parent_type == 'checkbox') {
                    parent_active = ($this.is(':checked'));
                }

                if (parent_active) {
                    $('.' + parent_id + '-child').show().find('input.parent-control').change();
                } else {
                    $('.' + parent_id + '-child').hide().find('input.parent-control').change();
                }
            });
        },
        nooCustomType: function(){
            $('.noo-slider').each(function () {
                var $this = $(this);

                var $slider = $('<div>', {id: $this.attr("id") + "-slider"}).insertAfter($this);
                $slider.slider(
                    {
                        range: "min",
                        value: $this.val() || $this.data('min') || 0,
                        min: $this.data('min') || 0,
                        max: $this.data('max') || 100,
                        step: $this.data('step') || 1,
                        slide: function (event, ui) {
                            $this.val(ui.value).attr('value', ui.value).change();
                        }
                    }
                );

                $this.change(function () {
                    $slider.slider("option", "value", $this.val());
                });
            });
            if($(".noo-select2-ajax").length){
                $(".noo-select2-ajax").select2({
                    placeholder: "Select ",
                    allowClear: true,
                    ajax: {
                        url: ajaxurl,
                        data: function (params) {
                            var query = {
                                search: params.term,
                                action: $(this).data('action')
                            }
                            return query;
                        },
                        processResults: function (data) {
                            return {
                                results: data.results
                            };
                        }
                    }
                });
            }
        },
        nooButonAjax: function(){
            $('.noo-ajax-btn').on('click', function (e) {
                e.preventDefault();

                var $this = $(this);
                var action = $this.data('action');
                if (action) {
                    $.ajax({
                        url: nooAdminJS.ajax_url,
                        dataType: 'json',
                        type: 'POST',
                        data: $this.data(),
                    })
                        .done(function (data) {
                            if (typeof data == 'object' && data != null) {
                                // _this.find('.noo-ajax-result').show().html(data.message);
                                if (data.success === true) {
                                    if (data.redirect) {
                                        document.location.href = data.redirect;

                                        return false;
                                    }
                                }
                            }

                            document.location.reload();
                        })
                        .fail(function () {
                            document.location.reload();
                        })
                        .always(function () {
                            // console.log("complete");
                        });
                }

                return false;
            });

            $('select.noo-admin-chosen').chosen({
                allow_single_deselect: true,
            });
        },
        nooCustomJs: function(){
            var email_tab = $('.email-setting a');
            var email_tab_content = $('.email-setting.tab-content');
            email_tab.each(function () {
                $(this).on('click', function () {
                    var tab_active = $(this).attr('data-tab');
                    email_tab.removeClass('nav-tab-active');
                    $(this).addClass('nav-tab-active');
                    email_tab_content.hide();
                    $("#" + tab_active).show();
                    return false;
                });
            });

            /*------ Job Package-----*/

            $("#_job_posting_unlimit").change(function () {
                if (this.checked) {
                    $('#_job_posting_limit').prop('disabled', true);
                } else {
                    $('#_job_posting_limit').prop('disabled', false);
                }
            });
            $("#_job_addon_posting_unlimit").change(function () {
                if (this.checked) {
                    $('#_job_addon_posting_limit').prop('disabled', true);
                } else {
                    $('#_job_addon_posting_limit').prop('disabled', false);
                }
            });
            $("#_can_view_resume").change(function() {
                if(this.checked) {
                    $('#_resume_view_limit').prop('disabled', false);
                } else {
                    $('#_resume_view_limit').prop('disabled', true);
                }
            });
            $("#_can_view_candidate_contact").change(function () {
                if (this.checked) {
                    $('#_view_candidate_contact_limit').prop('disabled', false);
                } else {
                    $('#_view_candidate_contact_limit').prop('disabled', true);
                }
            });

            /*--------- Resume Package -------*/

            if($("#_resume_posting_unlimit")){
                $("#_resume_posting_unlimit").change(function() {
                    if(this.checked) {
                        $('#_resume_posting_limit').prop('disabled', true);
                    } else {
                        $('#_resume_posting_limit').prop('disabled', false);
                    }
                });
            }
            if($("#_can_apply_job")){
                $("#_can_apply_job").change(function() {
                    if(this.checked) {
                        $('#_job_apply_limit').prop('disabled', false);
                    } else {
                        $('#_job_apply_limit').prop('disabled', true);
                    }
                });
            }
            if($("#_can_view_job")){
                $("#_can_view_job").change(function() {
                    if(this.checked) {
                        $('#_job_view_limit').prop('disabled', false);
                    } else {
                        $('#_job_view_limit').prop('disabled', true);
                    }
                });
            }

            /*------ custom field "Select Social Network"---------*/

            if($('.social_list_field').length > 0){
                var placeholder = $('.social_list_field').data('placeholder');
                $("select.social_list_field").chosen({
                    placeholder_text_multiple: placeholder
                }).change(function (e, params) {
                    var $this = $(this);
                    var values = $(this).siblings('input').val();
                    values = values !== "" ? values.split(',') : [];

                    if (typeof params.deselected !== "undefined") {
                        values = $.grep(values, function (value) {
                            return value != params.deselected;
                        });
                    } else if (typeof params.selected !== "undefined") {
                        values.push(params.selected);
                    }

                    $(this).siblings('input').val(values.join());
                });
            }
            /*-------- Resume custom field setting -------------*/

            if($('.resume_filter_list_field').length > 0){
                var placeholder = $('.resume_filter_list_field').data('placeholder');
                $("select.resume_filter_list_field").chosen({
                    placeholder_text_multiple: ""
                }).change(function (e, params) {
                    var $this = $(this);
                    var values = $(this).siblings('input').val();
                    values = values !== "" ? values.split(',') : [];

                    if (typeof params.deselected !== "undefined") {
                        values = $.grep(values, function (value) {
                            return value != params.deselected;
                        });
                    } else if (typeof params.selected !== "undefined") {
                        values.push(params.selected);
                    }

                    $(this).siblings('input').val(values.join());
                });
            }
            if($('#resume-package-cf-enabled')){
                $('#resume-package-cf-enabled').change(function(event) {
                    if( $(this).is(':checked') ) {
                        $('.resume-package-cf').show();
                    } else {
                        $('.resume-package-cf').hide();
                    }
                }).change();
            }

            if($('#job-package-resume-cf-enabled')){
                $('#job-package-resume-cf-enabled').change(function(event) {
                    if( $(this).is(':checked') ) {
                        $('.job-package-resume-cf').show();
                    } else {
                        $('.job-package-resume-cf').hide();
                    }
                }).change();
            }
            /*-------- Company Custom Field Page --------------*/
            if($('#job-package-cf-enabled')){
                $('#job-package-cf-enabled').change(function(event) {
                    if( $(this).is(':checked') ) {
                        $('.job-package-cf').show();
                    } else {
                        $('.job-package-cf').hide();
                    }
                }).change();
            }
            
            /*-------- Company Custom Field Page --------------*/
            if($('#form-register-cf-enabled')){
                $('#form-register-cf-enabled').change(function(event) {
                    if( $(this).is(':checked') ) {
                        $('.form-register-cf').show();
                    } else {
                        $('.form-register-cf').hide();
                    }
                }).change();
            }

            /*----- Job Message Setting --------*/

            if($('#enable_fep')){
                $('#enable_fep').change(function (event) {
                    var $input = $(this);
                    if ($input.prop("checked")) {
                        $('.enable_fep').show().find(':input').change();
                    } else {
                        $('.enable_fep').hide().find(':input').change();
                    }
                }).change();
            }
            if($("#select_type")){
                $("#select_type").change(function () {
                    $("#select_type option:selected").each(function () {
                        $('#indeed_type').val($(this).text());
                    });
                }).change();
            }
            if($("#select_show_job")){
                $("#select_show_job").change(function () {
                    var $this = $(this);
                    var opt   = $this.find('option:selected').val();
                    if ($this.is(':visible') && opt === 'default') {
                        $('.show_job').show();
                    } else {
                        $('.show_job').hide();
                    }
                }).change();
            }

            /*--------- Member Setting (Social Login)---------------*/
            if($('#login_using_social').length > 0){
                if ($('#login_using_social').is(':checked')) {
                    $('.item_api').show();
                } else {
                    $('.item_api').hide();
                }
                $('#login_using_social').change(function (event) {
                    if ($('#login_using_social').is(':checked')) {
                        $('.item_api').show();
                    } else {
                        $('.item_api').hide();
                    }
                });
            }

            /*--------- Member Setting (Social Login)---------------*/
            if($('#change_dashboard_url').length > 0){
                if ($('#change_dashboard_url').is(':checked')) {
                    $('.item_dashboard').show();
                } else {
                    $('.item_dashboard').hide();
                }
                $('#change_dashboard_url').change(function (event) {
                    if ($('#change_dashboard_url').is(':checked')) {
                        $('.item_dashboard').show();
                    } else {
                        $('.item_dashboard').hide();
                    }
                });
            }
            /*-------------- Location Setting Page ---------------*/

            if($('input[name="jm_location[map_type]"]')){
                var JM_Box_Map_Type_Input = $('input[name="jm_location[map_type]"]');

                var map_type = JM_Box_Map_Type_Input.val();
                $('.location_map_type').hide();
                $('.location_map_type.type_'+map_type).show();

                JM_Box_Map_Type_Input.change(function() {
                    var map_type = $(this).val();
                    $('.location_map_type').hide();
                    $('.location_map_type.type_'+map_type).show();
                });
                
                var checked = $( "input:checked" ).val();
                $('.location_map_type').hide();
                $('.location_map_type.type_'+checked).show();
                if($( 'select.jm-setting-chosen' ).length > 0){
                    $( 'select.jm-setting-chosen' ).chosen({
                        allow_single_deselect: true,
                        width: '240px'
                    });
                }
            }

            $('input[name="jm_location[enable_auto_complete]"]').change(function(event) {
                var $input = $( this );
                if ( $input.is( ":checked" ) ) {
                    $('.enable_auto_complete-child').show();
                } else {
                    $('.enable_auto_complete-child').hide();
                }
            });

            /*------------ Export application ------------*/

            if($('#export_application').length > 0){
                $('#export_application').insertAfter('#post-query-submit');
            }

            /*---------- Export post --------*/

            if($('#export_all_posts').length > 0){
                $('#export_all_posts').insertAfter('#post-query-submit');
            }
            /*--------- Change author override ------------*/

            if ($('#post_author_override')) {

                var author_el   = $('#post_author_override');

                author_el.change(function () {
                    if (author_el.val() === "") {
                        $(".post_title").show();
                        $("._candidate_email").show();
                    } else {
                        $(".post_title").hide();
                        $("._candidate_email").hide();
                    }
                }).change();
            }
            /* ------- Application Setting Page ---------*/
            $("input[name='noo_job_linkedin[application_attachment]']").on('click',function () {
                if ($(this).is(':checked')) {
                    if ($(this).val() === 'disabled') {
                        $('.application_attachment-enabled').hide();
                    } else {
                        $('.application_attachment-enabled').show();
                    }
                }
            });
            /*--------- Custom js For User Page ------------*/
            if(document.getElementById('your-profile')){
                var setOption = function() {
                    var $roleEl = $("#role");
                    var $selectedRole = $roleEl.prop('nodeName') === 'select' ? $("#role option:selected").val() : $("#role").val();

                    if( $selectedRole !== 'candidate' ) {
                        $("#candidate_profile").hide();
                    } else {
                        $("#candidate_profile").show();
                    }
                    if( ( $selectedRole !== 'employer' ) && ( $selectedRole !== 'administrator' ) ) {
                        $("#employer_profile").hide();
                    } else {
                        $("#employer_profile").show();
                    }
                };
                setOption();

                $("#role").change( setOption );

                // Uploading files
                var file_frame;

                $('.additional-user-image').on('click', function( event ){

                    event.preventDefault();

                    var $this = $(this);

                    // If the media frame already exists, reopen it.
                    if ( file_frame ) {
                        file_frame.open();
                        return;
                    }

                    // Create the media frame.
                    file_frame = wp.media.frames.file_frame = wp.media({
                        title: $this.data( 'uploader_title' ),
                        button: {
                            text: $this.data( 'uploader_button_text' ),
                        },
                        multiple: false  // Set to true to allow multiple files to be selected
                    });

                    // When an image is selected, run a callback.
                    file_frame.on( 'select', function() {
                        // We set multiple to false so only get one image from the uploader
                        var attachment = file_frame.state().get('selection').first().toJSON();

                        // Do something with attachment.id and/or attachment.url here
                        $this.siblings('img').attr('src', attachment.url);
                        $this.siblings('input#profile_image').val(attachment.id);
                    });

                    // Finally, open the modal
                    file_frame.open();
                });
            }
            /*-------- Disable Enter keypress when post job ----------*/
            if(document.getElementById('post_job_form')){
                var keyCode = e.keyCode || e.which;
                if (keyCode === 13) {
                    e.preventDefault();
                    return false;
                }
            }
            /*----------- Icon Picker in (Admin Job Edit Page) -----------*/
            if($('.noo-iconpicker-input').length > 0){
                $('.noo-iconpicker-input').iconpicker({
                    placement: 'top'
                });
            }
            /*---------- Custom Color Job Type Edit Page ------------*/
            if($('#noo_job_type_color').length > 0){
                $('#noo_job_type_color').wpColorPicker();
            }
            
        }
    }
    /* Need run before document */
    $('.pricing').addClass( 'show_if_resume_package' );
    $('.pricing').addClass('show_if_job_package');
    $('.pricing').addClass('show_if_job_package_addon');
    $(document).ready(function () {
        NooAdmin.init();
    });
})(jQuery);


