/**
 * NOO Meta Boxes Package.
 *
 * Javascript used in meta-boxes for Post, Page and Portfolio.
 *
 * @package    NOO Framework
 * @subpackage NOO Meta Boxes
 * @version    1.0.0
 * @author     Kan Nguyen <khanhnq@nootheme.com>
 * @copyright  Copyright (c) 2014, NooTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://nootheme.com
 */
// =============================================================================

// Post Format
(function ($) {
    "use strict";
	$( window ).on( 'load', function () {
		if ($('.editor-post-format').length > 0) {
			// Add class for the child boxes

			// Gallery
			$('#_noo_wp_post_meta_box_gallery').addClass('post-formats post-format-gallery');
			$('label[for="_noo_wp_post_meta_box_gallery-hide"]').addClass('post-formats post-format-gallery');
			// Video
			$('#_noo_wp_post_meta_box_video').addClass('post-formats post-format-video');
			$('label[for="_noo_wp_post_meta_box_video-hide"]').addClass('post-formats post-format-video');
			
			// Audio
			$('#_noo_wp_post_meta_box_audio').addClass('post-formats post-format-audio');
			$('label[for="_noo_wp_post_meta_box_audio-hide"]').addClass('post-formats post-format-audio');

			// Show the active format type
			var checkedElement = $('[id^="post-format-selector-"]').val();
			$('.post-formats').hide();
			$('.post-format-' + checkedElement).show();

			// When click, display the according format type.
			$('[id^="post-format-selector-"]').change(function(){
				var $this = $(this);
				var val = $this.val();
				$('.post-formats').hide();
				$('.post-format-' + val).show();
			});
		}
	} );

	// Page Template
	$( document ).ready( function ( $ ) {
		if ($('#page_template').length > 0) {
			// Add class for the child boxes

			// Sidebar
			$('#_noo_wp_page_meta_box_sidebar').addClass('page-templates page-template-page-left-sidebar_php page-template-page-right-sidebar_php');
			$('label[for="_noo_wp_page_meta_box_sidebar-hide"]').addClass('page-templates page-template-page-left-sidebar_php page-template-page-right-sidebar_php');

			$('.noo-form-group._noo_wp_page_enable_one_page').addClass('page-templates page-template-default page-template-page-full-width_php page-template-page-left-sidebar_php page-template-page-right-sidebar_php');

			// Show the active format type
			var selectedVal = $('#page_template option:selected').val();
			selectedVal = selectedVal.replace(".", "_");
			$('.page-templates').hide();
			$('.page-template-' + selectedVal).show();

			// When choose template with sidebar, display the Sidebar meta-box
			$('#page_template').change(function () {
				var selectedVal = $('#page_template option:selected').val();
				selectedVal = selectedVal.replace(".", "_");
				$('.page-templates').hide();
				$('.page-template-' + selectedVal).show();
			});
		}
	} );
})(jQuery);