<?php

if( !function_exists( 'jm_get_location_setting' ) ) :
	function jm_get_location_setting($id = null ,$default = null){
		return jm_get_setting('jm_location', $id, $default);
	}
endif;

if( !function_exists( 'jm_location_admin_init' ) ) :
	function jm_location_admin_init(){
		register_setting('jm_location','jm_location');
		add_action('noo_job_setting_location', 'jm_location_settings_form');
	}
	
	add_filter('admin_init', 'jm_location_admin_init' );
endif;

if( !function_exists( 'jm_location_settings_tabs' ) ) :
	function jm_location_settings_tabs( $tabs = array() ) {
		$location_tab = array( 'location' => esc_html__('Location', 'jmcore') );
		return array_merge($tabs, $location_tab);
	}
	
	add_filter('noo_job_settings_tabs_array', 'jm_location_settings_tabs', 11 );
endif;

if( !function_exists( 'jm_location_settings_form' ) ) :
	function jm_location_settings_form(){
		wp_enqueue_style('vendor-chosen-css');
		wp_enqueue_script('vendor-chosen-js');
		?>
		<?php settings_fields('jm_location'); ?>
		<?php
			// setting value
			$location_mode = jm_get_location_setting( 'location_mode', 'taxonomy' );
			$allow_user_input = jm_get_location_setting( 'allow_user_input', 1 );
			$enable_auto_complete = jm_get_location_setting( 'enable_auto_complete', 1 );
			$country_restriction = jm_get_location_setting( 'country_restriction', '' );
			$location_type = jm_get_location_setting( 'location_type', '(regions)' );
			$map_type = jm_get_location_setting('map_type','google');
            $unit_type = jm_get_location_setting('unit_type','kilometer');
		?>
		<h3><?php echo esc_html__('Map Location Settings', 'jmcore')?></h3>
		<table class="form-table" cellpadding="0">
			<tbody>
				<tr>
					<th>
						<?php esc_html_e('Maps Type', 'jmcore')?>
					</th>
					<td>
						<fieldset class="box-map-type">
							<label>
								<input type="radio" <?php checked( $map_type, 'google' ); ?> id="jm-item-google" name="jm_location[map_type]" value="google"><?php esc_html_e('Google Map', 'jmcore'); ?>
							</label><br/>
							<label>
								<input type="radio" <?php checked( $map_type, 'bing' ); ?> id="jm-item-bing" name="jm_location[map_type]" value="bing"><?php esc_html_e('Bing Map', 'jmcore'); ?>
							</label><br/>
						</fieldset>
					</td>
				</tr>
			</tbody>
		</table>

        <table class="form-table" cellpadding="0">
            <tbody>
            <tr>
                <th>
                    <?php esc_html_e('Unit of length of linear measure', 'jmcore') ?>
                </th>
                <td>
                    <fieldset class="box-map-type">
                        <label>
                            <input type="radio" <?php checked( $unit_type, 'km' ); ?> id="jm-item-kilometer" name="jm_location[unit_type]" value="km"><?php esc_html_e('Kilometer', 'jmcore'); ?>
                        </label><br/>
                        <label>
                            <input type="radio" <?php checked( $unit_type, 'mi' ); ?> id="jm-item-mile" name="jm_location[unit_type]" value="mi"><?php esc_html_e('Miles', 'jmcore'); ?>
                        </label><br/>
                    </fieldset>
                </td>
            </tr>
            </tbody>
        </table>
        <table class="form-table" cellpadding="0">
            <tbody>
            <tr>
                <th>
                    <?php esc_html_e('Starting Point Latitude', 'jmcore')?>
                </th>
                <td>
                    <input type="text" class="regular-text" value="<?php echo jm_get_location_setting('latitude','')?>" name="jm_location[latitude]">
                </td>
            </tr>
            <tr>
                <th>
                    <?php esc_html_e('Starting Point Longitude', 'jmcore')?>
                </th>
                <td>
                    <input type="text" class="regular-text" value="<?php echo jm_get_location_setting('longitude','')?>" name="jm_location[longitude]">
                </td>
            </tr>
            <tr>
                <th>
                    <?php esc_html_e('Default Zoom Level', 'jmcore')?>
                </th>
                <td>
                    <input type="text" class="regular-text" value="<?php echo jm_get_location_setting('zoom','')?>" name="jm_location[zoom]">
                </td>
            </tr>
            </tbody>
        </table>
		<table class="form-table location_map_type type_google" cellspacing="0">
			<tbody>
				<tr>
					<th>
						<?php esc_html_e('Google Maps API Key', 'jmcore')?>
					</th>
					<td>
						<input type="text" class="regular-text" value="<?php echo jm_get_location_setting('google_api','')?>" name="jm_location[google_api]">
						<p>
							<?php echo nootheme_kses(__('<b>Google</b> requires that you register an API Key to display <b>Maps</b> on from your website.', 'jmcore' )); ?><br/>
							<?php echo esc_html__('To know how to create this application,', 'jmcore'); ?> <a href="javascript:void(0)" onClick="jQuery('#google-map-help').toggle();return false;"><?php esc_html_e('click here and follow the steps.', 'jmcore'); ?></a>
						</p>
						<div id="google-map-help" class="noo-setting-help" style="display: none; max-width: 1200px;" >
							<hr/>
							<br/>
							<?php echo nootheme_kses(__('To register a new <b> Google Map API Key</b>, follow the steps', 'jmcore')); ?>:
							<br/>
							<?php $setupsteps = 0; ?>
							<p><b><?php echo ++$setupsteps; ?></b>. <?php esc_html_e( 'Go to', 'jmcore'); ?>&nbsp;<a href="https://console.cloud.google.com/google/maps-apis/overview" target ="_blank">
								<?php echo esc_html__('Google Cloud Platform Console.', 'jmcore'); ?></a>. <?php echo esc_html__('Login to your Google account if needed', 'jmcore'); ?>.</p>
							<p><b><?php echo ++$setupsteps; ?></b>. <?php esc_html_e('Create or select a project.', 'jmcore') ?>.</p>
							<p><b><?php echo ++$setupsteps; ?></b>. <?php echo nootheme_kses(__('Click <b>Continue</b> to enable the API and any related services.', 'jmcore')) ?>.</p>
							<p><b><?php echo ++$setupsteps; ?></b>. <?php echo nootheme_kses(__('On the <b>Credentials</b> page, get an <b>API key</b>.<br />
									Note: If you have an existing unrestricted API key, or a key with browser restrictions, you may use that key.', 'jmcore')) ?></p> 
							<p><b><?php echo ++$setupsteps; ?></b>. <?php echo nootheme_kses(__('From the dialog displaying the API key, select <b>Restrict key</b> to set a browser restriction on the API key.', 'jmcore')) ?>.</p>
							<p><b><?php echo ++$setupsteps; ?></b>. <?php echo nootheme_kses(__('In the <b>Key restriction</b> section, select <b>HTTP referrers (web sites)</b>, then follow the on-screen instructions to set referrers.', 'jmcore')) ?>.</p> 

							<p><b><?php echo ++$setupsteps; ?></b>. <?php echo nootheme_kses(__('(Optional) Enable billing. See <a href="https://developers.google.com/maps/documentation/javascript/usage-and-billing" target="_blank">Usage Limits</a> for more information.', 'jmcore')) ?>.</p> 

							<p>
								<b><?php esc_html_e("And that's it!", 'jmcore') ?></b> 
								<br />
								<?php echo esc_html__( 'For more reference, you can see: ', 'jmcore' ); ?><a href="https://developers.google.com/maps/documentation/javascript/get-api-key" target="_blank"><?php echo esc_html__('Official Document', 'jmcore') ?></a>, <a href="http://googlegeodevelopers.blogspot.com.au/2016/06/building-for-scale-updates-to-google.html" target="_blank"><?php echo esc_html__('Google Blog', 'jmcore') ?></a>
							</p> 
							<div style="margin-bottom:12px;" class="noo-thumb-wrapper">
								<a href="https://i.imgur.com/k4GIeu3.png" target="_blank"><img src="https://i.imgur.com/k4GIeu3.png"></a>
								<a href="https://i.imgur.com/kSIqByU.png" target="_blank"><img src="https://i.imgur.com/kSIqByU.png"></a>
							</div>
							<br/>
							<hr/>
						</div>
					</td>
				</tr>
				<tr>
					<th>
						<?php esc_html_e('Enable Google Auto-Complete', 'jmcore')?>
					</th>
					<td>
						<!-- <input type="hidden" name="jm_location[enable_auto_complete]" value="0"> -->
						<label><input type="checkbox" <?php checked( $enable_auto_complete, true ); ?> name="jm_location[enable_auto_complete]" value="1"><?php esc_html_e('Using Auto-Complete from Google Map for your location input', 'jmcore'); ?></label>
					</td>
				</tr>
				<tr>
					<th>
						<?php esc_html_e('Country Restriction', 'jmcore')?>
						<p><small><?php esc_html_e('Select your country will limit all suggestions to your local locations. Leave it blank to use all the locations around the world.', 'jmcore'); ?></small></p>
					</th>
					<td>
						<select name="jm_location[country_restriction]" data-placeholder="Select your country" class="jm-setting-chosen">
							<option value=""></option>
							<?php $country_list = _get_country_ISO_code(); ?>
							<?php if( !empty( $country_list ) ) : ?>
								<?php foreach ($country_list as $country ) : ?>
									<option value="<?php echo $country->Code; ?>" <?php selected( $country->Code, $country_restriction ); ?>><?php echo $country->Name; ?></option>
								<?php endforeach; ?>
							<?php endif; ?>
						</select>
						
					</td>
				</tr>
				<tr>
					<th>
						<?php esc_html_e('Location Type', 'jmcore')?>
					</th>
					<td>
						<fieldset>
							<label><input type="radio" <?php checked( $location_type, '(regions)' ); ?> name="jm_location[location_type]" value="(regions)"><?php esc_html_e('Administrative Regions', 'jmcore'); ?></label><br/>
							<label><input type="radio" <?php checked( $location_type, '(cities)' ); ?> name="jm_location[location_type]" value="(cities)"><?php esc_html_e('Cities', 'jmcore'); ?></label><br/>
							<label><input type="radio" <?php checked( $location_type, 'establishment' ); ?> name="jm_location[location_type]" value="establishment"><?php esc_html_e('Establishment ( Business location )', 'jmcore'); ?></label><br/>
							<label><input type="radio" <?php checked( $location_type, 'geocode' ); ?> name="jm_location[location_type]" value="geocode"><?php esc_html_e('Full address', 'jmcore'); ?></label><br/>
						</fieldset>
						<p><small><?php esc_html_e('Select the location type that matches your business.', 'jmcore'); ?></small></p>
					</td>
				</tr>
				<?php do_action( 'jm_setting_location_fields' ); ?>
			</tbody>
		</table>
		<table class="form-table location_map_type type_bing" cellspacing="0">
			<tbody>
				<tr>
					<th>
						<?php esc_html_e('Bing Maps API Key', 'jmcore')?>
					</th>
					<td>
						<input type="text" class="regular-text" value="<?php echo jm_get_location_setting('bing_api','')?>" name="jm_location[bing_api]">
						</td>
				</tr>
			</tbody>
		</table>
		<?php 
	}
endif;

function _get_country_ISO_code() {
	$dataFile = dirname( __FILE__ ) . '/data.json';
	$content = json_decode( file_get_contents( $dataFile ) );

	$coutries = array();
	if ( !empty( $content ) ) {
		$coutries = $content;
	}

	return apply_filters( 'jm_location_country_list', $coutries );
}
