<?php
/**
 * Noo Enqueue Style and Script.
 *
 * Register Script
 * This file register & enqueue scripts used in NOO Themes.
 *
 * @package    NOO Framework
 * @version    1.0.0
 * @author     NooTheme Team
 * @copyright  Copyright (c) 2014, NooTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://www.nootheme.com
 */
// =============================================================================
if (!function_exists('noo_enqueue_site_scripts')) :
    function noo_tech_enqueue_scripts()
    {

        $js_folder_uri = SCRIPT_DEBUG ? JM_ASSETS . '/js' : JM_ASSETS . '/js/min';
        $js_suffix = SCRIPT_DEBUG ? '' : '.min';
        wp_register_style(
            'vendor-multi-select',
            JM_ASSETS.'/vendor/multi-select/multi-select.min.css'
        );
        // use in manage block company
        wp_register_script('vendor-multi-select',
            JM_ASSETS.'/vendor/multi-select/jquery.multi-select.min.js',
            array('jquery'),
            null,
            true
        );
        /*-------------------------------------------------------------*/
        wp_register_script(
            'vendor-imagesloaded',
            JM_ASSETS . '/vendor/imageloaded/imageloaded.pkgd.min.js',
            array('jquery'),
            null,
            true
        );
        /*-------------------------------------------------------------*/
        wp_register_script(
            'vendor-isotope',
            JM_ASSETS . '/vendor/isotope/isotope.pkgd.min.js',
            array('vendor-imagesloaded'),
            null,
            true
        );
        /*-------------------------------------------------------------*/
        wp_register_script(
            'vendor-infinitescroll',
            JM_ASSETS . '/vendor/infinitescroll-2.0.2.min.js',
            null,
            null,
            true
        );
        /*-------------------------------------------------------------*/
        wp_register_script(
            'vendor-easing',
            JM_ASSETS . '/vendor/easing-1.3.0.min.js',
            array('jquery'),
            null,
            true
        );
        wp_register_script(
            'vendor-appear',
            JM_ASSETS . '/vendor/jquery.appear.js',
            array(
                'jquery',
                'vendor-easing',
            ),
            null,
            true
        );
        wp_register_script('vendor-countTo',
            JM_ASSETS . '/vendor/jquery.countTo.js',
            array(
                'jquery',
                'vendor-appear',
            ),
            null,
            true
        );
        /*-------------------------------------------------------------*/
        wp_register_style( 
            'vendor-nivo-lightbox-css',
            JM_ASSETS . '/vendor/nivo-lightbox/nivo-lightbox.css',
            array( ),
            null
        );
        wp_register_style( 
            'vendor-nivo-lightbox-default-css',
            JM_ASSETS . '/vendor/nivo-lightbox/themes/default/default.css',
            array( 'vendor-nivo-lightbox-css' ),
            null
        );
        wp_register_script(
            'vendor-nivo-lightbox-js',
            JM_ASSETS . '/vendor/nivo-lightbox/nivo-lightbox.min.js',
            array('jquery'),
            null,
            true
        );
        /*-------------------------------------------------------------*/
        wp_register_script(
            'timeliner',
            JM_ASSETS . '/vendor/timeliner.js',
            array('jquery'),
            null,
            false
        );
        /*-------------------------------------------------------------*/
        wp_register_script(
            'noo-readmore',
            JM_ASSETS . '/vendor/readmore.min.js',
            array('jquery'),
            null,
            false
        );

        wp_localize_script(
            'noo-readmore',
            'noo_readmore',
            array(
                'lessLink' => esc_html__('Read less', 'jmcore'),
                'moreLink' => esc_html__('Read more', 'jmcore'),
            )
        );
        /*-------------------------------------------------------------*/
        // BigVideo scripts.
        wp_register_script(
            'vendor-bigvideo-video',
            JM_ASSETS . '/vendor/bigvideo/video-4.1.0.min.js',
            array(
                'jquery',
                'jquery-ui-slider',
                'vendor-imagesloaded',
            ),
            null,
            true
        );
        /*-------------------------------------------------------------*/
        wp_register_style( 
            'owl-carousel',
            JM_ASSETS . '/vendor/owl-carousel/owl.carousel.min.css'
        );
        wp_register_script(
            'owl-carousel',
            JM_ASSETS . '/vendor/owl-carousel/owl.carousel.min.js',
            array('jquery'),
            null,
            true
        );
        /*-------------------------------------------------------------*/
        wp_register_style(
            'vendor-chosen',
            JM_ASSETS . '/vendor/chosen/chosen.css',
            null,
            null
        );
        wp_register_script(
            'vendor-chosen',
            JM_ASSETS . '/vendor/chosen/chosen.jquery.min.js',
            array('jquery'),
            null,
            true
        );
        /*-------------------------------------------------------------*/
        // register quicksearch
        wp_register_script('vendor-quicksearch',
            JM_ASSETS . '/vendor/jquery.quicksearch.js',
            array('jquery'),
            null,
            true
        );
        /*-------------------- Bootstrap Multiselect -----------------*/

        wp_enqueue_style(
            'vendor-bootstrap-multiselect',
            JM_ASSETS . '/vendor/bootstrap-multiselect/bootstrap-multiselect.css',
            null,
            null
        );

        wp_register_script(
            'vendor-bootstrap', 
            JM_ASSETS . '/vendor/bootstrap/bootstrap.min.js', 
            array('jquery'), 
            null,
            true
        );
        wp_register_script(
            'vendor-bootstrap-multiselect',
            JM_ASSETS . '/vendor/bootstrap-multiselect/bootstrap-multiselect.js',
            array('vendor-bootstrap'),
            null,
            true
        );

        wp_localize_script(
            'vendor-bootstrap-multiselect',
            'Noo_BMS',
            array(
                'nonSelectedText' => esc_html__('Select some options', 'jmcore'),
                'limitMultiSelect' => jm_get_setting('jm_action_control','limit_multi_select_field',3),
        ));
        

        /*------------------------ Bootstrap Tagsinput --------------------------------*/

        wp_register_style(
            'bootstrap-tagsinput',
            JM_ASSETS.'/vendor/bootstrap-tagsinput/bootstrap-tagsinput.css'
        );
        wp_register_script(
            'typeahead',
            JM_ASSETS.'/vendor/bootstrap-tagsinput/typeahead.bundle.min.js',
            array('jquery'),
            null,
            true
        );
        wp_register_script(
            'bootstrap-tagsinput',
            JM_ASSETS.'/vendor/bootstrap-tagsinput/bootstrap-tagsinput.js',
            array('typeahead'),
            null,
            true
        );

        /*------------------ Enqueue Icon Font -----------------------*/

        wp_register_style('vendor-elegant',
            JM_ASSETS.'/vendor/font_elegant/elegant.css'
        );

        wp_register_style( 
            'vendor-fontawesome',
            JM_ASSETS . '/vendor/fontawesome/css/font-awesome.min.css' 
        ); // version 4.7.0

        wp_register_style( 
            'vendor-linearicons',
            JM_ASSETS . '/vendor/font-linearicons/linearicons.css' 
        );

        // Linenear Icon
        wp_enqueue_style('vendor-linearicons');
        // elegant icon
        wp_enqueue_style('vendor-elegant');
        // Fontsawesome.
        wp_enqueue_style('vendor-fontawesome');

        /*-------------------------------------------------------------*/

        wp_localize_script(
            'vendor-chosen', 
            'noo_chosen', 
            array(
                'multiple_text'     => esc_html__('Select Some Options', 'jmcore'),
                'single_text'       => esc_html__('Select an Option', 'jmcore'),
                'no_result_text'    => esc_html__('No results match', 'jmcore'),
            )
        );
        /*-------- Library for Map -------*/


        /*-------------------------------------------------------------*/
        wp_register_style( 
            'noo-rating', JM_ASSETS . '/vendor/rating/jquery.raty.css'
        );
        wp_register_script(
            'noo-rating',
            JM_ASSETS . '/vendor/rating/jquery.raty.js',
            null,
            null,
            false
        );
        wp_localize_script('noo-rating', 'noo_rating', array(
            'starHalf' => JM_ASSETS . '/vendor/rating/images/star-half.png',
            'starOff' => JM_ASSETS . '/vendor/rating/images/star-off.png',
            'starOn' => JM_ASSETS . '/vendor/rating/images/star-on.png',
        ));
        /*-------------------------------------------------------------*/
        /*-------------------------------------------------------------*/
        wp_enqueue_script(
            'noo-notify',
            JM_ASSETS . '/vendor/notify.js',
            null,
            null,
            false
        );
        /*-------------------------------------------------------------*/
        // Bootstrap WYSIHTML5
        // -- js upload
        wp_register_script(
            'noo-upload',
            $js_folder_uri . '/noo.function.upload' . $js_suffix . '.js',
            array(
                'jquery',
                'plupload-all',
            ),
            null,
            true
        );
        $nooUpload = array(

            'url' => esc_url_raw(add_query_arg(array(
                'action' => 'noo_upload',
                'nonce' => wp_create_nonce('aaiu_allow'),
            ), admin_url('admin-ajax.php'))),

            'delete_url' => esc_url_raw(add_query_arg(array(
                'action' => 'noo_delete_attachment',
                'nonce' => wp_create_nonce('aaiu_remove'),
            ), admin_url('admin-ajax.php'))),

            'flash_swf_url' => includes_url('js/plupload/plupload.flash.swf'),
            'remove_txt' => esc_html__('Remove', 'jmcore'),
        );
        wp_localize_script('noo-upload', 'nooUpload', $nooUpload);

        // Required for nested reply function that moves reply inline with JS

        if (is_singular()) {
            wp_enqueue_script('comment-reply');
        }

        /*------------------ Noo Member JS-----------------------*/
        wp_register_script(
            'noo-blockUI',
            JM_ASSETS . '/vendor/jquery.blockUI.min.js',
            array('jquery'),
            null,
            true
        );
        wp_register_script( 
            'vendor-jquery-validate',
            JM_ASSETS . '/vendor/jquery-validate/jquery.validate.min.js',
            array( 'jquery'),
            null,
            true
        );
        wp_register_script('noo-member',
            $js_folder_uri . '/member' . $js_suffix . '.js',
            array(
            'noo-notify',
            'vendor-jquery-validate',
            'noo-blockUI',
        ), null, true);

        $nooMemberL10n = array(
            'ajax_security'             => wp_create_nonce('noo-member-security'),
            'is_logged'                 => is_user_logged_in(),
            'ajax_url'                  => admin_url('admin-ajax.php', 'relative'),
            'confirm_not_agree_term'    => esc_html__('Please agree with the Terms of use', 'jmcore'),
            'confirm_delete'            => esc_html__('Are you sure to delete this job?', 'jmcore'),
            'loadingmessage'            => '<i class="fa fa-spinner fa-spin"></i> ' . esc_html__('Sending info, please wait...', 'jmcore'),
            'placeholder_company'       => esc_html__('Companies registered with us.', 'jmcore'),
            'placeholder_blocked'       => esc_html__('Companies marked as "Blocked" by you.', 'jmcore')
        );
        wp_localize_script('noo-member', 'nooMemberL10n', $nooMemberL10n);
        /*-------------------------------------------------------------*/
        // Library create Popup
        wp_register_script(
            'venobox',
            JM_ASSETS . '/vendor/venobox.min.js',
            null,
            null,
            false
        );

        /*---------------- Noo Member enqueue script ------------------*/

        $page_template = get_page_template_slug();
        if( class_exists('Noo_Member')) {
            if(get_the_ID() == Noo_Member::get_member_page_id()){
                wp_enqueue_script('noo-member');
            }
            if ($page_template == 'page-post-job.php' || $page_template == 'page-post-resume.php') {
                wp_enqueue_script('noo-upload');

            }
        }
        if ($page_template == 'page-post-resume.php') {
            wp_enqueue_script('timeliner');
        }
        /*---------------- Google Recaptcha-------------------------*/
        wp_enqueue_script(
            'google-re-captcha',
            'https://www.google.com/recaptcha/api.js',
            null,
            null,
            false
        );
        /*----------------- DataTable------------------------*/
        wp_register_style(
            'noo-DataTables',
            JM_ASSETS . '/vendor/DataTables/datatables.min.css',
            false,
            null,
            'all'
        );
        // Use in member manage Page
        wp_register_script(
            'noo-DataTables',
            JM_ASSETS . '/vendor/DataTables/datatables.min.js',
            null,
            null,
            false
        );
        wp_register_script(
            'noo-DataTables-Responsive',
            JM_ASSETS . '/vendor/DataTables/dataTables.responsive.min.js',
            null,
            null,
            false
        );
        /*-----------------------------------------*/
        wp_register_style(
            'noo-swiper',
            JM_ASSETS . '/vendor/swiper/swiper.min.css',
            array(),
            null
        );
        wp_register_script(
            'noo-swiper',
            JM_ASSETS . '/vendor/swiper/swiper.min.js',
            array('jquery'),
            null,
            false
        );
        /*-------------- Noo JM Core Script ------------------*/
        wp_register_script(
            'jmcore',
            $js_folder_uri . '/jmcore' . $js_suffix . '.js',
            array('vendor-bootstrap-multiselect','vendor-datetimepicker','vendor-quicksearch','jquery-ui-slider'),
            null,
            true
        );
        $jmcoreL10n = array(
            'ajax_security'             => wp_create_nonce('noo-member-security'),
            'is_logged'                 => is_user_logged_in(),
            'ajax_url'                  => admin_url('admin-ajax.php', 'relative'),
            'confirm_not_agree_term'    => esc_html__('Please agree with the Terms of use', 'jmcore'),
            'confirm_delete'            => esc_html__('Are you sure to delete this job?', 'jmcore'),
            'loadingmessage'            => '<i class="fa fa-spinner fa-spin"></i> ' . esc_html__('Sending info, please wait...', 'jmcore'),
            'proximity_unit'            => jm_get_location_setting('unit_type','km'),
            'all_jobs_displayed'        => esc_html__('All jobs displayed', 'jmcore'),
            'all_resume_displayed'      => esc_html__('All Resume displayed', 'jmcore'),
            'proximity_text'            => esc_html__('Proximity:', 'jmcore'),
            'placeholder_company'       => esc_html__('Companies registered with us.', 'jmcore'),
            'placeholder_blocked'       => esc_html__('Companies marked as "Blocked" by you.', 'jmcore'),
            'close'                     => esc_html__('Close', 'jmcore'),
            'map_using'                 => (jm_get_location_setting('map_type','')=='google') ?'google':'bing',
            'bing_map_api'              => jm_get_location_setting( 'bing_api', '' ),
            'google_map_key'            => jm_get_location_setting( 'google_api', '' ),
        );
        wp_localize_script('jmcore', 'jmcoreL10n', $jmcoreL10n);
        wp_enqueue_script('jmcore');
        /*-------------ICON PICKER-----------*/
        wp_register_script(
            'vendor-dashicon-picker',
            JM_ASSETS . '/vendor/icon-picker/icon-picker.js',
            array('jquery'),
            null,
            true
        );
        wp_register_style(
            'vendor-dashicon-picker',
            JM_ASSETS.'/vendor/icon-picker/icon-picker.css'
        );

    }

    add_action('wp_enqueue_scripts', 'noo_tech_enqueue_scripts');
endif;

if (!function_exists('noo_tech_admin_enqueue')) :

    function noo_tech_admin_enqueue()
    {

        $js_folder_uri = SCRIPT_DEBUG ? JM_ASSETS . '/js' : JM_ASSETS . '/js/min';
        $js_suffix = SCRIPT_DEBUG ? '' : '.min';

        wp_register_script(
            'admin-noo-upload',
            $js_folder_uri . '/noo.function.upload' . $js_suffix . '.js',
            array(
                'jquery',
                'plupload-all',
            ),
            null,
            true
        );
        if(isset($_REQUEST['page']) && 'jm-cf-setting' == $_REQUEST['page']){
            // General Style
            wp_register_style(
                'vendor-dashicon-picker',
                JM_ASSETS.'/vendor/icon-picker/icon-picker.css'
            );

            wp_register_style(
                'vendor-fontawesome',
                JM_ASSETS . '/vendor/fontawesome/css/font-awesome.min.css',
                array(),
                '4.7.0'
            );

            wp_register_style(
                'vendor-elegant',
                JM_ASSETS.'/vendor/font_elegant/elegant.css'
            );
            wp_register_style( 
                'vendor-linearicons',
                JM_ASSETS . '/vendor/font-linearicons/linearicons.css' 
            );
            // Linenear Icon
            wp_enqueue_style('vendor-linearicons');

            wp_enqueue_style('vendor-elegant');

            wp_enqueue_style('vendor-dashicon-picker');

            wp_enqueue_style('vendor-fontawesome');

        }

        wp_register_script(
            'vendor-dashicon-picker',
            JM_ASSETS . '/vendor/icon-picker/icon-picker.js',
            array('jquery'),
            '1.0'
        );
        wp_enqueue_script('vendor-dashicon-picker');

        $nooUpload = array(
            'url' => esc_url_raw(add_query_arg(array(
                'action' => 'noo_upload',
                'nonce' => wp_create_nonce('aaiu_allow'),
            ), admin_url('admin-ajax.php'))),

            'delete_url' => esc_url_raw(add_query_arg(array(
                'action' => 'noo_delete_attachment',
                'nonce' => wp_create_nonce('aaiu_remove'),
            ), admin_url('admin-ajax.php'))),

            'flash_swf_url' => includes_url('js/plupload/plupload.flash.swf'),

            'remove_txt' => esc_html__('Remove', 'jmcore'),
        );
        wp_localize_script('admin-noo-upload', 'nooUpload', $nooUpload);
    }

    add_action('admin_enqueue_scripts', 'noo_tech_admin_enqueue');
endif;
// Deregister bootstrap js in Eonet plugin (Fixbug conflict)
if(class_exists('\ComponentManualUserApprove\classes\Eonet_MUA_UserManager')){
    function deregister_bootstrap_eonet(){
        return false;
    }
    add_filter('eonet_core_enqueue_bootstrap_js','deregister_bootstrap_eonet');
}