<?php

if( !function_exists( 'jm_job_settings_tabs' ) ) :
	function jm_job_settings_tabs( $tabs = array() ) {
		return array_merge( array(
				'general'=>__('Jobs', 'jmcore'),
			), $tabs
		);
	}
	
	add_filter('noo_job_settings_tabs_array', 'jm_job_settings_tabs' );
endif;

if( !function_exists( 'jm_job_settings_form' ) ) :
	function jm_job_settings_form(){
		if(isset($_GET['settings-updated']) && $_GET['settings-updated']) {
			flush_rewrite_rules();
			do_action( 'jm_job_setting_changed' );
		}
		$max_job_suggest=jm_get_job_setting('max_job_suggest',5);
		$archive_slug = jm_get_job_setting( 'archive_slug');
		$job_approve = jm_get_job_setting( 'job_approve','');
		$default_job_content = jm_get_job_setting( 'default_job_content', '');
		$submit_agreement = jm_get_job_setting( 'submit_agreement', null);
		$forewarning_job_expired = jm_get_job_setting( 'forewarning_job_expired', 3);
		$job_posting_limit = jm_get_job_setting( 'job_posting_limit',5);
		$job_display_duration = jm_get_job_setting( 'job_display_duration',30);
		$job_feature_limit = jm_get_job_setting( 'job_feature_limit',1);
		$job_refresh_limit = jm_get_job_setting( 'job_refresh_limit',5);
		$job_posting_reset = jm_get_job_setting( 'job_posting_reset',0);
		$hide_empty_tax = jm_get_job_setting( 'hide_empty_tax','');
		$job_template = jm_get_job_setting('job_templates',array());

		?>
		<?php settings_fields('noo_job_general'); ?>
		<h3><?php echo esc_html__('Jobs Display', 'jmcore')?></h3>
		<table class="form-table" cellspacing="0">
			<tbody>
				<tr>
					<th>
						<?php esc_html_e('Job Archive base (slug)', 'jmcore')?>
					</th>
					<td>
						<input type="text" name="noo_job_general[archive_slug]" value="<?php echo ($archive_slug ? sanitize_title( $archive_slug ) :'jobs') ?>">
					</td>
				</tr>
				<tr>
					<th>
						<?php esc_html_e('Jobs Display', 'jmcore')?>
					</th>
					<td>
						<p><?php 
						$customizer_job_link = esc_url( add_query_arg( array('autofocus%5Bpanel%5D' => 'noo_customizer_section_job'), admin_url( '/customize.php' ) ) );
						echo sprintf( nootheme_kses(__('Go to <a href="%s">Customizer</a> to change settings for Job(s) layout or displayed sections.', 'jmcore')), $customizer_job_link); ?></p>
					</td>
				</tr>
                <tr>
                    <th>
                        <?php esc_html_e('Max Jobs Suggest', 'jmcore') ?>
                    </th>
                    <td>
                        <input type="text" name="noo_job_general[max_job_suggest]" value="<?php echo $max_job_suggest?>">
                    </td>
                </tr>
				<?php do_action( 'noo_setting_job_display_fields' ); ?>
			</tbody>
		</table>
		<br/><hr/><br/>
		<h3><?php echo esc_html__('Job Posting', 'jmcore')?></h3>
		<table class="form-table" cellspacing="0">
			<tbody>
				<tr>
					<th>
						<?php esc_html_e('Job Approval', 'jmcore')?>
					</th>
					<td>
						<input type="hidden" name="noo_job_general[job_approve]" value="">
						<input type="checkbox" <?php checked( $job_approve, 'yes' ); ?> name="noo_job_general[job_approve]" value="yes">
						<p><small><?php echo esc_html__('Each newly submitted job needs the manual approval of Admin.', 'jmcore') ?></small></p>
					</td>
				</tr>
				<tr>
					<th>
						<?php esc_html_e('Default Job Content', 'jmcore')?>
						<p><small><?php echo esc_html__('Default content that will auto populated when Employers post new Jobs.', 'jmcore') ?></small></p>
					</th>
					<td>
						<?php
						$default_text = nootheme_kses(__('<h3>Job Description</h3><p>What is the job about? Enter the overall description of your job.</p>', 'jmcore'));
						$default_text .= nootheme_kses(__('<h3>Benefits</h3><ul><li>What can candidates get from the position?</li><li>What can candidates get from the position?</li><li>What can candidates get from the position?</li></ul>', 'jmcore'));
						$default_text .= nootheme_kses(__('<h3>Job Requirements</h3><ol><li>Detailed requirement for the vacancy.?</li><li>Detailed requirement for the vacancy.?</li><li>Detailed requirement for the vacancy.?</li></ol>', 'jmcore'));
				        $default_text .= nootheme_kses(__('<h3>How To Apply</h3><p>How candidate can apply for your job. You can leave your contact information to receive hard copy application or any detailed guide for application.</p>', 'jmcore'));

				        $text = !empty( $default_job_content ) ? $default_job_content : $default_text;
						
						$editor_id = 'textblock' . uniqid();
				        wp_editor( $text, $editor_id, array(
				                    'media_buttons' => false,
				                    'quicktags' => true,
				                    'textarea_rows' => 15,
				                    'textarea_cols' => 80,
				                    'textarea_name' => 'noo_job_general[default_job_content]',
				                    'wpautop' => false)); ?>
					</td>
				</tr>
				<tr>
					<th>
						<?php esc_html_e('Job submission condition', 'jmcore')?>
						<p><small><?php echo esc_html__('The condition that employers must agree to before submitting a new job. Leave it blank for no condition.', 'jmcore') ?></small></p>
					</th>
					<td>
						<?php
						$submit_agreement = !is_null( $submit_agreement ) ? $submit_agreement : sprintf(__('Job seekers can find your job and contact you via email or %s regarding your application options. Preview all information thoroughly before submitting your job for approval.', 'jmcore'), get_bloginfo('name') );
						?>	
						<textarea name="noo_job_general[submit_agreement]" rows="5" cols="80"><?php echo esc_html($submit_agreement); ?></textarea>					
					</td>
				</tr>
				<tr>
					<th>
						<?php esc_html_e('Email alerts expire before day', 'jmcore')?>
						<p><small><?php echo esc_html__('Enter the number of days that you want to automatically email the job poster about the expiring listing.', 'jmcore') ?></small></p>
					</th>
					<td>
						<input type="text" name="noo_job_general[forewarning_job_expired]" value="<?php echo absint($forewarning_job_expired) ?>">
						<p><small><?php echo esc_html__('Enter 0 to disable this function.', 'jmcore') ?></small></p>
					</td>
				</tr>
				<?php if( jm_is_free_job_posting() ) : ?>
					<tr>
						<th>
							<?php esc_html_e('Jobs Limit', 'jmcore')?>
						</th>
						<td>
							<input type="text" name="noo_job_general[job_posting_limit]" value="<?php echo absint($job_posting_limit) ?>">
							<p><small><?php echo esc_html__('If you don\'t use Woocommerce Job Package for manage job submission, you can use this setting for limiting the number of jobs per employer.', 'jmcore') ?></small></p>
						</td>
					</tr>
					<tr>
						<th>
							<?php esc_html_e('Job Durations (day)', 'jmcore')?>
						</th>
						<td>
							<input type="text" name="noo_job_general[job_display_duration]" value="<?php echo absint($job_display_duration) ?>">
							<p><small><?php echo esc_html__('If you don\'t use Woocommerce Job Package for manage job submission, you can use this setting for job duration.', 'jmcore') ?></small></p>
						</td>
					</tr>
					<tr>
						<th>
							<?php esc_html_e('Featured Jobs Limit', 'jmcore')?>
						</th>
						<td>
							<input type="text" name="noo_job_general[job_feature_limit]" value="<?php echo absint($job_feature_limit) ?>">
							<p><small><?php echo esc_html__('If you don\'t use Woocommerce Job Package for manage job submission, you can use this setting for limiting the number of featured jobs per employer.', 'jmcore') ?></small></p>
						</td>
					</tr>
                    <tr>
                        <th>
							<?php esc_html_e('Refresh Job Limit', 'jmcore')?>
                        </th>
                        <td>
                            <input type="text" name="noo_job_general[job_refresh_limit]" value="<?php echo absint($job_refresh_limit) ?>">
                            <p><small><?php echo esc_html__('If you don\'t use Woocommerce Job Package for manage job submission, you can use this setting for limiting the number of refresh jobs per employer.', 'jmcore') ?></small></p>
                        </td>
                    </tr>
					<tr>
						<th>
							<?php esc_html_e('Reset counter every', 'jmcore')?>
						</th>
						<td>
							<input type="text" name="noo_job_general[job_posting_reset]" value="<?php echo absint($job_posting_reset) ?>">&nbsp;<?php echo esc_html__('Month', 'jmcore'); ?>
							<p><small><?php echo esc_html__('Reset the counter will allow Employers to re-post jobs after using up the limitation. Input zero for no reset.', 'jmcore') ?></small></p>
						</td>
					</tr>
				<?php endif ?>
                <tr>
                    <th>
                        <?php esc_html_e('Job details layouts', 'jmcore')?>
                    </th>
                    <?php $style_layout = array(
                            'style-1' => 'Style 1',
                            'style-2' => 'Style 2',
                            'style-3' => 'Style 3',
                            'style-4' => 'Style 4',
                            'style-5' => 'Style 5',
                            'style-6' => 'Style 6',
                            'style-7' => 'Style 7',
                            'style-8' => 'Style 8',

                    ); ?>
                    <td  class="noo-thumb-wrapper nopad text-center">
                        <?php foreach ($style_layout as $key=>$value):
                            $checked = (in_array($key,$job_template)) ? 'checked=checked' : '';
                            ?>
                            <label class="image-checkbox">
                                <img class="image-responsive" src="<?php echo JM_URL . '/assets/images/job_layout_'.$key.'.png' ?>">
                                <input type="checkbox" name="noo_job_general[job_templates][]" value="<?php echo esc_attr($key); ?>" <?php echo $checked ?>>

                            </label>
                        <?php endforeach; ?>
                    </td>
                </tr>
				<?php do_action( 'noo_setting_job_submission_fields' ); ?>
			</tbody>
		</table>
	</br>
	<h3><?php echo esc_html__('Job Search Default', 'jmcore')?></h3>
		<table class="form-table" cellspacing="0">
			<tbody>
				<tr>
					<th>
						<?php esc_html_e('Hide Empty Taxonomy for Job Search', 'jmcore')?>
					</th>
					<td>
						<input type="checkbox" <?php checked( $hide_empty_tax, '1' ); ?> name="noo_job_general[hide_empty_tax]" value="1">
					</td>
				</tr>
				<?php do_action( 'noo_setting_job_display_fields' ); ?>
			</tbody>
		</table>
		<?php 
	}
endif;

