<?php
if( !function_exists( 'jm_job_enqueue_scripts' ) ) :
	function jm_job_enqueue_scripts(){
		$js_folder_uri = SCRIPT_DEBUG ? JM_ASSETS . '/js' : JM_ASSETS . '/js/min';
		$js_suffix = SCRIPT_DEBUG ? '' : '.min';
        /*----------------------  ------------------------*/

		$map_type = jm_get_location_setting('map_type','');

		if ($map_type == 'google') {
			$google_api = jm_get_location_setting( 'google_api', '' );

			wp_register_script( 
				'google-map',
				'http'.(is_ssl() ? 's':'').'://maps.googleapis.com/maps/api/js?language='.get_locale().'&libraries=places' . ( !empty( $google_api ) ? '&key=' .$google_api : '' ),
				array('jquery'),
				null ,
				true
			);

			wp_register_script(
				'google-map-infobox',
				$js_folder_uri . '/infobox' . $js_suffix . '.js',
				array( 'jquery' , 'google-map' ),
				null,
				true
			);

			wp_register_script(
				'google-map-markerclusterer',
				$js_folder_uri . '/markerclusterer' . $js_suffix . '.js',
				array( 'jquery' , 'google-map' ),
				null,
				true
			);
			/*--------------------- Location-picker --------------------------*/
			$location_picker = jm_location_picker_options();
			
	        wp_register_script(
	            'location-picker',
	            JM_ASSETS . '/vendor/locationpicker.jquery.js',
	            array(
	                'jquery',
	                'google-map',
	            ),
	            null,
	            false
	        );

	        wp_localize_script(
	            'location-picker',
	            'nooLocationPicker',
	            $location_picker
	        );
			wp_register_script(
				'noo-job-map',
				$js_folder_uri . '/job-map' . $js_suffix . '.js',
				array( 'google-map-infobox','google-map-markerclusterer'),
				null,
				true
			);
			wp_register_script(
			    'noo-resume-map',
                $js_folder_uri . '/resume-map' . $js_suffix . '.js',
                array( 'google-map-infobox','google-map-markerclusterer'),
                null,
                true
            );
			/*--------------- Custom Google Map--------------------------*/
	        wp_register_script(
	            'google-map-custom',
	            $js_folder_uri . '/google-map-custom' .$js_suffix. '.js',
	            array('google-map'),
	            null,
	            false
	        );
		}
		if ($map_type == 'bing') {
            $bing_api = jm_get_location_setting( 'bing_api', '' );
            $bing_default = array(
                'lat'      => floatval( jm_get_location_setting( 'latitude', '40.714398' ) ),
                'lng'      => floatval( jm_get_location_setting( 'longitude', '-74.005279' ) ),
                'zoom'     => absint( jm_get_location_setting( 'zoom', '17' ) ),
            );
            wp_register_script(
                'bing-map-api',
                'https://www.bing.com/api/maps/mapcontrol?key='.$bing_api.'&callback=JM_Bing_Map',
                array( 'jquery' ),
                null,
                true
            );
            wp_register_script(
                'bing-map',
                $js_folder_uri . '/location-bing-map' .$js_suffix. '.js',
                array( 'jquery','bing-map-api'),
                null,
                true
            );
            wp_register_script(
                'resume-bing-map',
                $js_folder_uri . '/resume-bing-map' .$js_suffix. '.js',
                array( 'jquery','bing-map-api'),
                null,
                true
            );
//			wp_register_script(
//                'picker-bing-map-api',
//                'https://www.bing.com/api/maps/mapcontrol?key='.$bing_api.'&callback=JM_Picker_Bing_Map',
//                array( 'jquery' ),
//                null,
//                true
//            );
			/* --------------- Bing Picker ----------------------*/
//			wp_register_script(
//                'picker-bing-map',
//                $js_folder_uri . '/picker-bing-map' .$js_suffix. '.js',
//                array( 'picker-bing-map-api' ),
//                null,
//                true
//            );
//
//            wp_localize_script(
//                'picker-bing-map',
//                'JM_Bing_Value',
//                $bing_default
//            );
//
//
//            wp_register_script(
//	        	'bing-map-api',
//	        	'https://www.bing.com/api/maps/mapcontrol?key='.$bing_api.'&callback=JM_Bing_Map',
//	        	array( 'jquery' ),
//	        	null,
//	        	true
//	        );

	        wp_localize_script(
	        	'bing-map',
	        	'JM_Bing_Value',
	        	$bing_default
	        );
		}

		if (is_page()) {
            $page_template = get_page_template_slug();
            if( class_exists('Noo_Member')) {
            	// remove || get_the_ID() == Noo_Member::get_member_page_id()
                if ($page_template == 'page-post-job.php' || $page_template == 'page-post-resume.php') {
                	if('bing' == $map_type){
                        wp_enqueue_script('bing-map');
					}else{
						wp_enqueue_script('location-picker');
					}
                }
            }
        }

		$is_rtl = is_rtl();

		wp_register_style(
			'vendor-wysihtml5-css',
			JM_ASSETS . '/vendor/bootstrap-wysihtml5/bootstrap-wysihtml5'.($is_rtl ? '-rtl.css' : '.css'),
			array( 'noo-main-style' ),
			null
		);

		wp_register_script(
			'vendor-bootstrap-wysihtml5',
			JM_ASSETS . '/vendor/bootstrap-wysihtml5/bootstrap3-wysihtml5.custom' . $js_suffix . '.js',
			array( 'jquery', 'vendor-bootstrap'),
			null,
			true
		);
		$wysihtml5L10n = array(
			'normal'         => esc_html__('Normal text', 'jmcore'),
			'h1'             => esc_html__('Heading 1', 'jmcore'),
			'h2'             => esc_html__('Heading 2', 'jmcore'),
			'h3'             => esc_html__('Heading 3', 'jmcore'),
			'h4'             => esc_html__('Heading 4', 'jmcore'),
			'h5'             => esc_html__('Heading 5', 'jmcore'),
			'h6'             => esc_html__('Heading 6', 'jmcore'),
			'bold'           => esc_html__('Bold', 'jmcore'),
			'italic'         => esc_html__('Italic', 'jmcore'),
			'underline'      => esc_html__('Underline', 'jmcore'),
			'small'          => esc_html__('Small', 'jmcore'),
			'unordered'      => esc_html__('Unordered list', 'jmcore'),
			'ordered'        => esc_html__('Ordered list', 'jmcore'),
			'outdent'        => esc_html__('Outdent', 'jmcore'),
			'indent'         => esc_html__('Indent', 'jmcore'),
			'align_left'     => esc_html__('Align Left', 'jmcore'),
			'align_right'    => esc_html__('Align Right', 'jmcore'),
			'align_center'   => esc_html__('Align Center', 'jmcore'),
			'align_justify'  => esc_html__('Align Justify', 'jmcore'),
			'insert_link'    => esc_html__('Insert link', 'jmcore'),
			'cancel'         => esc_html__('Cancel', 'jmcore'),
			'target'         => esc_html__('Open link in a new window', 'jmcore'),
			'insert_image'   => esc_html__('Insert image', 'jmcore'),
			'cancel'         => esc_html__('Cancel', 'jmcore'),
			'edit_html'      => esc_html__('Edit HTML', 'jmcore'),
			'black'          => esc_html__('Black', 'jmcore'),
			'silver'         => esc_html__('Silver', 'jmcore'),
			'gray'           => esc_html__('Grey', 'jmcore'),
			'maroon'         => esc_html__('Maroon', 'jmcore'),
			'red'            => esc_html__('Red', 'jmcore'),
			'purple'         => esc_html__('Purple', 'jmcore'),
			'green'          => esc_html__('Green', 'jmcore'),
			'olive'          => esc_html__('Olive', 'jmcore'),
			'navy'           => esc_html__('Navy', 'jmcore'),
			'blue'           => esc_html__('Blue', 'jmcore'),
			'orange'         => esc_html__('Orange', 'jmcore'),
			'stylesheet_rtl' => $is_rtl ? JM_ASSETS . '/vendor/bootstrap-wysihtml5/stylesheet-rtl.css' : JM_ASSETS . '/vendor/bootstrap-wysihtml5/stylesheet.css'
		);

		wp_localize_script('vendor-bootstrap-wysihtml5',
			'wysihtml5L10n',
			$wysihtml5L10n
		);

		wp_register_style(
			'vendor-datetimepicker',
			JM_ASSETS . '/vendor/datetimepicker/jquery.datetimepicker.css',
			null
		);
		wp_register_script(
			'vendor-datetimepicker', JM_ASSETS . '/vendor/datetimepicker/jquery.datetimepicker.js',
			array( 'jquery' ),
			null,
			true
		);
		
		$datetimeL10n = array(
			'lang' => substr(get_bloginfo ( 'language' ), 0, 2),
			'rtl' => $is_rtl,

			'January'=>ucfirst(esc_html__('January', 'jmcore')),
			'February'=>ucfirst(esc_html__('February', 'jmcore')),
			'March'=>ucfirst(esc_html__('March', 'jmcore')),
			'April'=>ucfirst(esc_html__('April', 'jmcore')),
			'May'=>ucfirst(esc_html__('May', 'jmcore')),
			'June'=>ucfirst(esc_html__('June', 'jmcore')),
			'July'=>ucfirst(esc_html__('July', 'jmcore')),
			'August'=>ucfirst(esc_html__('August', 'jmcore')),
			'September'=>ucfirst(esc_html__('September', 'jmcore')),
			'October'=>ucfirst(esc_html__('October', 'jmcore')),
			'November'=>ucfirst(esc_html__('November', 'jmcore')),
			'December'=>ucfirst(esc_html__('December', 'jmcore')),

			'Sunday'=>ucfirst(esc_html__('Sunday', 'jmcore')),
			'Monday'=>ucfirst(esc_html__('Monday', 'jmcore')),
			'Tuesday'=>ucfirst(esc_html__('Tuesday', 'jmcore')),
			'Wednesday'=>ucfirst(esc_html__('Wednesday', 'jmcore')),
			'Thursday'=>ucfirst(esc_html__('Thursday', 'jmcore')),
			'Friday'=>ucfirst(esc_html__('Friday', 'jmcore')),
			'Saturday'=>ucfirst(esc_html__('Saturday', 'jmcore')),
		);
		wp_localize_script(
			'vendor-datetimepicker',
			'datetime',
			$datetimeL10n
		);
		
		wp_register_script(
			'noo-job',
			$js_folder_uri . '/job'. $js_suffix .'.js',
			array( 'vendor-bootstrap-wysihtml5','vendor-jquery-validate','vendor-datetimepicker'), // remove 'vendor-chosen'
			null,
			true
		);

		wp_enqueue_style('vendor-datetimepicker');
		wp_enqueue_style('vendor-chosen');
		wp_enqueue_style('vendor-wysihtml5-css');

		$allowed_exts = jm_get_allowed_attach_file_types();

		$nooJobL10n = array(
			'ajax_url'        => admin_url( 'admin-ajax.php', 'relative' ),
			'ajax_finishedMsg'=>__('All jobs displayed', 'jmcore'),
			'validate_messages'=>array(
				'required'=>__("This field is required.", 'jmcore'),
				'remote'=>__("Please fix this field.", 'jmcore'),
				'email'=>__("Please enter a valid email address.", 'jmcore'),
				'url'=>__("Please enter a valid URL.", 'jmcore'),
				'date'=>__("Please enter a valid date.", 'jmcore'),
				'dateISO'=>__("Please enter a valid date (ISO).", 'jmcore'),
				'number'=>__("Please enter a valid number.", 'jmcore'),
				'digits'=>__("Please enter only digits.", 'jmcore'),
				'creditcard'=>__("Please enter a valid credit card number.", 'jmcore'),
				'equalTo'=>__("Please enter the same value again.", 'jmcore'),
				'maxlength'=>__("Please enter no more than {0} characters.", 'jmcore'),
				'minlength'=>__("Please enter at least {0} characters.", 'jmcore'),
				'rangelength'=>__("Please enter a value between {0} and {1} characters long.", 'jmcore'),
				'range'=>__("Please enter a value between {0} and {1}.", 'jmcore'),
				'max'=>__("Please enter a value less than or equal to {0}.", 'jmcore'),
				'min'=>__("Please enter a value greater than or equal to {0}.", 'jmcore'),
				'chosen'=>__('Please choose a option', 'jmcore'),
				'uploadimage'=>__('Please select a image file', 'jmcore'),
				'extension'=>__('Please upload a valid file extension.', 'jmcore')
			),
			'date_format'=>get_option('date_format'),
			'file_exts' => implode('|', $allowed_exts),
			'is_logged' => is_user_logged_in(),
			'dataTable' => array(
				'emptyTable' 	=> esc_html__('No data available in table', 'jmcore'),
				'next' 			=> esc_html__('Next', 'jmcore'),
				'previous' 		=> esc_html__('Previous', 'jmcore'),
				'info' 			=> sprintf(__('Showing %s to %s of %s entries', 'jmcore'),'_START_','_END_','_TOTAL_'),
				'infoEmpty' 	=> esc_html__('Showing 0 to 0 of 0 entries', 'jmcore'),
				'lengthMenu'	=> sprintf(__('Show %s entries', 'jmcore'),'_MENU_'),
				'search'		=> esc_html__('Search:', 'jmcore'),
			)
		);
		wp_localize_script(
			'noo-job',
			'nooJobL10n',
			$nooJobL10n
		);
		wp_enqueue_script('noo-job');
	}

	add_action( 'wp_enqueue_scripts', 'jm_job_enqueue_scripts', 99 );
endif;

// Map Location in Company and Job detail
if(!function_exists('jm_map_enqueue_scripts')){
	function jm_map_enqueue_scripts(){
		$map_type = jm_get_location_setting('map_type','');
		if('bing' == $map_type){
            wp_enqueue_script('bing-map');
		}else{
			wp_enqueue_script('google-map-custom');
		}
	}
}

if( !function_exists( 'jm_job_enqueue_map_script' ) ) :
	function jm_job_enqueue_map_script($show_company_marker='no',$query='') {
		// prevent conflict with Ultimate VC Add-ons
        define('DISABLE_ULTIMATE_GOOGLE_MAP_API', true);
        
		$nooJobGmapL10n = array(
            'ajax_url'=> admin_url( 'admin-ajax.php' ),
			'latitude'=>40.714398,
			'longitude'=>-74.005279,
			'draggable'=>0,
			'theme_dir'=> get_template_directory(),
			'theme_uri'=> get_template_directory_uri(),
			'marker_icon'=>JM_ASSETS.'/images/map-marker.png',
			'marker_data'=>jm_build_job_map_data($query),
			'primary_color'=>noo_get_option('noo_site_link_color',noo_default_primary_color())
		);
		if($show_company_marker == 'yes'){
		    $nooJobGmapL10n['marker_company_data'] = jm_build_company_map_data();
        }else{
		    $nooJobGmapL10n['marker_company_data'] = 0;
        }
		wp_localize_script(
			'noo-job',
			'nooJobGmapL10n',
			$nooJobGmapL10n
		);
		$jobs_layout = noo_get_option( 'noo_jobs_layout', 'sidebar' );
        $mode_type      = (isset($_GET['mode'])) ? $_GET['mode'] : '';
			$map_type = jm_get_location_setting('map_type','google');

	       	if($map_type == 'google'){
	           wp_enqueue_script('noo-job-map');
	       	}else{
	           wp_enqueue_script('bing-map');
	           wp_enqueue_script('bing-map-api');
       		}
	}
endif;
if( !function_exists('jm_resume_enqueue_map_script')):
    function jm_resume_enqueue_map_script($query=''){
        $nooResumeMap = array(
            'ajax_url'  => admin_url('admin-ajax.php'),
            'zoom'      => jm_get_location_setting('zoom',10),
            'latitude'  => jm_get_location_setting('latitude',''),
            'longtitude'=> jm_get_location_setting('longitude',''),
            'draggable' => 0,
            'theme_dir'=> get_template_directory(),
            'theme_uri'=> get_template_directory_uri(),
            'marker_icon'=>JM_ASSETS.'/images/map-marker.png',
            'marker_data'=>jm_build_resume_map_data($query),
            'primary_color'=>noo_get_option('noo_site_link_color',noo_default_primary_color())
        );
        wp_localize_script(
            'noo-job',
            'nooResumeMap',
            $nooResumeMap
        );
        $map_type = jm_get_location_setting('map_type','google');
        if($map_type == 'google'){
            wp_enqueue_script('noo-resume-map');
        }else{
            wp_localize_script(
                'bing_map',
                'nooResumeMap',
                $nooResumeMap
            );
            wp_enqueue_script('bing-map');
            wp_enqueue_script('bing-map-api');
        }
    }
endif;

