<?php
if ( ! function_exists( 'noo_get_social_fields' ) ) :
	function noo_get_social_fields() {
		$social_fields = array(
			'website'       => array(
				'label' => esc_html__( 'Website', 'jmcore' ),
				'icon'  => 'website',
			),
			'facebook'      => array(
				'label'       => esc_html__( 'Facebook', 'jmcore' ),
				'icon'        => 'facebook',
				'icon_square' => 'fa-facebook-square',
				'alt_icon'    => 'fa-facebook-f',
			),
			'twitter'       => array(
				'label'       => esc_html__( 'Twitter', 'jmcore' ),
				'icon'        => 'twitter',
				'icon_square' => 'fa-twitter-square',
			),
			'instagram'     => array(
				'label' => esc_html__( 'Instagram', 'jmcore' ),
				'icon'  => 'instagram',
			),
			'googleplus'    => array( // Be careful with google plus field name
				'label'       => esc_html__( 'Google+', 'jmcore' ),
				'icon'        => 'google-plus',
				'icon_square' => 'fa-google-plus-square',
			),
			'linkedin'      => array(
				'label'       => esc_html__( 'LinkedIn', 'jmcore' ),
				'icon'        => 'linkedin',
				'icon_square' => 'fa-linkedin-square',
			),
			'email_address' => array(
				'label'    => esc_html__( 'Email', 'jmcore' ),
				'icon'     => 'email',
				'alt_icon' => 'fa-envelope',
			),
			'pinterest'     => array(
				'label'       => esc_html__( 'Pinterest', 'jmcore' ),
				'icon'        => 'pinterest',
				'icon_square' => 'fa-pinterest-square',
				'alt_icon'    => 'fa-pinterest-p',
			),
			'youtube'       => array(
				'label'       => esc_html__( 'Youtube', 'jmcore' ),
				'icon'        => 'youtube',
				'icon_square' => 'fa-youtube-square',
				'alt_icon'    => 'fa-youtube-play',
			),
			'tumblr'        => array(
				'label'       => esc_html__( 'Tumblr', 'jmcore' ),
				'icon'        => 'tumblr',
				'icon_square' => 'fa-tumblr-square',
			),
			'behance'       => array(
				'label'       => esc_html__( 'Behance', 'jmcore' ),
				'icon'        => 'behance',
				'icon_square' => 'fa-behance-square',
			),
			'flickr'        => array(
				'label' => esc_html__( 'Flickr', 'jmcore' ),
				'icon'  => 'flickr',
			),
			'vimeo'         => array(
				'label'       => esc_html__( 'Vimeo', 'jmcore' ),
				'icon'        => 'vimeo',
				'icon_square' => 'fa-vimeo-square',
			),
			'github'        => array(
				'label'       => esc_html__( 'GitHub', 'jmcore' ),
				'icon'        => 'fa-github',
				'icon_square' => 'fa-github-square',
				'alt_icon'    => 'fa-github-alt',
			),
			'vk'            => array(
				'label' => esc_html__( 'VKontakte', 'jmcore' ),
				'icon'  => 'vk',
			),
		);

		return apply_filters( 'noo_social_fields', $social_fields );
	}
endif;
if(!function_exists('noo_get_social_network')):
    function noo_get_social_network($social='website'){
        if(empty($social)){
            return;
        }
        $social_svg = '';
        switch($social){
            case 'website':
                $social_svg = '<svg version="1.1" id="Layer_1"   x="0px" y="0px"
	 viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;" xml:space="preserve">
<g>
	<path style="fill:#e2e2e2;" d="M432.464,512h-37.766c-8.021,0-14.523-6.502-14.523-14.523s6.502-14.523,14.523-14.523h37.766
		c27.839,0,50.49-22.65,50.49-50.49V79.536c0-27.839-22.65-50.49-50.49-50.49H214.367c-8.021,0-14.523-6.502-14.523-14.523
		S206.346,0,214.367,0h218.097C476.321,0,512,35.679,512,79.536v352.928C512,476.321,476.321,512,432.464,512z"/>
	<path style="fill:#e2e2e2;" d="M289.693,512H79.536C35.679,512,0,476.321,0,432.464V79.536C0,35.679,35.679,0,79.536,0h32.684
		c8.021,0,14.523,6.502,14.523,14.523s-6.502,14.523-14.523,14.523H79.536c-27.839,0-50.49,22.65-50.49,50.49v352.928
		c0,27.839,22.65,50.49,50.49,50.49h210.157c8.021,0,14.523,6.502,14.523,14.523S297.714,512,289.693,512z"/>
</g>
<path style="fill:#ffffff!important;" d="M397.094,120.693l-296.09,115.385c-9.593,3.738-9.009,17.5,0.864,20.412l67.633,19.969l21.022,78.715
	c2.932,9.308,14.725,12.127,21.552,5.157l41.623-39.722l88.273,68.661c9.341,6.856,22.643,1.76,25.015-9.578l50.552-241.69
	C420.013,126.162,408.366,116.3,397.094,120.693L397.094,120.693z"/>
<g>
	<path style="fill:#e2e2e2;" d="M351.348,406.895h-0.001c-6.483,0-12.698-2.046-17.969-5.915c-0.109-0.08-0.216-0.161-0.322-0.244
		l-78.389-60.974l-32.42,30.94c-5.185,5.188-12.047,8.04-19.356,8.04c-12.064,0-22.601-7.716-26.219-19.202
		c-0.064-0.205-0.125-0.41-0.18-0.617l-18.918-70.841l-59.818-17.662c-10.545-3.112-17.663-12.223-18.128-23.209
		c-0.466-10.988,5.856-20.669,16.105-24.663l296.09-115.385c3.502-1.365,7.151-2.056,10.849-2.056c8.965,0,17.381,4.03,23.09,11.056
		c5.651,6.955,7.835,16,5.991,24.814l-50.554,241.69C378.264,396.705,365.71,406.895,351.348,406.895z M350.652,377.626
		c0.235,0.155,0.449,0.222,0.696,0.222c0.121,0,1.191-0.03,1.422-1.128l50.552-241.69c0.057-0.272,0.036-0.381-0.103-0.552
		c-0.151-0.186-0.388-0.327-0.548-0.327c-0.073,0-0.18,0.026-0.302,0.074L116.439,245.65l57.173,16.882
		c4.854,1.433,8.612,5.292,9.919,10.182l20.171,75.532l39.968-38.142c5.205-4.968,13.264-5.375,18.943-0.957L350.652,377.626z"/>
	<path style="fill:#e2e2e2;" d="M219.677,360.209c0.456,1.476,17.095-19.324,17.272-20.862l-7.463-36.536
		c-0.983-4.813,0.761-9.776,4.538-12.915l136.798-113.674c3.292-2.913-0.532-8.05-4.265-5.737L205.69,268.601
		c-3.814,2.327-5.782,6.775-4.939,11.161L219.677,360.209z"/>
</g>
</svg>';
                break;
            case 'facebook':
                $social_svg = '<svg version="1.1" id="Layer_1"   x="0px" y="0px"
	 viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;" xml:space="preserve">
<path style="fill:#ffffff!important;" d="M365.075,307.969L365.075,307.969c-0.209-21.573-17.756-38.95-39.33-38.95h-36.052v-54.677
	c0-15.267,12.377-27.643,27.643-27.643h13.209c19.534,0,35.37-15.836,35.37-35.37l0,0c0-19.534-15.836-35.37-35.37-35.37h-32.525
	c-48.044,0-86.991,38.947-86.991,86.991v66.067h-25.613c-21.722,0-39.332,17.609-39.332,39.332l0,0
	c0,21.722,17.609,39.332,39.332,39.332h25.613v149.794h78.665V347.682h36.052C347.617,347.682,365.287,329.839,365.075,307.969z"/>
<g>
	<path style="fill:#e2e2e2;" d="M289.693,512h-78.665c-8.021,0-14.523-6.502-14.523-14.523V362.206h-11.09
		c-29.695,0-53.855-24.159-53.855-53.855s24.159-53.856,53.855-53.856h11.09v-51.544c0-55.975,45.539-101.514,101.514-101.514
		h32.525c27.511,0,49.893,22.382,49.893,49.893c0,27.51-22.382,49.893-49.893,49.893h-13.209c-7.234,0-13.12,5.886-13.12,13.12
		v40.154h21.529c29.409,0,53.567,23.925,53.853,53.332c0.141,14.484-5.395,28.128-15.588,38.419s-23.782,15.958-38.266,15.958
		h-21.528v135.271C304.216,505.498,297.714,512,289.693,512z M225.553,482.954h49.618V347.682c0-8.021,6.502-14.523,14.523-14.523
		h36.052c6.672,0,12.933-2.611,17.627-7.352c4.695-4.74,7.246-11.026,7.18-17.698c-0.131-13.547-11.26-24.569-24.808-24.569h-36.052
		c-8.021,0-14.523-6.502-14.523-14.523v-54.677c0-23.25,18.915-42.166,42.166-42.166h13.209c11.495,0,20.847-9.351,20.847-20.847
		c0-11.495-9.351-20.847-20.847-20.847h-32.525c-39.959,0-72.468,32.509-72.468,72.468v66.067c0,8.021-6.502,14.523-14.523,14.523
		h-25.613c-13.679,0-24.808,11.129-24.808,24.81c0,13.679,11.129,24.808,24.808,24.808h25.613c8.021,0,14.523,6.502,14.523,14.523
		V482.954z"/>
	<path style="fill:#e2e2e2;" d="M432.464,512h-37.766c-8.021,0-14.523-6.502-14.523-14.523s6.502-14.523,14.523-14.523h37.766
		c27.839,0,50.49-22.65,50.49-50.49V79.536c0-27.839-22.65-50.49-50.49-50.49H214.367c-8.021,0-14.523-6.502-14.523-14.523
		S206.346,0,214.367,0h218.097C476.321,0,512,35.679,512,79.536v352.928C512,476.321,476.321,512,432.464,512z"/>
	<path style="fill:#e2e2e2;" d="M289.693,512H79.536C35.679,512,0,476.321,0,432.464V79.536C0,35.679,35.679,0,79.536,0h32.684
		c8.021,0,14.523,6.502,14.523,14.523s-6.502,14.523-14.523,14.523H79.536c-27.839,0-50.49,22.65-50.49,50.49v352.928
		c0,27.839,22.65,50.49,50.49,50.49h210.157c8.021,0,14.523,6.502,14.523,14.523S297.714,512,289.693,512z"/>
</g>
</svg>';
                break;
            case 'twitter':
                $social_svg = '<svg version="1.1" id="Layer_1"  x="0px" y="0px"
	 viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;" xml:space="preserve">
<g>
	<path style="fill:#e2e2e2;" d="M432.464,512h-37.766c-8.021,0-14.523-6.502-14.523-14.523s6.502-14.523,14.523-14.523h37.766
		c27.839,0,50.49-22.65,50.49-50.49V79.536c0-27.839-22.65-50.49-50.49-50.49H214.367c-8.021,0-14.523-6.502-14.523-14.523
		S206.346,0,214.367,0h218.097C476.321,0,512,35.679,512,79.536v352.928C512,476.321,476.321,512,432.464,512z"/>
	<path style="fill:#e2e2e2;" d="M289.693,512H79.536C35.679,512,0,476.321,0,432.464V79.536C0,35.679,35.679,0,79.536,0h32.684
		c8.021,0,14.523,6.502,14.523,14.523s-6.502,14.523-14.523,14.523H79.536c-27.839,0-50.49,22.65-50.49,50.49v352.928
		c0,27.839,22.65,50.49,50.49,50.49h210.157c8.021,0,14.523,6.502,14.523,14.523S297.714,512,289.693,512z"/>
</g>
<path style="fill:#ffffff!important;" d="M402.448,169.183l-37.573-14.314c-7.963-17.818-20.947-30.558-38.881-34.726
	c-52.475-12.195-80.156,37.033-74.518,72.059c0.796,4.942,2.136,9.662,3.956,14.108c-4.695,0.562-73.226,7.687-132.133-37.704
	c-4.645-3.578-11.392-0.928-12.549,4.822c-3.234,16.051-2.402,45.263,35.436,69.081c0,0-7.501,0.903-16.841-0.574
	c-5.962-0.943-10.762,4.727-8.797,10.435c5.298,15.384,19.509,38.642,57.205,41.297c0,0-5.482,3.15-15.422,4.758
	c-5.975,0.966-8.71,8.055-4.9,12.759c8.991,11.101,26.897,25.645,57.978,23.09c0,0,2.216,25.736-88.895,41.628
	c-0.004,0.001,45.784,17.856,100.705,17.856c152.343,0,152.417-127.349,146.611-201.278L402.448,169.183z"/>
<path style="fill:#e2e2e2;" d="M227.216,408.279c-29.812,0-56.906-5.079-74.386-9.34c-9.899-2.412-17.861-4.832-22.796-6.435
	c-10.017-3.256-17.255-5.607-18.004-15.505c-0.566-7.455,4.621-14.121,11.986-15.405c29.363-5.121,47.662-11.071,59.013-16.251
	c-14.512-4.518-27.174-13.027-36.886-25.018c-4.817-5.95-6.242-14.01-3.811-21.24c-21.532-11.084-31.252-29.598-35.519-41.983
	c-2.361-6.862-1.266-14.472,2.932-20.357c0.963-1.349,2.062-2.574,3.271-3.661C92.303,208.27,94.12,182.422,96.511,170.56
	c2.113-10.489,11.392-18.1,22.064-18.1c4.945,0,9.643,1.605,13.586,4.645c38.128,29.379,80.695,34.931,104.678,35.384
	c-2.892-22.019,4.393-46.243,19.265-63.7c13.769-16.161,32.952-25.063,54.014-25.063c6.219,0,12.666,0.765,19.16,2.274
	c19.847,4.613,35.696,17.474,46.139,37.348l32.199,12.268c4.849,1.847,8.344,6.142,9.168,11.263
	c0.823,5.122-1.147,10.297-5.172,13.572l-22.751,18.517c3.686,54.344,1.386,120.087-39.67,164.495
	C321.699,393.199,280.66,408.279,227.216,408.279z M185.193,375.808c12.767,2.01,27.067,3.425,42.024,3.425
	c45.014,0,78.878-11.941,100.651-35.492c35.351-38.238,35.394-100.316,31.482-150.126c-0.373-4.755,1.611-9.391,5.311-12.401
	l9.11-7.416l-14.066-5.359c-3.605-1.374-6.515-4.125-8.089-7.646c-6.547-14.651-16.275-23.568-28.91-26.505
	c-4.342-1.009-8.576-1.521-12.586-1.521c-15.912,0-26.131,8.078-31.904,14.854c-9.813,11.52-14.681,28.111-12.403,42.272
	c0.606,3.763,1.635,7.436,3.059,10.914c1.718,4.197,1.377,8.955-0.922,12.863c-2.299,3.908-6.291,6.519-10.794,7.058
	c-1.634,0.196-7.686,0.834-16.934,0.834c-25.045,0-71.965-4.671-116.114-34.471c0.548,13.123,7.266,28.933,29.812,43.125
	c5.204,3.276,7.781,9.473,6.434,15.474c-1.348,6.001-6.328,10.5-12.435,11.235c-0.523,0.062-3.352,0.378-7.604,0.378
	c-0.534,0-1.067-0.004-1.6-0.015c7.905,13.22,21.332,20.571,40.058,21.889c6.374,0.449,11.706,5.01,13.135,11.238
	c1.429,6.229-1.38,12.658-6.92,15.842c-0.777,0.446-3.621,1.991-8.333,3.574c7.177,5.571,17.435,10.211,31.684,10.211
	c1.91,0,3.889-0.083,5.88-0.247c7.959-0.652,14.973,5.259,15.66,13.228c0.289,3.355,0,15.258-15.839,27.568
	C206.824,366.201,197.185,371.28,185.193,375.808z"/>
</svg>';
                break;
            case 'instagram':
                $social_svg = '<svg version="1.1" id="Layer_1"   x="0px" y="0px"
	 viewBox="0 0 512.001 512.001" style="enable-background:new 0 0 512.001 512.001;" xml:space="preserve">
<g>
	<path style="fill:#e2e2e2;" d="M432.464,512.001h-37.767c-8.02,0-14.523-6.502-14.523-14.523s6.503-14.523,14.523-14.523h37.767
		c27.839,0,50.49-22.65,50.49-50.49V79.537c0-27.839-22.65-50.49-50.49-50.49H214.367c-8.02,0-14.523-6.502-14.523-14.523
		s6.503-14.523,14.523-14.523h218.098c43.855,0,79.536,35.679,79.536,79.536v352.928C512,476.322,476.321,512.001,432.464,512.001z"
		/>
	<path style="fill:#e2e2e2;" d="M289.694,512.001H79.536C35.679,512.001,0,476.322,0,432.465V79.537
		C0,35.68,35.679,0.001,79.536,0.001h32.684c8.02,0,14.523,6.502,14.523,14.523s-6.503,14.523-14.523,14.523H79.536
		c-27.839,0-50.49,22.65-50.49,50.49v352.928c0,27.839,22.65,50.49,50.49,50.49h210.158c8.02,0,14.523,6.502,14.523,14.523
		C304.218,505.499,297.714,512.001,289.694,512.001z"/>
</g>
<path style="fill:#ffffff!important;" d="M359.599,102.056H152.401c-27.806,0-50.347,22.541-50.347,50.347v207.197
	c0,27.806,22.541,50.347,50.347,50.347h207.197c27.806,0,50.347-22.541,50.347-50.347V152.402
	C409.946,124.596,387.405,102.056,359.599,102.056z M256.001,330.781c-41.299,0-74.78-33.48-74.78-74.78s33.48-74.78,74.78-74.78
	s74.78,33.48,74.78,74.78S297.3,330.781,256.001,330.781z"/>
<g>
	<path style="fill:#e2e2e2;" d="M359.599,424.47H152.403c-35.77,0-64.87-29.1-64.87-64.87V152.402c0-35.769,29.1-64.87,64.87-64.87
		h207.196c35.77,0,64.87,29.1,64.87,64.87v207.197C424.469,395.368,395.368,424.47,359.599,424.47z M152.403,116.579
		c-19.754,0-35.824,16.07-35.824,35.824v207.197c0,19.753,16.07,35.824,35.824,35.824h207.196c19.754,0,35.824-16.07,35.824-35.824
		V152.402c0-19.753-16.07-35.824-35.824-35.824H152.403V116.579z M256.001,345.304c-49.242,0-89.303-40.061-89.303-89.303
		s40.061-89.303,89.303-89.303s89.303,40.061,89.303,89.303S305.243,345.304,256.001,345.304z M256.001,195.744
		c-33.226,0-60.256,27.03-60.256,60.257s27.03,60.257,60.256,60.257s60.257-27.03,60.257-60.257S289.225,195.744,256.001,195.744z"
		/>
	<circle style="fill:#e2e2e2;" cx="346.406" cy="164.504" r="20.449"/>
</g>
</svg>';
                break;
            case 'google-plus':
                $social_svg = '<svg version="1.1" id="Layer_1"   x="0px" y="0px"
	 viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;" xml:space="preserve">
<g>
	<path style="fill:#e2e2e2;" d="M430.975,512h-37.449c-7.952,0-14.401-6.447-14.401-14.401c0-7.953,6.449-14.401,14.401-14.401
		h37.449c27.604,0,50.064-22.459,50.064-50.064V83.186c0-27.604-22.459-50.064-50.064-50.064H214.718
		c-7.952,0-14.401-6.447-14.401-14.401s6.449-14.401,14.401-14.401h216.257c43.485,0,78.865,35.378,78.865,78.865v349.949
		C509.84,476.622,474.461,512,430.975,512z"/>
	<path style="fill:#e2e2e2;" d="M289.409,507.68H81.025c-43.485,0-78.865-35.378-78.865-78.865V78.865
		C2.16,35.378,37.539,0,81.025,0h32.408c7.952,0,14.401,6.447,14.401,14.401s-6.449,14.401-14.401,14.401H81.025
		c-27.604,0-50.064,22.459-50.064,50.064v349.949c0,27.604,22.459,50.064,50.064,50.064h208.385c7.952,0,14.401,6.447,14.401,14.401
		S297.363,507.68,289.409,507.68z"/>
</g>
<path style="fill:#ffffff!important;" d="M207.074,373.74c-64.926,0-117.748-52.823-117.748-117.749c0-64.918,52.821-117.733,117.748-117.733
	c26.64,0,51.036,8.05,70.553,23.278c4.172,3.253,5.926,9.023,3.738,14.406c-0.635,1.561-1.643,2.946-2.835,4.137l-18.554,18.554
	c-2.241,2.241-5.189,3.741-8.354,3.914c-2.892,0.157-5.662-0.675-7.959-2.382c-9.965-7.4-22.617-11.312-36.589-11.312
	c-35.548,0-65.579,30.745-65.579,67.137c0,36.528,29.419,66.245,65.579,66.245c46.525,0,56.897-37.061,56.897-37.061h-26.694
	c-6.807,0-12.327-5.518-12.327-12.327v-17.646c0-6.807,5.518-12.325,12.325-12.325h56.843c13.668,0,24.842,11.192,24.842,24.86
	c0,37.585-17.533,64.648-37.752,81.285C261.557,365.194,241.599,373.74,207.074,373.74z"/>
<g>
	<path style="fill:#e2e2e2;" d="M207.073,388.141c-72.867,0-132.148-59.283-132.148-132.15c0-72.858,59.281-132.134,132.148-132.134
		c29.881,0,57.342,9.104,79.413,26.326c9.339,7.284,12.721,20.106,8.22,31.182c-1.316,3.242-3.331,6.235-5.989,8.895l-18.557,18.557
		c-4.875,4.872-11.179,7.752-17.753,8.11c-6.299,0.34-12.32-1.48-17.328-5.2c-7.465-5.543-17.148-8.473-28.005-8.473
		c-27.741,0-51.178,24.151-51.178,52.736c0,28.588,22.957,51.845,51.178,51.845c13.161,0,22.482-3.672,29.004-8.286
		c-14.183-0.629-25.528-12.364-25.528-26.7v-17.646c0-14.738,11.99-26.727,26.727-26.727h56.843
		c21.638,0,39.243,17.612,39.243,39.26c0,49.614-26.943,79.19-43.003,92.405C266.191,380.029,242.062,388.141,207.073,388.141z
		 M207.073,152.66c-56.984,0-103.347,46.354-103.347,103.333c0,56.986,46.361,103.348,103.347,103.348
		c32.421,0,48.903-8.203,64.985-21.438c12.14-9.988,32.502-32.384,32.502-70.165c0-5.767-4.685-10.459-10.442-10.459H239.35v13.499
		h24.621c4.504,0,8.75,2.108,11.473,5.698c2.723,3.589,3.609,8.246,2.395,12.583c-4.605,16.457-25.322,47.581-70.766,47.581
		c-44.1,0-79.979-36.178-79.979-80.646c0-44.198,36.626-81.537,79.979-81.537c16.402,0,31.452,4.509,43.66,13.058l16.095-16.094
		C250.191,159.138,229.588,152.66,207.073,152.66z"/>
	<path style="fill:#e2e2e2;" d="M392.072,301.002c-7.952,0-14.401-6.447-14.401-14.401v-61.202c0-7.953,6.449-14.401,14.401-14.401
		c7.952,0,14.401,6.447,14.401,14.401v61.202C406.473,294.555,400.026,301.002,392.072,301.002z"/>
	<path style="fill:#e2e2e2;" d="M422.673,270.401h-61.202c-7.952,0-14.401-6.447-14.401-14.401c0-7.953,6.449-14.401,14.401-14.401
		h61.202c7.952,0,14.401,6.447,14.401,14.401C437.074,263.953,430.627,270.401,422.673,270.401z"/>
</g>
</svg>';
                break ;
            case 'linkedin':
                $social_svg = '<svg version="1.1" id="Layer_1"   x="0px" y="0px"
	 viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;" xml:space="preserve">
<g>
	<path style="fill:#e2e2e2;" d="M432.464,512h-37.766c-8.021,0-14.523-6.502-14.523-14.523s6.502-14.523,14.523-14.523h37.766
		c27.839,0,50.49-22.65,50.49-50.49V79.536c0-27.839-22.65-50.49-50.49-50.49H214.367c-8.021,0-14.523-6.502-14.523-14.523
		S206.346,0,214.367,0h218.097C476.321,0,512,35.679,512,79.536v352.928C512,476.321,476.321,512,432.464,512z"/>
	<path style="fill:#e2e2e2;" d="M289.693,512H79.536C35.679,512,0,476.321,0,432.464V79.536C0,35.679,35.679,0,79.536,0h32.684
		c8.021,0,14.523,6.502,14.523,14.523s-6.502,14.523-14.523,14.523H79.536c-27.839,0-50.49,22.65-50.49,50.49v352.928
		c0,27.839,22.65,50.49,50.49,50.49h210.157c8.021,0,14.523,6.502,14.523,14.523S297.714,512,289.693,512z"/>
</g>
<path style="fill:#ffffff!important;" d="M142.603,112.936c17.866,0.017,32.597,14.77,32.559,32.728c-0.042,18.797-15.643,32.966-32.78,32.561
	c-17.381,0.351-32.657-14.167-32.652-32.686C109.73,127.576,124.518,112.925,142.603,112.936L142.603,112.936z"/>
<path style="fill:#e2e2e2;" d="M143.095,192.755c-0.247,0-0.492-0.001-0.738-0.006c-0.198,0.003-0.395,0.004-0.593,0.004
	c-12.26,0-23.882-4.884-32.725-13.752c-8.924-8.949-13.836-20.835-13.833-33.466c0-25.982,21.253-47.122,47.376-47.122
	c12.558,0.013,24.368,4.947,33.288,13.896c8.935,8.962,13.841,20.819,13.814,33.386c-0.058,25.948-20.955,47.059-46.584,47.062
	C143.099,192.755,143.098,192.755,143.095,192.755z M142.382,163.7c0.115,0,0.229,0.001,0.344,0.004l0.372,0.004
	c8.452,0,17.518-7.264,17.541-18.078c0.01-4.8-1.885-9.351-5.339-12.815c-3.439-3.449-7.954-5.352-12.712-5.356
	c-10.114,0-18.337,8.11-18.337,18.08c-0.001,4.89,1.901,9.489,5.356,12.953c3.305,3.314,7.736,5.215,12.157,5.215l0.324-0.003
	C142.186,163.702,142.285,163.7,142.382,163.7z"/>
<path style="fill:#ffffff!important;" d="M282.754,401.968v-93.876c0-17.281,13.621-31.839,30.898-32.198c8.98-0.186,17.13,3.381,22.987,9.24
	c5.713,5.709,9.245,13.604,9.245,22.321v94.514h56.382l0.004-98.072c0-60.625-32.639-87.29-66.876-87.29
	c-45.701,0-56.883,26.258-56.887,26.267v-23.779h-52.013V401.97h56.26V401.968z"/>
<path style="fill:#e2e2e2;" d="M402.266,416.492h-56.382c-8.021,0-14.523-6.502-14.523-14.523v-94.514
	c0-4.556-1.77-8.834-4.987-12.047c-3.224-3.224-7.504-4.997-12.054-4.997l-0.367,0.004c-9.196,0.19-16.675,8.12-16.675,17.678
	v93.876c0,8.021-6.502,14.523-14.523,14.523h-56.26c-8.021,0-14.523-6.502-14.523-14.523V219.095
	c0-8.021,6.502-14.523,14.523-14.523h52.013c5.387,0,10.089,2.934,12.596,7.289c10.979-5.692,25.558-9.777,44.291-9.777
	c40.517,0,81.399,31.482,81.399,101.813l-0.004,98.072C416.789,409.99,410.287,416.492,402.266,416.492z M360.409,387.445h27.335
	l0.003-83.549c0-53.65-27.044-72.767-52.353-72.767c-34.003,0-43.055,16.553-43.658,17.736c-2.797,6.175-9.507,9.607-16.169,8.23
	c-6.746-1.394-11.584-7.334-11.584-14.221v-9.256h-22.967v153.828h27.213v-79.353c0-25.244,20.241-46.202,45.12-46.718
	c12.69-0.263,24.624,4.557,33.557,13.491c8.704,8.696,13.498,20.271,13.498,32.59v79.989H360.409z"/>
<polygon style="fill:#ffffff!important;" points="170.579,401.968 170.579,219.099 114.314,219.099 114.309,219.103 114.309,401.968 "/>
<path style="fill:#e2e2e2;" d="M170.579,416.492h-56.27c-8.021,0-14.523-6.502-14.523-14.523V219.103
	c0-8.021,6.508-14.528,14.529-14.528h56.263c8.021,0,14.523,6.502,14.523,14.523V401.97
	C185.102,409.99,178.6,416.492,170.579,416.492z M128.832,387.445h27.222V233.622h-27.222V387.445z"/>
</svg>';
                break;
            case 'xing' :
                $social_svg = '<svg version="1.1" id="Layer_1"   x="0px" y="0px"
	 viewBox="0 0 512.001 512.001" style="enable-background:new 0 0 512.001 512.001;" xml:space="preserve">
<g>
	<path style="fill:#e2e2e2;" d="M432.464,512.001h-37.767c-8.02,0-14.523-6.503-14.523-14.523s6.503-14.523,14.523-14.523h37.767
		c27.839,0,50.49-22.65,50.49-50.49V79.537c0-27.839-22.65-50.49-50.49-50.49H214.367c-8.02,0-14.523-6.503-14.523-14.523
		s6.503-14.523,14.523-14.523h218.098c43.855,0,79.536,35.679,79.536,79.536v352.93C512,476.322,476.321,512.001,432.464,512.001z"
		/>
	<path style="fill:#e2e2e2;" d="M289.694,512.001H79.536C35.679,512.001,0,476.322,0,432.465V79.537
		C0,35.68,35.679,0.001,79.536,0.001h32.684c8.02,0,14.523,6.503,14.523,14.523s-6.503,14.523-14.523,14.523H79.536
		c-27.839,0-50.49,22.65-50.49,50.49v352.93c0,27.839,22.65,50.49,50.49,50.49h210.158c8.02,0,14.523,6.503,14.523,14.523
		S297.714,512.001,289.694,512.001z"/>
</g>
<path style="fill:#ffffff!important;" d="M179.274,136.543h-78.325l43.837,81.918l-59.647,98.445h78.331l59.639-98.445L179.274,136.543z"/>
<path style="fill:#e2e2e2;" d="M163.469,331.429H85.139c-5.243,0-10.079-2.826-12.654-7.395c-2.572-4.569-2.485-10.169,0.232-14.654
	l55.358-91.367l-39.933-74.618c-2.408-4.502-2.276-9.937,0.347-14.315c2.623-4.38,7.353-7.06,12.458-7.06h78.325
	c5.356,0,10.278,2.948,12.805,7.671l43.837,81.918c2.42,4.523,2.274,9.989-0.385,14.376L175.89,324.43
	C173.258,328.775,168.548,331.429,163.469,331.429z M110.919,302.383h44.368l51.111-84.368l-35.826-66.95h-45.38l32.4,60.544
	c2.42,4.522,2.274,9.989-0.385,14.376L110.919,302.383z"/>
<path style="fill:#ffffff!important;" d="M344.332,112.51h82.529L323.783,287.444l63.447,112.047h-82.419l-63.558-112.047L344.332,112.51z"/>
<path style="fill:#e2e2e2;" d="M387.258,414.015c-0.007,0.001-0.019,0.001-0.029,0H304.81c-5.228,0-10.053-2.81-12.632-7.357
	L228.62,294.61c-2.563-4.518-2.517-10.063,0.121-14.538l103.078-174.934c2.61-4.431,7.369-7.151,12.512-7.151h82.529
	c5.212,0,10.024,2.793,12.61,7.317c2.585,4.525,2.549,10.089-0.097,14.578l-98.818,167.707l58.884,103.99
	c1.483,2.276,2.343,4.995,2.343,7.914C401.781,407.513,395.281,414.015,387.258,414.015z M313.27,384.968h49.046L311.145,294.6
	c-2.558-4.517-2.51-10.057,0.126-14.529l90.176-153.039h-48.815l-94.602,160.55L313.27,384.968z"/>
</svg>';
                break;
            case 'email':
                $social_svg = '<svg version="1.1" id="Layer_1"   x="0px" y="0px"
	 viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;" xml:space="preserve">
<g>
	<path style="fill:#e2e2e2;" d="M432.464,512h-37.766c-8.021,0-14.523-6.502-14.523-14.523s6.502-14.523,14.523-14.523h37.766
		c27.839,0,50.49-22.65,50.49-50.49V79.536c0-27.839-22.65-50.49-50.49-50.49H214.367c-8.021,0-14.523-6.502-14.523-14.523
		S206.346,0,214.367,0h218.097C476.321,0,512,35.679,512,79.536v352.928C512,476.321,476.321,512,432.464,512z"/>
	<path style="fill:#e2e2e2;" d="M289.693,512H79.536C35.679,512,0,476.321,0,432.464V79.536C0,35.679,35.679,0,79.536,0h32.684
		c8.021,0,14.523,6.502,14.523,14.523s-6.502,14.523-14.523,14.523H79.536c-27.839,0-50.49,22.65-50.49,50.49v352.928
		c0,27.839,22.65,50.49,50.49,50.49h210.157c8.021,0,14.523,6.502,14.523,14.523S297.714,512,289.693,512z"/>
</g>
<path style="fill:#ffffff!important;" d="M397.094,120.693l-296.09,115.385c-9.593,3.738-9.009,17.5,0.864,20.412l67.633,19.969l21.022,78.715
	c2.932,9.308,14.725,12.127,21.552,5.157l41.623-39.722l88.273,68.661c9.341,6.856,22.643,1.76,25.015-9.578l50.552-241.69
	C420.013,126.162,408.366,116.3,397.094,120.693L397.094,120.693z"/>
<g>
	<path style="fill:#e2e2e2;" d="M351.348,406.895h-0.001c-6.483,0-12.698-2.046-17.969-5.915c-0.109-0.08-0.216-0.161-0.322-0.244
		l-78.389-60.974l-32.42,30.94c-5.185,5.188-12.047,8.04-19.356,8.04c-12.064,0-22.601-7.716-26.219-19.202
		c-0.064-0.205-0.125-0.41-0.18-0.617l-18.918-70.841l-59.818-17.662c-10.545-3.112-17.663-12.223-18.128-23.209
		c-0.466-10.988,5.856-20.669,16.105-24.663l296.09-115.385c3.502-1.365,7.151-2.056,10.849-2.056c8.965,0,17.381,4.03,23.09,11.056
		c5.651,6.955,7.835,16,5.991,24.814l-50.554,241.69C378.264,396.705,365.71,406.895,351.348,406.895z M350.652,377.626
		c0.235,0.155,0.449,0.222,0.696,0.222c0.121,0,1.191-0.03,1.422-1.128l50.552-241.69c0.057-0.272,0.036-0.381-0.103-0.552
		c-0.151-0.186-0.388-0.327-0.548-0.327c-0.073,0-0.18,0.026-0.302,0.074L116.439,245.65l57.173,16.882
		c4.854,1.433,8.612,5.292,9.919,10.182l20.171,75.532l39.968-38.142c5.205-4.968,13.264-5.375,18.943-0.957L350.652,377.626z"/>
	<path style="fill:#e2e2e2;" d="M219.677,360.209c0.456,1.476,17.095-19.324,17.272-20.862l-7.463-36.536
		c-0.983-4.813,0.761-9.776,4.538-12.915l136.798-113.674c3.292-2.913-0.532-8.05-4.265-5.737L205.69,268.601
		c-3.814,2.327-5.782,6.775-4.939,11.161L219.677,360.209z"/>
</g>
</svg>';
                break;
            case 'pinterest':
                $social_svg = '<svg version="1.1" id="Layer_1"   x="0px" y="0px"
	 viewBox="0 0 512.001 512.001" style="enable-background:new 0 0 512.001 512.001;" xml:space="preserve">
<g>
	<path style="fill:#e2e2e2;" d="M432.464,512.001h-37.767c-8.02,0-14.523-6.502-14.523-14.523s6.503-14.523,14.523-14.523h37.767
		c27.839,0,50.49-22.65,50.49-50.49V79.537c0-27.839-22.65-50.49-50.49-50.49H214.367c-8.02,0-14.523-6.502-14.523-14.523
		s6.503-14.523,14.523-14.523h218.098c43.855,0,79.536,35.679,79.536,79.536v352.928C512,476.322,476.321,512.001,432.464,512.001z"
		/>
	<path style="fill:#e2e2e2;" d="M289.694,512.001H79.536C35.679,512.001,0,476.322,0,432.465V79.537
		C0,35.68,35.679,0.001,79.536,0.001h32.684c8.02,0,14.523,6.502,14.523,14.523s-6.503,14.523-14.523,14.523H79.536
		c-27.839,0-50.49,22.65-50.49,50.49v352.928c0,27.839,22.65,50.49,50.49,50.49h210.158c8.02,0,14.523,6.502,14.523,14.523
		C304.218,505.499,297.714,512.001,289.694,512.001z"/>
</g>
<circle style="fill:#ffffff!important;" cx="255.999" cy="256" r="158.302"/>
<g>
	<path style="fill:#e2e2e2;" d="M256.001,428.827c-95.296,0-172.825-77.529-172.825-172.825S160.704,83.176,256.001,83.176
		s172.825,77.529,172.825,172.825S351.297,428.827,256.001,428.827z M256.001,112.222c-79.28,0-143.779,64.499-143.779,143.779
		S176.72,399.78,256.001,399.78S399.78,335.282,399.78,256.001S335.28,112.222,256.001,112.222z"/>
	<path style="fill:#e2e2e2;" d="M261.713,168.863c-66.522,0-100.061,47.693-100.061,87.464c0,19.507,5.989,37.265,18.661,47.552
		c3.06,2.485,7.687,0.893,8.73-2.909l3.73-13.605c0.925-3.374,0.594-6.929-0.726-10.169c-1.981-4.862-3.109-10.56-3.109-17.38
		c0-35.384,26.473-67.059,68.933-67.059c37.599,0,58.257,22.974,58.257,53.657c0,40.367-17.866,74.44-44.39,74.44
		c-14.648,0-25.612-12.112-22.097-26.969c4.207-17.736,12.359-36.877,12.359-49.681c0-11.46-6.149-21.019-18.883-21.019
		c-14.972,0-27,15.489-27,36.238c0,13.215,4.466,22.154,4.466,22.154s-15.323,64.923-18.009,76.293
		c-5.35,22.643-0.805,50.404-0.42,53.207c0.225,1.66,2.36,2.056,3.327,0.8c1.38-1.802,19.214-23.818,25.278-45.816
		c1.715-6.229,9.848-38.485,9.848-38.485c4.865,9.279,19.081,17.451,34.201,17.451c45.009,0,75.544-41.034,75.544-95.954
		C350.349,207.538,315.174,168.863,261.713,168.863z"/>
</g>
</svg>';
                break;
            case 'youtube':
                $social_svg = '<svg version="1.1" id="Layer_1"  x="0px" y="0px"
	 viewBox="0 0 512.001 512.001" style="enable-background:new 0 0 512.001 512.001;" xml:space="preserve">
<g>
	<path style="fill:#e2e2e2;" d="M432.464,512.001h-37.767c-8.02,0-14.523-6.502-14.523-14.523s6.503-14.523,14.523-14.523h37.767
		c27.839,0,50.49-22.65,50.49-50.49V79.537c0-27.839-22.65-50.49-50.49-50.49H214.367c-8.021,0-14.523-6.502-14.523-14.523
		s6.502-14.523,14.523-14.523h218.098c43.855,0,79.536,35.679,79.536,79.536v352.928C512,476.322,476.321,512.001,432.464,512.001z"
		/>
	<path style="fill:#e2e2e2;" d="M289.694,512.001H79.536C35.679,512.001,0,476.322,0,432.465V79.537
		C0,35.68,35.679,0.001,79.536,0.001h32.684c8.021,0,14.523,6.502,14.523,14.523s-6.502,14.523-14.523,14.523H79.536
		c-27.839,0-50.49,22.65-50.49,50.49v352.928c0,27.839,22.65,50.49,50.49,50.49h210.158c8.02,0,14.523,6.502,14.523,14.523
		C304.218,505.499,297.714,512.001,289.694,512.001z"/>
</g>
<path style="fill:#ffffff!important;" d="M373.918,417.491H138.082c-23.105,0-41.835-18.73-41.835-41.835v-83.335
	c0-23.105,18.73-41.835,41.835-41.835h235.837c23.105,0,41.835,18.73,41.835,41.835v83.335
	C415.755,398.76,397.023,417.491,373.918,417.491z"/>
<g>
	<path style="fill:#e2e2e2;" d="M373.918,432.013H138.082c-31.077,0-56.358-25.282-56.358-56.358v-83.335
		c0-31.077,25.282-56.358,56.358-56.358h235.837c31.077,0,56.36,25.282,56.36,56.358v83.335
		C430.278,406.731,404.995,432.013,373.918,432.013z M138.082,265.007c-15.06,0-27.312,12.253-27.312,27.312v83.335
		c0,15.06,12.253,27.312,27.312,27.312h235.837c15.06,0,27.314-12.253,27.314-27.312v-83.335c0-15.06-12.253-27.312-27.314-27.312
		H138.082z"/>
	<path style="fill:#e2e2e2;" d="M182.941,215.598v-41.872c0-3.073-0.431-5.467-1.711-9.488l-20.726-69.685h26.275
		c0,0,10.024,44.984,12.368,44.984c2.306,0,12.15-45.028,12.15-45.028l25.465,0.039l-21.586,69.37
		c-0.773,2.707-1.704,7.895-1.704,10.15v41.53h-30.532V215.598z"/>
	<path style="fill:#e2e2e2;" d="M263.315,217.419c-16.514,0-27.608-9.995-27.608-24.871v-49.45
		c0-14.773,11.096-24.699,27.608-24.699c16.773,0,27.608,10.031,27.608,25.556v48.593
		C290.923,207.424,279.829,217.419,263.315,217.419z M263.315,142.134c-2.727,0-4.557,2.106-4.557,5.243v40.721
		c0,3.866,2.354,5.243,4.557,5.243s4.557-1.377,4.557-5.243v-40.721C267.872,144.339,265.956,142.134,263.315,142.134z"/>
	<path style="fill:#e2e2e2;" d="M332.584,217.419l-3.111-4.768c-0.365-0.559-1.156-0.617-1.59-0.11
		c-1.486,1.731-5.279,4.878-13.236,4.878c-5.921,0-14.262-4.957-14.262-15.974v-83.046h20.655v64.91
		c0,3.602,2.363,5.243,4.557,5.243c2.103,0,4.557-1.374,4.557-5.243v-64.91h21.34v99.02H332.584z"/>
	<polygon style="fill:#e2e2e2;" points="161.406,387.442 161.406,307.803 161.336,305.643 142.588,305.643 142.597,282.772 
		202.569,282.772 202.493,305.643 183.62,305.643 183.68,308.1 183.68,387.442 	"/>
	<path style="fill:#e2e2e2;" d="M241.187,389.263l-2.611-3.83c-0.41-0.6-1.274-0.63-1.725-0.062
		c-1.234,1.548-4.289,3.892-11.466,3.892c-5.07,0-12.211-4.251-12.211-13.704v-72.216h17.556v56.393
		c0,3.303,2.181,4.806,4.207,4.806c2.096,0,4.209-1.486,4.209-4.806v-56.393h18.152v85.92H241.187z"/>
	<path style="fill:#e2e2e2;" d="M298.522,389.263c-6.991,0-8.604-2.245-9.887-3.252c-0.334-0.261-0.813-0.221-1.108,0.084
		l-3.067,3.168h-17.553v-110.55h18.45v25.795c0,2.072,1.175,3.015,2.268,3.015c1.053,0,1.68-0.627,2.632-1.579
		c1.776-1.775,4.069-2.601,7.221-2.601c4.569,0,15.197,2.616,15.197,26.839v31.196C312.673,379.881,307.912,389.263,298.522,389.263
		z M287.05,368.765c0.752,0.896,1.997,1.3,2.963,1.3c1.13,0,3.76-0.453,3.76-4.656v-37.467c0-2.784-1.51-4.656-3.76-4.656
		c-2.656,0-4.658,2.45-4.658,5.7v35.675C285.356,366.398,285.924,367.776,287.05,368.765z"/>
	<path style="fill:#e2e2e2;" d="M343.898,389.263c-14.562,0-23.257-9.922-23.257-26.541v-37.019c0-16.504,12.85-22.36,23.854-22.36
		c17.004,0,24.749,13.371,24.749,25.795v11.534h-27.209l0.042,0.109v23.435c0,3.763,2.174,5.105,4.209,5.105
		c2.039,0,4.207-1.737,4.207-4.955v-6.938l18.916-0.046l-0.466,8.924C368.946,385.279,355.326,389.263,343.898,389.263z
		 M346.139,318.359c-2.022,0-4.061,1.532-4.061,4.954v7.463c0,1.415,1.217,2.568,2.716,2.568c3.676,0,5.7,0,5.7-2.568
		C350.496,321.489,350.496,318.359,346.139,318.359z"/>
</g>
</svg>';
                break;
            case 'tumblr':
                $social_svg = '<svg version="1.1" id="Layer_1"   x="0px" y="0px"
	 viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;" xml:space="preserve">
<g>
	<path style="fill:#e2e2e2;" d="M432.464,512h-37.766c-8.021,0-14.523-6.503-14.523-14.523s6.502-14.523,14.523-14.523h37.766
		c27.839,0,50.49-22.65,50.49-50.49V79.536c0-27.839-22.65-50.49-50.49-50.49H214.367c-8.021,0-14.523-6.503-14.523-14.523
		S206.346,0,214.367,0h218.097C476.321,0,512,35.679,512,79.536v352.93C512,476.321,476.321,512,432.464,512z"/>
	<path style="fill:#e2e2e2;" d="M289.693,512H79.536C35.679,512,0,476.321,0,432.464V79.536C0,35.679,35.679,0,79.536,0h32.684
		c8.021,0,14.523,6.503,14.523,14.523s-6.502,14.523-14.523,14.523H79.536c-27.839,0-50.49,22.65-50.49,50.49v352.93
		c0,27.839,22.65,50.49,50.49,50.49h210.157c8.021,0,14.523,6.503,14.523,14.523S297.714,512,289.693,512z"/>
</g>
<path style="fill:#ffffff!important;" d="M319.85,358.35c-6.861,1.384-13.775,1.911-20.745,1.162c-7.005-0.749-13.514-2.969-19.409-6.849
	c-6.021-3.962-9.595-9.5-10.702-16.641c-1.028-6.647-1.349-13.339-1.506-20.048c-0.07-2.942-0.118-85.416-0.118-85.416h75.027
	v-49.624H267.41l-0.017-80.073h-44.821c-0.366,2.499-2.325,13.236-2.764,16.124c-3.923,25.848-18.674,47.196-40.589,59.112
	c-2.9,1.577-20.058,9.212-20.058,9.212v45.248h33.941c0,37.102-0.012,69.246,0.017,106.349c0,7.479,0.527,14.915,1.863,22.294
	c1.759,9.669,6.222,17.898,12.875,25.042c8.58,9.213,18.929,15.704,30.671,20.088c7.388,2.768,15.015,4.55,22.822,5.59
	c4.758,0.627,9.53,1.002,14.327,1.133c0.205,0.009,6.618,0.083,9.622,0.083c1.375-0.065,2.743-0.157,4.114-0.214
	c15.525-0.667,30.563-3.722,45.104-9.218c6.113-2.308,12.125-4.851,18.038-7.619c0.091-0.035,0.192-0.074,0.283-0.112V344.22
	C342.685,350.904,331.827,355.937,319.85,358.35z"/>
<path style="fill:#e2e2e2;" d="M285.3,425.66c-1.826,0-8.359-0.049-10.017-0.09v0.001c-5.298-0.144-10.624-0.565-15.829-1.25
	c-9.243-1.232-17.991-3.378-26.021-6.387c-14.285-5.336-26.471-13.342-36.202-23.79c-8.785-9.433-14.347-20.314-16.535-32.343
	c-1.413-7.8-2.099-15.941-2.099-24.894c-0.023-28.653-0.022-54.359-0.019-81.675v-10.149h-19.417
	c-8.021,0-14.523-6.503-14.523-14.523v-45.248c0-5.737,3.378-10.936,8.619-13.27c7.864-3.499,17.378-7.824,19.037-8.708
	c17.861-9.712,29.95-27.401,33.156-48.525c0.241-1.589,0.821-4.883,1.433-8.371c0.517-2.945,1.162-6.611,1.317-7.674
	c1.041-7.134,7.161-12.425,14.371-12.425h44.821c8.02,0,14.522,6.501,14.523,14.52l0.015,65.553h60.467
	c8.021,0,14.523,6.503,14.523,14.523v49.624c0,8.02-6.502,14.523-14.523,14.523h-60.493c0.023,31.174,0.062,68.278,0.105,70.571
	c0.128,5.514,0.388,11.998,1.339,18.152c0.475,3.063,1.728,5.013,4.329,6.724c3.852,2.536,8.094,4.02,12.971,4.541
	c5.111,0.546,10.422,0.234,16.33-0.957c9.317-1.876,18.433-5.809,27.876-12.022c4.462-2.935,10.173-3.186,14.875-0.652
	c4.701,2.534,7.632,7.445,7.632,12.785v49.753c0,5.785-3.433,11.019-8.74,13.322c-0.102,0.044-0.208,0.089-0.314,0.132
	c-6.149,2.868-12.427,5.513-18.665,7.866c-15.859,5.994-32.554,9.407-49.607,10.139c-0.735,0.03-1.447,0.07-2.157,0.109
	c-0.63,0.035-1.259,0.07-1.891,0.099C285.76,425.654,285.531,425.66,285.3,425.66z M276.078,396.537
	c0.812,0.015,6.007,0.071,8.849,0.077l1.34-0.071c0.85-0.048,1.696-0.093,2.546-0.129c13.939-0.598,27.595-3.388,40.57-8.293
	c2.974-1.121,5.96-2.319,8.932-3.58v-16.484c-5.138,1.964-10.322,3.467-15.596,4.528c-8.756,1.766-17.181,2.222-25.164,1.364
	c-9.447-1.009-18.145-4.09-25.841-9.158c-9.439-6.207-15.341-15.389-17.069-26.547c-1.207-7.806-1.522-15.467-1.673-21.934
	c-0.071-2.951-0.115-71.945-0.122-85.745c-0.001-3.853,1.526-7.549,4.251-10.275c2.723-2.725,6.419-4.257,10.272-4.257h60.503
	v-20.578h-60.464c-8.02,0-14.522-6.501-14.523-14.52l-0.015-65.553h-18.07c-0.283,1.627-0.517,3-0.636,3.78
	c-4.582,30.192-22.081,55.593-48.011,69.692c-1.872,1.018-7.305,3.52-12.472,5.857v21.321h19.417
	c8.021,0,14.523,6.503,14.523,14.523l-0.001,24.675c-0.001,27.309-0.003,53.005,0.019,81.662c0,7.209,0.533,13.656,1.631,19.72
	c1.192,6.553,4.206,12.356,9.212,17.733c6.724,7.219,14.943,12.577,25.124,16.379c6.079,2.277,12.506,3.846,19.659,4.8
	c4.193,0.552,8.508,0.892,12.805,1.009C276.075,396.537,276.076,396.537,276.078,396.537z"/>
</svg>';
                break;
            case 'behance':
                $social_svg = '<svg version="1.1" id="Layer_1"   x="0px" y="0px"
	 viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;" xml:space="preserve">
<g>
	<path style="fill:#e2e2e2;" d="M432.464,512h-37.766c-8.021,0-14.523-6.502-14.523-14.523s6.502-14.523,14.523-14.523h37.766
		c27.839,0,50.49-22.65,50.49-50.49V79.536c0-27.839-22.65-50.49-50.49-50.49H214.367c-8.021,0-14.523-6.502-14.523-14.523
		S206.346,0,214.367,0h218.097C476.321,0,512,35.679,512,79.536v352.928C512,476.321,476.321,512,432.464,512z"/>
	<path style="fill:#e2e2e2;" d="M289.693,512H79.536C35.679,512,0,476.321,0,432.464V79.536C0,35.679,35.679,0,79.536,0h32.684
		c8.021,0,14.523,6.502,14.523,14.523s-6.502,14.523-14.523,14.523H79.536c-27.839,0-50.49,22.65-50.49,50.49v352.928
		c0,27.839,22.65,50.49,50.49,50.49h210.157c8.021,0,14.523,6.502,14.523,14.523S297.714,512,289.693,512z"/>
</g>
<path style="fill:#ffffff!important;" d="M126.257,366.493c-14.482,0-26.265-11.783-26.265-26.265V181.756
	c0-14.482,11.783-26.265,26.265-26.265h58.939c10.905,0,20.98,1.245,29.945,3.7c9.471,2.595,17.739,6.496,24.579,11.594
	c7.228,5.387,12.856,12.047,16.729,19.796c3.87,7.735,5.832,16.401,5.832,25.755c0,14.891-4.511,27.485-13.235,37.338
	c3.372,2.761,6.329,5.879,8.858,9.35c7.235,9.932,10.905,21.754,10.905,35.137c0,21.5-7.397,38.607-21.984,50.844
	c-13.835,11.603-34.247,17.486-60.673,17.486h-59.896V366.493z M183.603,306.403c9.701,0,13.486-1.975,14.664-2.825
	c1.126-0.812,1.695-2.848,1.695-6.052c0-3.173-0.452-4.888-0.72-5.629c-0.06-0.163-0.077-0.211-0.321-0.388
	c-0.29-0.212-1.494-0.97-4.395-1.567c-3.154-0.646-7.369-0.975-12.516-0.975h-14.609v17.436h16.202V306.403z M183.285,228.559
	c7.302,0,10.153-1.249,10.91-1.673c0.245-0.558,0.674-2.119,0.674-4.976c0-2.284-0.383-4.085-0.977-4.586l0,0
	c-0.012,0-2.706-1.746-12.199-1.746h-14.289v12.981L183.285,228.559L183.285,228.559z"/>
<g>
	<path style="fill:#e2e2e2;" d="M185.195,170.014c9.656,0,18.36,1.062,26.108,3.185c7.745,2.123,14.327,5.201,19.738,9.232
		c5.413,4.035,9.552,8.916,12.417,14.645c2.867,5.731,4.299,12.153,4.299,19.262c0,18.574-8.811,31.734-26.426,39.48
		c11.144,3.079,19.422,8.332,24.833,15.76c5.413,7.43,8.12,16.292,8.12,26.585c0,17.088-5.599,30.326-16.795,39.718
		c-11.199,9.392-28.311,14.089-51.339,14.089h-59.893c-6.486,0-11.743-5.257-11.743-11.742V181.757
		c0-6.485,5.257-11.742,11.743-11.742h58.938 M152.879,243.082h30.406c9.019,0,15.625-1.566,19.82-4.697
		c4.191-3.13,6.289-8.621,6.289-16.476c0-7.005-2.043-12.23-6.129-15.681c-4.087-3.448-11.277-5.173-21.57-5.173h-28.814v42.027
		 M152.879,320.926h30.725c10.293,0,18.013-1.855,23.163-5.571c5.146-3.714,7.72-9.656,7.72-17.829
		c0-4.139-0.532-7.667-1.592-10.586c-1.062-2.918-2.865-5.305-5.411-7.163c-2.547-1.856-5.891-3.21-10.03-4.059
		c-4.139-0.848-9.288-1.274-15.441-1.274h-29.132v46.481 M185.195,140.967h-58.938c-22.491,0-40.79,18.298-40.79,40.788v158.469
		c0,22.491,18.298,40.788,40.79,40.788h59.893c29.932,0,53.486-7.025,70.004-20.88c12.398-10.401,27.176-29.594,27.176-61.973
		c0-16.523-4.605-31.222-13.69-43.69c-0.572-0.784-1.16-1.555-1.763-2.311c5.867-10.367,8.926-22.434,8.926-35.824
		c0-11.63-2.479-22.483-7.368-32.256c-4.897-9.794-11.974-18.186-21.035-24.939c-8.304-6.187-18.199-10.881-29.417-13.957
		C208.761,142.386,197.396,140.967,185.195,140.967L185.195,140.967z"/>
	<path style="fill:#e2e2e2;" d="M363.148,171.69h-65.363c-8.021,0-14.523-6.502-14.523-14.523c0-8.021,6.502-14.523,14.523-14.523
		h65.363c8.021,0,14.523,6.502,14.523,14.523C377.671,165.188,371.169,171.69,363.148,171.69z"/>
</g>
<path style="fill:#ffffff!important;" d="M332.536,369.357c-12.679,0-24.258-1.875-34.415-5.571c-10.56-3.843-19.656-9.533-27.033-16.909
	c-7.391-7.392-13.035-16.429-16.774-26.859c-3.576-9.974-5.39-21.291-5.39-33.636c0-12.462,1.843-23.893,5.477-33.978
	c3.767-10.458,9.334-19.521,16.546-26.932c7.257-7.458,16.164-13.203,26.473-17.078c9.934-3.732,21.211-5.625,33.524-5.625
	c11.926,0,22.932,1.789,32.71,5.32c10.216,3.693,19.053,9.225,26.271,16.445c7.211,7.211,12.791,16.141,16.585,26.542
	c3.648,10.002,5.498,21.451,5.498,34.031c0,7.895-3.872,14.902-9.815,19.224c0.654,0.69,1.263,1.429,1.821,2.213
	c3.793,5.337,4.777,12.204,2.632,18.369c-1.753,5.032-4.126,9.749-7.057,14.021c-4.668,6.795-10.566,12.558-17.532,17.133
	c-6.695,4.399-14.394,7.771-22.881,10.018C350.991,368.257,342.026,369.357,332.536,369.357z M319.69,308.865
	c0.752,1.763,1.619,3.208,2.591,4.316c1.115,1.271,2.27,2.11,3.639,2.64c1.865,0.725,4.085,1.089,6.615,1.089
	c4.158,0,7.474-0.728,9.587-2.104c0.353-0.229,1.42-0.925,2.376-3.493c0.315-0.847,0.683-1.664,1.099-2.449L319.69,308.865
	L319.69,308.865z M340.835,257.531c-0.193-0.261-0.376-0.484-0.545-0.67c-1.356-1.505-3.648-3.236-9.347-3.236
	c-3.711,0-6.204,1.112-8.609,3.838c-0.02,0.023-0.039,0.045-0.06,0.067L340.835,257.531L340.835,257.531z"/>
<path style="fill:#e2e2e2;" d="M330.944,217.294c10.293,0,19.552,1.487,27.778,4.457c8.223,2.973,15.203,7.323,20.934,13.055
	c5.731,5.731,10.134,12.815,13.212,21.252c3.077,8.438,4.617,18.123,4.617,29.052c0,5.099-4.133,9.234-9.234,9.234h-85.644
	c0.105,6.582,0.927,12.205,2.467,16.874c1.538,4.671,3.635,8.516,6.289,11.542c2.652,3.024,5.755,5.228,9.314,6.607
	c3.554,1.381,7.507,2.07,11.86,2.07c7.108,0,12.947-1.484,17.511-4.457c3.624-2.36,6.312-5.892,8.062-10.598
	c0.861-2.314,3.018-3.889,5.488-3.889H387.4c3.968,0,6.835,3.905,5.53,7.652c-1.335,3.834-3.107,7.359-5.315,10.576
	c-3.609,5.253-8.118,9.658-13.531,13.213c-5.411,3.557-11.62,6.262-18.626,8.118c-7.005,1.856-14.645,2.786-22.923,2.786
	c-11.039,0-20.854-1.567-29.45-4.695c-8.598-3.13-15.839-7.642-21.73-13.531c-5.889-5.891-10.348-13.055-13.371-21.491
	c-3.025-8.437-4.538-18.013-4.538-28.734c0-10.824,1.538-20.508,4.617-29.052c3.076-8.541,7.507-15.784,13.292-21.73
	c5.783-5.943,12.84-10.48,21.173-13.611C310.858,218.861,320.33,217.294,330.944,217.294 M302.926,272.055h56.672
	c-0.851-11.247-3.689-19.552-8.518-24.913c-4.83-5.358-11.542-8.039-20.136-8.039c-7.856,0-14.355,2.919-19.502,8.756
	C306.294,253.696,303.457,261.762,302.926,272.055 M330.944,188.247c-14.061,0-27.06,2.205-38.63,6.551
	c-12.326,4.631-23.015,11.543-31.774,20.544c-8.666,8.906-15.329,19.721-19.804,32.144c-4.203,11.661-6.336,24.75-6.336,38.894
	c0,14.021,2.1,26.985,6.243,38.539c4.467,12.462,11.255,23.305,20.173,32.224c8.891,8.89,19.77,15.714,32.336,20.287
	c11.755,4.279,25.006,6.447,39.385,6.447c10.744,0,20.96-1.263,30.363-3.756c9.998-2.648,19.13-6.659,27.137-11.921
	c8.541-5.609,15.784-12.689,21.52-21.04c3.669-5.343,6.628-11.219,8.805-17.474c2.668-7.664,2.526-15.955-0.222-23.424
	c4.037-6.065,6.392-13.341,6.392-21.157c0-14.284-2.145-27.407-6.376-39.005c-4.528-12.409-11.244-23.119-19.961-31.838
	c-8.737-8.737-19.368-15.411-31.597-19.831C357.221,190.327,344.557,188.247,330.944,188.247L330.944,188.247z"/>
<path style="fill:#ffffff!important;" d="M254.284,298.163c0,17.088-5.599,30.326-16.795,39.718c-11.199,9.392-28.311,14.089-51.339,14.089
	h-59.893c-6.485,0-11.742-5.257-11.742-11.742V181.757c0-6.485,5.257-11.742,11.742-11.742h58.938c9.656,0,18.36,1.062,26.108,3.185
	c7.745,2.123,14.327,5.201,19.738,9.232c5.413,4.035,9.552,8.914,12.417,14.645c2.867,5.731,4.299,12.153,4.299,19.262
	c0,18.574-8.811,31.734-26.426,39.48c11.144,3.079,19.422,8.332,24.835,15.76C251.578,279.007,254.284,287.869,254.284,298.163z
	 M152.879,243.082h30.406c9.019,0,15.625-1.564,19.82-4.697c4.191-3.13,6.289-8.621,6.289-16.476c0-7.005-2.043-12.23-6.129-15.681
	c-4.087-3.448-11.277-5.173-21.57-5.173h-28.814v42.027H152.879z M152.879,320.926h30.725c10.293,0,18.013-1.855,23.163-5.573
	c5.146-3.714,7.72-9.656,7.72-17.83c0-4.139-0.533-7.665-1.592-10.586c-1.062-2.918-2.865-5.305-5.411-7.163
	c-2.547-1.856-5.891-3.21-10.03-4.059c-4.139-0.848-9.288-1.274-15.441-1.274h-29.132v46.484H152.879z"/>
</svg>';
                break;
            case 'vk':
                $social_svg = '<svg version="1.1" id="Layer_1"   x="0px" y="0px"
	 viewBox="0 0 512.001 512.001" style="enable-background:new 0 0 512.001 512.001;" xml:space="preserve">
<g>
	<path style="fill:#e2e2e2;" d="M432.464,512.001h-37.767c-8.02,0-14.523-6.503-14.523-14.523s6.503-14.523,14.523-14.523h37.767
		c27.839,0,50.49-22.65,50.49-50.49V79.537c0-27.839-22.65-50.49-50.49-50.49H214.367c-8.021,0-14.523-6.503-14.523-14.523
		s6.502-14.523,14.523-14.523h218.098c43.855,0,79.536,35.679,79.536,79.536v352.93C512,476.322,476.321,512.001,432.464,512.001z"
		/>
	<path style="fill:#e2e2e2;" d="M289.694,512.001H79.536C35.679,512.001,0,476.322,0,432.465V79.537
		C0,35.68,35.679,0.001,79.536,0.001h32.684c8.021,0,14.523,6.503,14.523,14.523s-6.502,14.523-14.523,14.523H79.536
		c-27.839,0-50.49,22.65-50.49,50.49v352.93c0,27.839,22.65,50.49,50.49,50.49h210.158c8.02,0,14.523,6.503,14.523,14.523
		S297.714,512.001,289.694,512.001z"/>
</g>
<path style="fill:#ffffff!important;" d="M409.589,356.56c-11.793,0-26.217-0.331-32.376-0.471c-1.855-0.042-3.064-0.07-3.394-0.071
	c-9.868-0.044-18.366-3.427-25.256-10.057c-5.59-5.379-11.001-11.261-16.234-16.95c-2.963-3.218-6.024-6.547-9.113-9.78
	c-3.114-3.258-6.046-5.92-8.968-8.14c-3.791-2.89-7.831-4.421-11.672-4.421c-6.352,0-11.584,3.994-14.352,10.959
	c-3.181,8.03-5.622,27.642-5.712,28.852c-0.392,5.507-3.541,8.338-9.627,8.672c-3.991,0.216-7.908,0.328-11.64,0.328
	c-24.047,0-44.348-4.613-62.063-14.103c-17.914-9.595-33.977-23.648-49.103-42.961c-19.111-24.393-36.321-52.671-55.802-91.685
	c-0.935-1.872-15.887-33.75-17.322-37.346c-0.408-1.675-0.63-4.408,0.787-5.327c1.079-0.102,4.364-0.276,14.169-0.276
	c16.35,0,40.411,0.495,41.742,0.542c6.736,0.365,10.407,3.016,13.019,9.456c11.412,28.178,25,51.943,41.541,72.648
	c2.507,3.153,5.782,6.158,9.468,8.683c2.587,1.775,5.362,2.713,8.023,2.713h0.001c5.066,0,9.24-3.237,11.165-8.665
	c2.212-6.174,3.991-17.538,4.1-23.565c0.289-14.785-0.038-24.428-0.835-39.227c-0.745-13.684-7.253-21.859-19.871-24.925
	c3.838-4.151,9.068-5.214,17.056-5.641c4.472-0.241,9.363-0.359,14.957-0.359c5.199,0,10.515,0.099,15.656,0.196
	c3.612,0.068,7.222,0.135,10.831,0.171c5.956,0.054,11.117,0.575,15.79,1.596c2.841,0.619,6.747,2.232,7.902,9.103
	c0.59,3.487,0.851,6.869,0.776,10.06c-0.148,6.546-0.369,13.207-0.581,19.648c-0.306,9.261-0.624,18.838-0.733,28.287
	c-0.087,7.333,0.537,14.092,1.853,20.09c1.74,7.877,6.464,12.576,12.641,12.576c2.595,0,6.575-0.919,10.797-5.295
	c6.688-6.945,13.145-15.026,20.937-26.198c10.166-14.583,18.947-31.592,27.635-53.531c2.916-7.341,3.663-7.857,11.427-7.874
	c10.189-0.026,20.376-0.041,30.564-0.041c8.94,0,17.882,0.013,26.823,0.041c3.409,0.015,6.161,0.367,8.412,1.082
	c1.541,0.491,2.873,1.205,2.135,4.46c-2.722,12.076-9.701,22.623-16.028,31.559c-7.687,10.85-15.774,21.737-23.594,32.266
	c-4.119,5.543-8.236,11.088-12.32,16.655c-1.497,2.043-2.935,4.321-4.521,7.166c-5.798,10.491-4.878,17.849,3.268,26.261
	c4.332,4.467,8.833,8.861,13.186,13.107c6.145,5.998,12.501,12.199,18.331,18.577c7.372,8.079,13.862,16.519,19.285,25.081
	c2.511,3.965,3.23,7.805,1.969,10.531c-1.216,2.633-4.335,4.431-8.786,5.063C424.651,356.256,420.817,356.56,409.589,356.56z"/>
<path style="fill:#e2e2e2;" d="M409.589,371.083c-11.894,0-26.41-0.331-32.607-0.472c-1.767-0.041-2.88-0.067-3.246-0.07
	c-13.517-0.061-25.709-4.941-35.242-14.116c-5.933-5.711-11.485-11.745-16.853-17.582l-0.186-0.203
	c-2.857-3.102-5.809-6.31-8.74-9.378c-2.575-2.694-4.949-4.858-7.256-6.611c-1.335-1.018-2.314-1.362-2.726-1.439
	c-0.202,0.219-0.6,0.741-1.012,1.781c-1.971,4.976-4.271,20.18-4.735,24.692c-0.967,12.806-9.889,21.234-23.307,21.969
	c-4.265,0.231-8.445,0.349-12.435,0.349c-26.502,0-49.046-5.176-68.922-15.824c-19.727-10.566-37.285-25.877-53.678-46.807
	c-19.733-25.187-37.425-54.225-57.362-94.151c-0.847-1.696-16.122-34.201-17.818-38.456c-0.253-0.633-0.46-1.282-0.622-1.945
	c-2.128-8.74,0.55-16.766,6.991-20.945c1.965-1.274,4.207-2.055,6.538-2.274c0.892-0.086,3.605-0.341,15.537-0.341
	c16.745,0,40.825,0.501,42.252,0.55c0.091,0.004,0.183,0.007,0.274,0.013c12.34,0.668,20.984,6.891,25.691,18.498
	c10.881,26.868,23.779,49.45,39.429,69.043c1.185,1.492,2.706,2.986,4.408,4.344c1.316-5.025,2.412-12.545,2.482-16.376
	c0.282-14.356-0.039-23.75-0.816-38.183c-0.444-8.146-3.191-10.23-8.798-11.592c-5.002-1.216-8.987-4.989-10.474-9.916
	c-1.487-4.928-0.254-10.275,3.24-14.055c7.561-8.177,17.418-9.773,26.945-10.282c4.735-0.256,9.883-0.381,15.733-0.381
	c5.365,0,10.736,0.1,15.928,0.199c3.571,0.067,7.141,0.134,10.709,0.17c6.944,0.062,13.08,0.694,18.738,1.929
	c10.297,2.241,17.272,9.852,19.127,20.881c0.742,4.386,1.069,8.699,0.973,12.811c-0.147,6.496-0.363,13.085-0.575,19.457
	l-0.012,0.33c-0.306,9.266-0.619,18.723-0.726,27.974c-0.07,5.907,0.386,11.293,1.354,16.031
	c5.773-6.133,11.514-13.402,18.44-23.334c9.504-13.633,17.779-29.703,26.044-50.57c5.116-12.881,11.165-17.021,24.9-17.05
	c19.15-0.048,38.309-0.061,57.462,0c4.922,0.02,9.092,0.597,12.763,1.763c9.363,2.985,14.141,11.627,11.902,21.513
	c-3.305,14.671-11.2,26.657-18.34,36.742c-7.761,10.955-15.874,21.876-23.718,32.44c-4.172,5.615-8.272,11.136-12.34,16.68
	c-1.131,1.544-2.261,3.34-3.547,5.648c-2.826,5.114-2.462,5.49,1.017,9.083c4.197,4.326,8.619,8.643,12.897,12.817
	c6.328,6.177,12.815,12.509,18.908,19.172c7.953,8.714,14.959,17.83,20.836,27.109c5.201,8.214,6.252,17.105,2.884,24.393
	c-1.939,4.2-7.109,11.528-19.927,13.35C426.046,370.726,422.067,371.083,409.589,371.083z M302.576,292.145
	c7.051,0,14.132,2.558,20.479,7.395c3.523,2.678,7.015,5.84,10.661,9.655c3.117,3.263,6.162,6.57,9.107,9.771l0.19,0.208
	c5.08,5.523,10.326,11.226,15.621,16.323c4.165,4.008,9.154,5.97,15.249,5.998c0.354,0.001,1.66,0.029,3.661,0.076
	c6.197,0.141,20.479,0.466,32.042,0.466c2.682,0,4.89-0.019,6.697-0.046c-4.024-5.706-8.564-11.334-13.552-16.797
	c-5.525-6.043-11.71-12.082-17.694-17.922c-4.472-4.363-9.039-8.82-13.522-13.443c-12.657-13.068-14.471-27.261-5.552-43.397
	c1.911-3.427,3.657-6.185,5.517-8.725c4.107-5.597,8.242-11.164,12.377-16.732c7.819-10.526,15.832-21.316,23.403-32
	c3.098-4.376,6.37-9.168,9.02-14.204c-15.829-0.035-31.673-0.02-47.515,0.017c-8.945,22.385-18.086,39.956-28.709,55.192
	c-8.251,11.831-15.155,20.456-22.389,27.967c-7.768,8.056-15.846,9.745-21.258,9.745c-13.078,0-23.606-9.408-26.823-23.966
	c-1.557-7.096-2.293-14.96-2.194-23.394c0.11-9.561,0.428-19.176,0.736-28.475l0.014-0.447c0.209-6.299,0.424-12.809,0.568-19.168
	c0.038-1.648-0.052-3.387-0.272-5.198c-2.937-0.444-6.171-0.677-9.81-0.709c-3.667-0.038-7.321-0.105-10.974-0.174
	c-5.384-0.1-10.998-0.209-16.356-0.192c1.892,4.63,3.019,9.854,3.333,15.611c0.816,15.162,1.152,25.058,0.853,40.299
	c-0.132,7.296-2.152,20.375-4.948,28.179c-3.997,11.264-13.52,18.289-24.837,18.289c-5.607,0-11.223-1.818-16.24-5.259
	c-4.858-3.329-9.225-7.349-12.622-11.623c-17.406-21.791-31.685-46.737-43.632-76.233c-0.06-0.147-0.116-0.277-0.167-0.394
	c-0.012-0.001-0.025-0.003-0.036-0.003c-2.212-0.061-20.973-0.437-36.019-0.514c4.425,9.524,9.559,20.46,10.291,21.943
	c19.021,38.091,35.749,65.605,54.232,89.197c13.858,17.695,28.423,30.488,44.528,39.115c15.553,8.332,33.611,12.382,55.205,12.382
	c2.373,0,4.833-0.048,7.35-0.145c0.951-7.145,3.064-20.804,6.127-28.532C279.734,299.667,290.146,292.145,302.576,292.145z"/>
</svg>';
                break;
            case 'vimeo':
                $social_svg = '<svg version="1.1" id="Layer_1"  x="0px" y="0px"
	 viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;" xml:space="preserve">
<g>
	<path style="fill:#e2e2e2;" d="M432.464,512h-37.766c-8.021,0-14.523-6.502-14.523-14.523s6.502-14.523,14.523-14.523h37.766
		c27.839,0,50.49-22.65,50.49-50.49V79.536c0-27.839-22.65-50.49-50.49-50.49H214.367c-8.021,0-14.523-6.502-14.523-14.523
		S206.346,0,214.367,0h218.097C476.321,0,512,35.679,512,79.536v352.928C512,476.321,476.321,512,432.464,512z"/>
	<path style="fill:#e2e2e2;" d="M289.693,512H79.536C35.679,512,0,476.321,0,432.464V79.536C0,35.679,35.679,0,79.536,0h32.684
		c8.021,0,14.523,6.502,14.523,14.523s-6.502,14.523-14.523,14.523H79.536c-27.839,0-50.49,22.65-50.49,50.49v352.928
		c0,27.839,22.65,50.49,50.49,50.49h210.157c8.021,0,14.523,6.502,14.523,14.523S297.714,512,289.693,512z"/>
</g>
<path style="fill:#ffffff!important;" d="M412.344,186.802c0,73.474-93.709,207.974-154.138,207.974c-80.163,0-73.809-193.57-119.284-193.57
	c-2.343,0-10.531,4.925-24.554,14.731l-14.712-18.954c15.44-13.563,30.667-27.125,45.649-40.708
	c20.592-17.785,30.654-27.145,40.955-28.089c24.338-2.34,33.938,15.58,44.948,49.917c12.625,39.371,32.806,119.504,41.237,119.504
	c6.54,0,16.382-10.34,29.501-31.035c13.093-20.677,20.11-36.412,21.057-47.229c1.873-17.849-5.148-26.792-21.057-26.792
	c-7.491,0-15.216,1.722-23.159,5.128c15.38-50.35,32.821-81.804,76.174-80.41C387.107,118.211,412.344,146.013,412.344,186.802z"/>
<path style="fill:#e2e2e2;" d="M258.207,409.3c-56.749,0-76.511-70.81-92.39-127.708c-5.514-19.759-10.724-38.424-16.62-51.434
	c-3.99-8.804-7.214-12.507-8.991-13.817c-2.572,1.458-7.705,4.639-17.513,11.498c-6.344,4.437-15.049,3.118-19.796-2.996
	l-14.712-18.954c-4.708-6.066-3.881-14.748,1.888-19.815c15.93-13.994,31.232-27.64,45.479-40.557
	c0.087-0.078,0.174-0.155,0.263-0.232l4.435-3.838c19.669-17.037,30.504-26.422,44.688-27.722c1.801-0.174,3.645-0.264,5.42-0.264
	c35.377,0,46.535,34.799,54.684,60.21c3.484,10.866,7.461,24.531,11.671,38.998c5.609,19.274,14.115,48.503,20.09,64.247
	c3.105-3.693,7.346-9.388,12.881-18.118c15.438-24.383,18.44-35.978,18.855-40.72c0.007-0.083,0.016-0.166,0.025-0.248
	c0.668-6.374-0.402-9.122-0.871-9.642c-0.277-0.309-1.852-1.111-5.742-1.111c-5.451,0-11.318,1.33-17.436,3.953
	c-5.196,2.229-11.212,1.239-15.419-2.537c-4.207-3.776-5.843-9.648-4.193-15.055c13.668-44.743,33.021-92.559,90.531-90.682
	c41.378,1.213,71.439,36.562,71.439,84.05c0,45.022-29.53,101.868-57.166,140.055C351.762,351.644,304.987,409.3,258.207,409.3z
	 M138.921,186.683c30.561,0,41.827,40.364,54.871,87.102c13.928,49.904,29.714,106.469,64.414,106.469
	c22.476,0,57.003-27.643,87.965-70.426c31.376-43.356,51.65-91.647,51.65-123.025c0-31.646-17.8-54.27-43.286-55.018
	c-0.809-0.026-1.564-0.038-2.312-0.038c-23.636,0-38.006,12.188-51.367,46.29c0.363-0.006,0.726-0.009,1.089-0.009
	c11.726,0,20.921,3.606,27.325,10.72c6.842,7.597,9.595,18.362,8.187,31.996c-1.216,13.441-8.605,30.48-23.243,53.598
	c-17.015,26.842-29.116,37.788-41.771,37.788c-13.464,0-19.317-14.218-26.708-35.908c-5.365-15.74-11.237-35.922-16.917-55.439
	c-4.152-14.273-8.076-27.754-11.44-38.244c-10.916-34.042-17.412-40.032-27.025-40.032c-0.85,0-1.76,0.046-2.704,0.137
	c-4.944,0.453-14.776,8.971-28.385,20.759l-4.331,3.747c-7.574,6.867-15.442,13.935-23.541,21.15
	C134.596,186.958,136.722,186.683,138.921,186.683z"/>
</svg>';
                break;
            case 'flickr':
                $social_svg = '<svg version="1.1" id="Layer_1"  x="0px" y="0px"
	 viewBox="0 0 512.001 512.001" style="enable-background:new 0 0 512.001 512.001;" xml:space="preserve">
<g>
	<path style="fill:#e2e2e2;" d="M432.464,512.001h-37.767c-8.02,0-14.523-6.502-14.523-14.523s6.503-14.523,14.523-14.523h37.767
		c27.839,0,50.49-22.65,50.49-50.49V79.537c0-27.839-22.65-50.49-50.49-50.49H214.367c-8.02,0-14.523-6.502-14.523-14.523
		s6.503-14.523,14.523-14.523h218.098c43.855,0,79.536,35.679,79.536,79.536v352.928C512,476.322,476.321,512.001,432.464,512.001z"
		/>
	<path style="fill:#e2e2e2;" d="M289.694,512.001H79.536C35.679,512.001,0,476.322,0,432.465V79.537
		C0,35.68,35.679,0.001,79.536,0.001h32.684c8.02,0,14.523,6.502,14.523,14.523s-6.503,14.523-14.523,14.523H79.536
		c-27.839,0-50.49,22.65-50.49,50.49v352.928c0,27.839,22.65,50.49,50.49,50.49h210.158c8.02,0,14.523,6.502,14.523,14.523
		C304.218,505.499,297.714,512.001,289.694,512.001z"/>
</g>
<circle style="fill:#ffffff!important;" cx="152.856" cy="256" r="79.195"/>
<path style="fill:#e2e2e2;" d="M152.862,349.722c-51.679,0-93.722-42.043-93.722-93.722s42.043-93.722,93.722-93.722
	c51.678,0,93.721,42.043,93.721,93.722S204.539,349.722,152.862,349.722z M152.862,191.326c-35.663,0-64.676,29.013-64.676,64.676
	s29.014,64.676,64.676,64.676s64.674-29.013,64.674-64.676S188.523,191.326,152.862,191.326z"/>
<circle style="fill:#ffffff!important;" cx="359.143" cy="256" r="79.195"/>
<path style="fill:#e2e2e2;" d="M359.138,349.722c-51.678,0-93.721-42.043-93.721-93.722s42.043-93.722,93.721-93.722
	c51.679,0,93.722,42.043,93.722,93.722S410.817,349.722,359.138,349.722z M359.138,191.326c-35.662,0-64.674,29.013-64.674,64.676
	s29.014,64.676,64.674,64.676c35.663,0,64.676-29.013,64.676-64.676S394.801,191.326,359.138,191.326z"/>
</svg>';
                break;
            case 'print':
                $social_svg ='<svg version="1.1" id="Capa_1" x="0px" y="0px"
	 viewBox="0 0 487.381 487.381" style="enable-background:new 0 0 512.001 512.001;"
	 xml:space="preserve">
<g>
	<g>
		<path style="fill:#e2e2e2;" d="M400.1,100.918h-9.871V11.646C390.229,5.215,385.014,0,378.582,0H108.804c-6.436,0-11.646,5.215-11.646,11.646v89.271
			h-9.877c-38.523,0-69.871,31.344-69.871,69.871v144.258c0,38.528,31.348,69.87,69.871,69.87h9.877v90.818
			c0,6.432,5.21,11.646,11.646,11.646h269.778c6.432,0,11.646-5.215,11.646-11.646v-90.818h9.871
			c38.523,0,69.871-31.342,69.871-69.87V170.789C469.971,132.261,438.623,100.918,400.1,100.918z M120.449,23.291h246.489v77.627
			H120.449V23.291z M366.938,464.092H120.449V320.465h246.489V464.092z M446.682,315.046c0,25.687-20.896,46.581-46.582,46.581
			h-9.871v-41.162h25.186c6.436,0,11.645-5.214,11.645-11.646c0-6.43-5.209-11.645-11.645-11.645h-36.832H108.804H75.421
			c-6.431,0-11.646,5.215-11.646,11.645c0,6.433,5.215,11.646,11.646,11.646h21.737v41.162h-9.877
			c-25.685,0-46.581-20.896-46.581-46.581V170.789c0-25.685,20.896-46.58,46.581-46.58h21.522H378.58h21.52
			c25.684,0,46.58,20.896,46.58,46.58v144.257H446.682z"/>
		<path style="fill:#e2e2e2;" d="M378.582,170.646c-8.771,0-15.893,7.119-15.893,15.893s7.119,15.893,15.893,15.893c8.775,0,15.895-7.118,15.895-15.893
			C394.475,177.765,387.357,170.646,378.582,170.646z"/>
		<path style="fill:#e2e2e2;" d="M147.618,360.734h192.146c6.432,0,11.646-5.213,11.646-11.646c0-6.43-5.215-11.645-11.646-11.645H147.618
			c-6.431,0-11.646,5.215-11.646,11.645C135.972,355.521,141.187,360.734,147.618,360.734z"/>
		<path style="fill:#e2e2e2;" d="M147.618,403.926h192.146c6.432,0,11.646-5.217,11.646-11.646c0-6.432-5.215-11.645-11.646-11.645H147.618
			c-6.431,0-11.646,5.213-11.646,11.645S141.187,403.926,147.618,403.926z"/>
	</g>
</g>
</svg>';
                break;
        };
        return $social_svg;
    }
endif;
