<?php

if( !function_exists( 'jm_get_candidate_default_fields' ) ) :
	function jm_get_candidate_default_fields() {
		$default_fields = array(
			'full_name' => array(
					'name' => 'full_name',
					'label' => esc_html__('Full Name', 'jmcore'),
					'type' => 'text',
					'allowed_type' => array(
						'text'			=> esc_html__('Text', 'jmcore')
					),
					'value' => '',
					'is_default' => true,
					'required' => true
				),
			'email' => array(
					'name' => 'email',
					'label' => esc_html__('Email', 'jmcore'),
					'type' => 'text',
					'allowed_type' => array(
						'email' => esc_html__('Email', 'jmcore'),
					),
					'value' => '',
					'is_default' => true,
					'required' => true
				),
			'current_job' => array(
					'name' => 'current_job',
					'label' => esc_html__('Current Job', 'jmcore'),
					'type' => 'text',
					'value' => '',
					'is_default' => true,
					'is_disabled' => 'yes',
					'required' => false
				),
			'current_company' => array(
					'name' => 'current_company',
					'label' => esc_html__('Current Company', 'jmcore'),
					'type' => 'text',
					'value' => '',
					'is_default' => true,
					'is_disabled' => 'yes',
					'required' => false
				),
			'birthday' => array(
					'name' => 'birthday',
					'label' => esc_html__('Birthday', 'jmcore'),
					'type' => 'datepicker',
					'allowed_type' => array(
						'datepicker'			=> esc_html__('Date Picker', 'jmcore')
					),
					'value' => '',
					'is_default' => true,
					'required' => false
				),
			'address' => array(
					'name' => 'address',
					'label' => esc_html__('Address', 'jmcore'),
					'type' => 'text',
					'value' => '',
					'is_default' => true,
					'required' => false
				),
			'phone' => array(
					'name' => 'phone',
					'label' => esc_html__('Phone Number', 'jmcore'),
					'type' => 'text',
					'value' => '',
					'is_default' => true,
					'required' => false
				),
			'first_name' => array(
					'name' => 'first_name',
					'label' => esc_html__('First Name', 'jmcore'),
					'type' => 'text',
					'value' => '',
					'is_default' => true,
					'is_disabled' => 'yes',
					'required' => true
				),
			'last_name' => array(
					'name' => 'last_name',
					'label' => esc_html__('Last Name', 'jmcore'),
					'type' => 'text',
					'value' => '',
					'is_default' => true,
					'is_disabled' => 'yes',
					'required' => true
				),
		);

		return apply_filters( 'jm_candidate_default_fields', $default_fields );
	}
endif;

if( !function_exists( 'jm_candidate_user_field_params' ) ) :
	function jm_candidate_user_field_params( $args = array() )  {
		$current_user = wp_get_current_user();
		if( empty( $current_user->ID ) ) {
			return $args;
		}

		extract($args);

		if( in_array( $field['name'], array( 'first_name', 'last_name', 'full_name', 'email' ) ) ) {

			if( $field['name'] == 'first_name' ) {
				$value = $current_user->user_firstname;
			} elseif( $field['name'] == 'last_name' ) {
				$value = $current_user->user_lastname;
			} elseif( $field['name'] == 'email' ) {
				$value = $current_user->user_email;
			} elseif( $field['name'] == 'full_name' ) {
				$value = $current_user->display_name;
			}

			$field['no_translate'] = true;

			if( empty( $field['type'] ) || $field['type'] == 'text' ) {
				$default_fields = jm_get_candidate_default_fields();
				$field['type'] = $default_fields[$field['name']]['type'];
			}
		}

		return compact( 'field', 'field_id', 'value' );
	}
	
	add_filter( 'jm_candidate_render_form_field_params', 'jm_candidate_user_field_params', 10 );
endif;
