<?php
if( !function_exists( 'jm_resume_admin_init' ) ) :
	function jm_resume_admin_init(){
		register_setting('noo_resume', 'noo_resume');
		register_setting('noo_resume_general', 'noo_resume_general');
		register_setting('noo_resume_custom_field', 'noo_resume_custom_field');
	}
	
	add_filter('admin_init', 'jm_resume_admin_init' );
endif;

if( !function_exists( 'jm_resume_settings_tabs' ) ) :
	function jm_resume_settings_tabs( $tabs = array() ) {
		$temp1 = array_slice($tabs, 0, 1);
		$temp2 = array_slice($tabs, 1);

		$resume_tab = array( 'resume' => esc_html__('Resumes', 'jmcore') );
		return array_merge($temp1, $resume_tab, $temp2);
	}
	
	add_filter('noo_job_settings_tabs_array', 'jm_resume_settings_tabs', 11 );
endif;

if( !function_exists( 'jm_resume_setting_form' ) ) :
	function jm_resume_setting_form(){
		if(isset($_GET['settings-updated']) && $_GET['settings-updated']) {
			flush_rewrite_rules();
		}
		$customizer_resume_link = esc_url( add_query_arg( array('autofocus%5Bsection%5D' => 'noo_customizer_section_resume'), admin_url( '/customize.php' ) ) );
		$submit_agreement = jm_get_resume_setting( 'submit_agreement', null);
		// Sample setting fields
		$fields = array(
			array(
				'id' => 'enable_resume',
				'label' => esc_html__( 'Enable Resumes', 'jmcore' ),
				'type' => 'checkbox',
				'default' => '1',
				'child_fields' => array( 'on' => 'archive_slug,resume_display,max_viewable_resumes,can_view_resume,enable_upload_resume,extensions_upload_resume,enable_education,enable_experience,enable_skill' )
			),
			array(
				'id' => 'archive_slug',
				'label' => esc_html__( 'Resume Archive base (slug)', 'jmcore' ),
				'type' => 'text',
				'default' => 'resumes'
			),
			array(
				'id' => 'resume_display',
				'label' => esc_html__( 'Resumes Display', 'jmcore' ),
				'type' => 'label',
				'default' => sprintf(__('Go to <a href="%s">Customizer</a> to change settings for Resume(s) layout or displayed sections.', 'jmcore'), $customizer_resume_link )
			),
            array(
                'id' => 'post_review_resume',
                'label' => esc_html__( 'Enable Post Review Resume', 'jmcore' ),
                'type' => 'checkbox',
                'default' => '',
                'child_fields' => array( 'on' => 'recaptcha_review_resume' ),
            ),
            array(
                'id' => 'recaptcha_review_resume',
                'label' => esc_html__( 'Enable reCAPTCHA for Post Review Resume', 'jmcore' ),
                'type' => 'checkbox',
                'default' => ''
            ),
            array(
                'id' => 'recaptcha_resume_contact',
                'label' => esc_html__( 'Enable reCAPTCHA for Resume Contact', 'jmcore' ),
                'type' => 'checkbox',
                'default' => ''
            ),
			array(
			    'id'   =>'max_resume_suggest',
                'label'=>__('Max Resumes Suggest', 'jmcore'),
                'type' =>'text',
                'default'=>'10'
            ),
            array(
                'id'   =>'max_resume_refresh',
                'label'=>__('Max Resume Refresh', 'jmcore'),
                'type' =>'text',
                'default'=>'5'
            ),
			array(
			    'id' => 'resume_feature_limit',
                'label' => esc_html__('Resumes Feature Limit', 'jmcore'),
                'desc' => esc_html__('If you do not use Woocommerce Resume Package for manage Resume submission, you can use this setting for limiting the number of feature resume per candidate. ', 'jmcore'),
                'type' => 'text',
                'default' => '5',
            ),
			array(
				'id' => 'max_viewable_resumes',
				'label' => esc_html__( 'Max Resumes Viewable', 'jmcore' ), 
				'desc' =>__( 'The maximum number of resumes each Candidate can set to be viewable ( and searchable too ). This number helps prevent candidates from posting multiple resumes just to gain possibility of being viewed.<br/> Set 0 to make all resumes not viewable ( you still can use resumes for job applying ), and -1 to make all resumes viewable ( disable this function ).', 'jmcore' ),
				'type' => 'text',
				'default' => '1'
			),
            array(
                'id' => 'enable_clone_resume',
                'label' => esc_html__('Enable clone resume', 'jmcore'),
                'type'  => 'checkbox',
                'default' => '1',
            ),
            array(
                'id' => 'enable_refresh_resume',
                'label' => esc_html__('Enable refresh resume', 'jmcore'),
                'type'  => 'checkbox',
                'default' => '1',
            ),
            array(
                'id' => 'enable_feature_resume',
                'label' => esc_html__('Enable Set Featured Resume', 'jmcore'),
                'type'  => 'checkbox',
                'default' => '0',
            ),
		);

		noo_render_setting_form( apply_filters( 'jm_resume_setting_display_fields', $fields ), 'noo_resume_general', esc_html__('Resumes Displaying', 'jmcore') );
		echo '<hr/>';

		$fields = array(
			array(
				'id' => 'resume_approve',
				'label' => esc_html__( 'Resume Approval', 'jmcore' ),
				'desc' => esc_html__('Each newly submitted resume needs the manual approval of Admin.', 'jmcore'),
				'type' => 'checkbox',
				'default' => ''
			),
			array(
				'id' => 'enable_upload_resume',
				'label' => esc_html__( 'Enable Upload CV', 'jmcore' ),
				'desc' => '',
				'type' => 'checkbox',
				'default' => '1',
                'child_fields' => array( 'on' => 'who_can_download_resume' ),
			),
			array(
			    'id' => 'who_can_download_resume',
                'label' => esc_html__('Who can download the resume?', 'jmcore'),
                'desc' => '',
                'type' => 'select',
                'default' => 'pubic',
                'options' => array(
                    'public'   => esc_html__( 'Public', 'jmcore' ),
                    'user'     => esc_html__( 'Logged-in Users', 'jmcore' ),
                    'employer' => esc_html__( 'Employers', 'jmcore' ),
                    'package'  => esc_html__( 'Employers with Paid Packages', 'jmcore' ),
                ),
            ),
			array(
				'id' => 'default_resume_content',
				'label' => esc_html__( 'Default Resume Content', 'jmcore' ),
				'desc' => esc_html__('Default content that will auto populate when Candidates post new Resumes.', 'jmcore'),
				'type' => 'editor',
				'default' => ''
			),
			array(
				'id' => 'extensions_upload_resume',
				'label' => esc_html__( 'Allowed Upload File Types', 'jmcore' ),
				'desc' => esc_html__( 'File types that are allowed for uploading to CV. Default only allows Word and PDF files', 'jmcore' ),
				'type' => 'text',
				'default' => 'doc,docx,pdf'
			),
			array(
				'id' => 'enable_education',
				'label' => esc_html__( 'Enable Education', 'jmcore' ),
				'desc' => '',
				'type' => 'checkbox',
				'default' => '1'
			),
			array(
				'id' => 'enable_experience',
				'label' => esc_html__( 'Enable Experience', 'jmcore' ),
				'desc' => '',
				'type' => 'checkbox',
				'default' => '1'
			),
			array(
				'id' => 'enable_skill',
				'label' => esc_html__( 'Enable Skill', 'jmcore' ),
				'desc' => '',
				'type' => 'checkbox',
				'default' => '1'
			),
			array(
				'id' => 'enable_portfolio',
				'label' => esc_html__( 'Enable PortFolio', 'jmcore' ),
				'desc' => '',
				'type' => 'checkbox',
				'default' => '1'
			),
			array(
				'id' => 'enable_awards',
				'label' => esc_html__( 'Enable Awards', 'jmcore' ),
				'desc' => '',
				'type' => 'checkbox',
				'default' => '1'
			),
            array(
                'id' => 'enable_job_complete',
                'label' => esc_html__( 'Enable Job Complete', 'jmcore' ),
                'desc' => '',
                'type' => 'checkbox',
                'default' => '0'
            ),
			array(
				'id' => 'enable_print_resume',
				'label' => esc_html__( 'Enable Print Resume', 'jmcore' ),
				'desc' => '',
				'type' => 'checkbox',
				'default' => '0',
			),
		);

		noo_render_setting_form( $fields, 'noo_resume_general', esc_html__('Resume Posting', 'jmcore') );
		echo '<hr/>';
        $fields = array(
                array(
                        'id' => 'resume_detail_templates',
                        'label'=> esc_html__('Select Resume Detail Template', 'jmcore'),
                        'desc' => '',
                        'type' => 'multiple_select',
                        'options' => array(
                                'style-1' => 'Style 1',
                                'style-2' => 'Style 2',
                                'style-3' => 'Style 3',
                                'style-4' => 'Style 4',
                                'style-5' => 'Style 5',
                        ),
                ),
        );
        noo_render_setting_form($fields,'noo_resume_general',__('Resume Detail Template', 'jmcore'));
		?>
		<table class="form-table" cellspacing="0">
			<tbody>
				<tr>
					<th>
						<?php esc_html_e('Resume submission condition', 'jmcore')?>
						<p><small><?php echo esc_html__('The condition that Candidate must agree to before submitting a new resume. Leave it blank for no condition.', 'jmcore') ?></small></p>
					</th>
					<td>
						<?php
						$submit_agreement = !is_null( $submit_agreement ) ? $submit_agreement : sprintf(__('The employer can find your resume and contact you via email or %s regarding your resume. Preview all information thoroughly before submitting your resume for approval.', 'jmcore'), get_bloginfo('name') );
						?>	
						<textarea name="noo_resume_general[submit_agreement]" rows="5" cols="80"><?php echo esc_html($submit_agreement); ?></textarea>					
					</td>
				</tr>
			</tbody>
		</table>
		<?php
	}

	add_action('noo_job_setting_resume', 'jm_resume_setting_form');
endif;
