<?php

if( !function_exists( 'jm_get_resume_default_fields' ) ) :
	function jm_get_resume_default_fields() {
		$default_fields = array(
			
			'job_location' => array(
					'name' => 'job_location',
					'label' => esc_html__('Location', 'jmcore'),
					'type' => 'multi_tax_location',
					'allowed_type' => array(
						'multi_tax_location'		=> esc_html__('Multiple Location', 'jmcore'),
						'multi_tax_location_input'	=> esc_html__('Multiple Location with Input', 'jmcore'),
						'single_tax_location'		=> esc_html__('Single Location', 'jmcore'),
						'single_tax_location_input'	=> esc_html__('Single Location with Input', 'jmcore'),
					),
					'value' => '',
					'std' => '',
					'is_default' => true,
					'is_tax' => true,
					'required' => false
				),
			'job_category' => array(
					'name' => 'job_category',
					'label' => esc_html__('Category', 'jmcore'),
					'type' => 'multiple_select',
					'allowed_type' => array(
						'select'			=> esc_html__('Select', 'jmcore'),
						'multiple_select'	=> esc_html__( 'Multiple Select', 'jmcore' ),
					),
					'value' => '',
					'std' => '',
					'is_default' => true,
					'is_tax' => true,
					'required' => true
				),
            'resume_address' => array(
                'name' => 'resume_address',
                'label' => esc_html__('Address', 'jmcore'),
                'is_default' => true,
                'type' => 'text',
                'desc' => esc_html__('Enter Streets, Region, Locality, Country. eg: 1600 Chestnut Street, Philadelphia, PA, USA ', 'jmcore'),
                'allowed_type' => array(
                    'text'			=> esc_html__('Text', 'jmcore'),
                    'location_picker'			=> esc_html__('Map Picker', 'jmcore'),
                ),
                'required' => false
            ),
			'language' => array(
					'name' => 'language',
					'label' => esc_html__('Language', 'jmcore'),
					'type' => 'text',
					'value' => '',
					'std' => esc_html__( 'Your working language', 'jmcore' ),
					'is_default' => true,
					'required' => false
				),
			'highest_degree' => array(
					'name' => 'highest_degree',
					'label' => esc_html__('Highest Degree Level', 'jmcore'),
					'type' => 'text',
					'value' => '',
					'std' => esc_html__( 'eg. &quot;Bachelor Degree&quot;', 'jmcore' ),
					'is_default' => true,
					'required' => false
				),
			'experience_year' => array(
					'name' => 'experience_year',
					'label' => esc_html__('Total Years of Experience', 'jmcore'),
					'type' => 'text',
					'value' => '',
					'std' => esc_html__( 'eg. &quot;1&quot;, &quot;2&quot;', 'jmcore' ),
					'is_default' => true,
					'required' => false
				),
			'job_level' => array(
					'name' => 'job_level',
					'label' => esc_html__('Expected Job Level', 'jmcore'),
					'type' => 'text',
					'value' => '',
					'std' => esc_html__( 'eg. &quot;Junior&quot;, &quot;Senior&quot;', 'jmcore' ),
					'is_default' => true,
					'required' => false
				),
			'positions' => array(
					'name' => 'positions',
					'label' => esc_html__('Position Job', 'jmcore'),
					'type' => 'text',
					'value' => '',
					'std' => esc_html__( 'eg. &quot;Junior&quot;, &quot;Senior&quot;', 'jmcore' ),
					'is_default' => true,
					'required' => false
				),
			'slogan' => array(
					'name' => 'slogan',
					'label' => esc_html__('Slogan', 'jmcore'),
					'type' => 'text',
					'value' => '',
					'std' => '',
					'is_default' => true,
					'required' => false
				),
			'portfolio' => array(
					'name'       => 'portfolio',
					'label'      => esc_html__( 'Portfolio', 'jmcore' ),
					'type'       => 'image_gallery',
					'value'      => esc_html__( 'Recommend size: 245x245px', 'jmcore' ),
					'allowed_type' => array(
						'image_gallery' => esc_html__( 'Image Gallery', 'jmcore' ),
					),
					'is_default' => true,
					'required'   => false
				),
			'cover_image' => array(
					'name' => 'cover_image',
					'label' => esc_html__('Cover Images', 'jmcore'),
					'is_default' => true,
					'type' => 'single_image',
					'value'      => esc_html__( 'Recommend size: 1400x600px', 'jmcore' ),
					'allowed_type' => array(
						'single_image' => esc_html__( 'Single Image', 'jmcore' ),
					),
					'required' => false
				),
			'introduce_yourself' => array(
					'name' => 'introduce_yourself',
					'label' => esc_html__('Introduce Yourself Video', 'jmcore'),
					'type' => 'embed_video',
					'allowed_type' => array(
						'embed_video' => esc_html__( 'Embedded Video', 'jmcore' ),
					),
					'value' => '',
					'is_disabled' => ( (bool) jm_get_resume_setting( 'enable_video','') ) ? '' : 'yes',
					'is_default' => true,
					'required' => false
				),
			);

		return apply_filters( 'jm_resume_default_fields', $default_fields );
	}
endif;

if( !function_exists( 'jm_resume_tax_field_params' ) ) :
	function jm_resume_tax_field_params( $args = array(), $resume_id = 0 )  {
		extract($args);
		$value = isset($value) ? $value : '';
		if( in_array( $field['name'], array( 'job_category', 'job_location' ) ) ) {
			$field_id = $field['name'];
			$field_value = array();
			$term_id = $field_id;
			$terms = get_terms( $term_id, array( 'hide_empty' => 0 ) );
			foreach ($terms as $term) {
				$field_value[] = $term->term_id . '|' . $term->name;
			}
			$field['value'] = $field_value;
			$field['no_translate'] = true;

			if( !empty( $resume_id ) ) {
				$value = jm_resume_get_tax_value( $resume_id, $field_id );
			}

			if( empty( $field['type'] ) || $field['type'] == 'text' ) {
				$default_fields = jm_get_resume_default_fields();
				$field['type'] = $default_fields[$field['name']]['type'];
			}
		}

		return compact( 'field', 'field_id', 'value' );
	}
	
	add_filter( 'jm_resume_render_form_field_params', 'jm_resume_tax_field_params', 10, 2 );
	add_filter( 'jm_resume_render_search_field_params', 'jm_resume_tax_field_params' );
endif;

if( !function_exists( 'jm_resume_meta_box_tax_field_params' ) ) :
	function jm_resume_meta_box_tax_field_params( $args = array(), $resume = null )  {
		if( !empty( $resume->ID ) && $resume->post_type == 'noo_resume' && in_array( $args['id'], array( 'job_category', 'job_location' ) ) ) {
			$args['meta'] = jm_resume_get_tax_value( $resume->ID, $args['id'] );
		}

		return $args;
	}
	
	add_filter( 'noo_meta_box_field_params', 'jm_resume_meta_box_tax_field_params', 10, 2 );
endif;

if( !function_exists( 'jm_resume_get_tax_value' ) ) :
	function jm_resume_get_tax_value( $resume_id = 0, $field_id = 'job_location' )  {
		if( empty( $resume_id ) ) return array();

		$value = noo_get_post_meta( $resume_id, $field_id, '' );
		$value = noo_json_decode( $value );

		if( defined( 'ICL_SITEPRESS_VERSION' ) ) {
			$taxonomy = substr( $field_id, 1 );
			foreach ( $value as $index => $v ) {
				$value[$index] = apply_filters( 'wpml_object_id', $v, $taxonomy, true );
			}
		}

		return $value;
	}
endif;

if( !function_exists( 'jm_wpml_duplicate_resume_tax_fields' ) ) :
	function jm_wpml_duplicate_resume_tax_fields( $master_post_id, $lang, $post_array, $id )  {
		if( empty( $id ) || empty( $master_post_id ) ) return false;
		if( $post_array['post_type'] == 'noo_resume' ) {
			foreach (array( 'job_category', 'job_location' ) as $tax) {
				$tax_values = get_post_meta( $master_post_id, $tax, true );
				$tax_values = noo_json_decode( $tax_values );
				$tax_name = substr( $tax, 1 );

				foreach ( $tax_values as $index => $v ) {
					$tax_values[$index] = apply_filters( 'wpml_object_id', $v, $tax_name, true, $lang );
				}

				update_post_meta( $id, $tax, json_encode($tax_values, JSON_UNESCAPED_UNICODE) );
			}
		}
	}

	add_action( 'icl_make_duplicate', 'jm_wpml_duplicate_resume_tax_fields', 10, 4 );
endif;
