<?php

add_action('init', function(){
    if(!session_id() && !is_admin()) {
        session_start();
    }
}, 1);

include_once(ABSPATH . 'wp-includes/pluggable.php');

// Plugin Folder URL
define('JM_URL', plugin_dir_url(__FILE__) );
define('JM_ASSETS', JM_URL. 'assets' );
define('JM_FRAMEWORK_URI', JM_URL . 'framework');
define('JM_FRAMEWORK_ADMIN_URI', JM_FRAMEWORK_URI . '/admin');
define('JM_FRAMEWORK_FUNCTION_URI', JM_FRAMEWORK_URI . '/functions');

// Plugin Folder Path
define('JM_DIR', plugin_dir_path(__FILE__) );
define('JM_FRAMEWORK',JM_DIR . '/framework');
define('JM_FRAMEWORK_ADMIN', JM_FRAMEWORK . '/admin');
define('JM_FRAMEWORK_FUNCTION', JM_FRAMEWORK . '/functions');

if (!defined('JM_TEXT_DOMAIN')) {
    define('JM_TEXT_DOMAIN', 'jmcore');
}

define('NOO_WOOCOMMERCE_EXIST', class_exists('WC_API'));

define('NOO_SUPPORT_PORTFOLIO', false);
//load text domain
load_plugin_textdomain(JM_TEXT_DOMAIN, false, plugin_basename(dirname(__FILE__)) . '/languages/');

if (!function_exists('is_plugin_active')) {
    include_once(ABSPATH . 'wp-admin/includes/plugin.php');
}

require_once JM_FRAMEWORK_FUNCTION . '/noo-function.php';
require_once JM_FRAMEWORK_FUNCTION . '/noo-user.php';
require_once JM_FRAMEWORK_FUNCTION . '/noo-ajax-upload.php';
require_once JM_FRAMEWORK_FUNCTION. '/noo-utilities-core.php';
require_once JM_FRAMEWORK_FUNCTION . '/noo-mailchimp.php';

//Email template
require_once JM_FRAMEWORK . '/email/loader.php';
//
// Enqueue assets
//
require_once JM_FRAMEWORK_FUNCTION . '/noo-enqueue.php';

//
// Admin panel
//

// Initialize Fitsica Customizer
require_once JM_FRAMEWORK . '/customizer/_init.php';


// Initialize theme
require_once JM_FRAMEWORK_ADMIN . '/meta-boxes/_init.php';
require_once JM_FRAMEWORK_ADMIN . '/_init.php';
require_once JM_FRAMEWORK_ADMIN . '/noo_message.php';

require_once JM_FRAMEWORK . '/common/loader.php';
require_once JM_FRAMEWORK . '/job/loader.php';
require_once JM_FRAMEWORK . '/resume/loader.php';
require_once JM_FRAMEWORK . '/member/loader.php';
require_once JM_FRAMEWORK . '/application/loader.php';

require_once JM_FRAMEWORK_ADMIN . '/noo_job_package.php';
require_once JM_FRAMEWORK_ADMIN . '/noo_resume_package.php';

require_once JM_FRAMEWORK_ADMIN . '/noo_job_alert.php';
require_once JM_FRAMEWORK_ADMIN . '/noo_resume_alert.php';
require_once JM_FRAMEWORK_ADMIN . '/noo_testimonial.php';
require_once JM_FRAMEWORK_ADMIN . '/noo_import_indeed.php';

require_once JM_FRAMEWORK_ADMIN . '/noo_form_handler.php';
require_once JM_FRAMEWORK_ADMIN . '/noo_admin_ajax.php';

if (defined('MC4WP_VERSION')) {
    require_once JM_FRAMEWORK . '/add-ons/class-mc4wp.php';
    mc4wp_register_integration('fitsica-registration-form', 'Fitsica_MC4WP_Integration');
}
require_once JM_FRAMEWORK . '/add-ons/class-fep.php';
require_once JM_FRAMEWORK . '/add-ons/class-email-confirmation.php';
require_once JM_FRAMEWORK . '/add-ons/social-login/class-social-login.php';
require_once JM_FRAMEWORK . '/add-ons/social-login/class-linkedin-apply.php';
require_once JM_FRAMEWORK . '/add-ons/wp-spamshield.php';
require_once JM_FRAMEWORK . '/add-ons/delete-me.php';
require_once JM_FRAMEWORK . '/add-ons/wp-social-login.php';

// Widgets
//
$widget_path = plugin_dir_path(__FILE__) . '/widgets';

require_once $widget_path . '/wp/widgets.php';

//Add ons

require_once JM_FRAMEWORK . '/add-ons/package-addon/init.php';

function fix__trashed($post_ID, $post) {

    if ($post->post_status !== 'trash' && $post->post_type == 'noo_job' && strpos($post->post_name, '__trashed') !== false) {

        global $wpdb;

        $desired_post_slug = get_post_meta($post_ID, '_wp_desired_post_slug', true);

        if ($desired_post_slug) {

            delete_post_meta($post_ID, '_wp_desired_post_slug');

            $post_name = $desired_post_slug;

            $wpdb->update($wpdb->posts, array('post_name' => $post_name), array('ID' => $post->ID));

            clean_post_cache($post->ID);

        }
    }
}

add_action('wp_insert_post', 'fix__trashed', 99, 2);


if(! function_exists('social_apply_linkedin')):
    function social_apply_linkedin(){
        if(isset($_GET['apply']) && ($_GET['apply']=='linkedin')) {
            $apply = new Noo_Apply_Linkedin();
            $apply->oauth();
        }
    }
endif;
// add_action('wp_loaded','social_apply_linkedin', 20);

function noo_open_linkedin_apply_popup(){
    if(isset($_SESSION['open_popup_apply_linkedin']) && $_SESSION['open_popup_apply_linkedin']){
        noo_get_layout('job/apply/via_linkedin_form_popup');
        unset($_SESSION["member_linkedin"]);
        unset($_SESSION["open_popup_apply_linkedin"]);
    }
}
// add_action('wp_footer','noo_open_linkedin_apply_popup');


